/**ABDB**/CREATE TABLE `#__workflows` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(11) DEFAULT 0,
  `published` tinyint(4) NOT NULL DEFAULT 0,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `extension` varchar(50) NOT NULL,
  `default` tinyint(4) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `created` datetime NOT NULL,
  `created_by` int(11) NOT NULL DEFAULT 0,
  `modified` datetime NOT NULL,
  `modified_by` int(11) NOT NULL DEFAULT 0,
  `checked_out_time` datetime DEFAULT NULL,
  `checked_out` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_asset_id` (`asset_id`),
  KEY `idx_title` (`title`(191)),
  KEY `idx_extension` (`extension`),
  KEY `idx_default` (`default`),
  KEY `idx_created` (`created`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_modified` (`modified`),
  KEY `idx_modified_by` (`modified_by`),
  KEY `idx_checked_out` (`checked_out`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__workflows`  VALUES 
('1', '0', '1', 'COM_WORKFLOW_BASIC_WORKFLOW', '', 'com_content.article', '1', '1', '2021-11-03 12:32:36', '0', '2021-11-03 12:32:36', '0', NULL, NULL);
/**ABDB**/CREATE TABLE `#__workflow_transitions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(11) DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `workflow_id` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT 0,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `from_stage_id` int(11) NOT NULL,
  `to_stage_id` int(11) NOT NULL,
  `options` text NOT NULL,
  `checked_out_time` datetime DEFAULT NULL,
  `checked_out` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_title` (`title`(191)),
  KEY `idx_asset_id` (`asset_id`),
  KEY `idx_checked_out` (`checked_out`),
  KEY `idx_from_stage_id` (`from_stage_id`),
  KEY `idx_to_stage_id` (`to_stage_id`),
  KEY `idx_workflow_id` (`workflow_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__workflow_transitions`  VALUES 
('1', '0', '1', '1', '1', 'UNPUBLISH', '', '-1', '1', '{\"publishing\":\"0\"}', NULL, NULL),
('2', '0', '2', '1', '1', 'PUBLISH', '', '-1', '1', '{\"publishing\":\"1\"}', NULL, NULL),
('3', '0', '3', '1', '1', 'TRASH', '', '-1', '1', '{\"publishing\":\"-2\"}', NULL, NULL),
('4', '0', '4', '1', '1', 'ARCHIVE', '', '-1', '1', '{\"publishing\":\"2\"}', NULL, NULL),
('5', '0', '5', '1', '1', 'FEATURE', '', '-1', '1', '{\"featuring\":\"1\"}', NULL, NULL),
('6', '0', '6', '1', '1', 'UNFEATURE', '', '-1', '1', '{\"featuring\":\"0\"}', NULL, NULL),
('7', '0', '7', '1', '1', 'PUBLISH_AND_FEATURE', '', '-1', '1', '{\"publishing\":\"1\",\"featuring\":\"1\"}', NULL, NULL);
/**ABDB**/CREATE TABLE `#__workflow_stages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(11) DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `workflow_id` int(11) NOT NULL,
  `published` tinyint(4) NOT NULL DEFAULT 0,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `default` tinyint(4) NOT NULL DEFAULT 0,
  `checked_out_time` datetime DEFAULT NULL,
  `checked_out` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_workflow_id` (`workflow_id`),
  KEY `idx_checked_out` (`checked_out`),
  KEY `idx_title` (`title`(191)),
  KEY `idx_asset_id` (`asset_id`),
  KEY `idx_default` (`default`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__workflow_stages`  VALUES 
('1', '0', '1', '1', '1', 'COM_WORKFLOW_BASIC_STAGE', '', '1', NULL, NULL);
/**ABDB**/CREATE TABLE `#__workflow_associations` (
  `item_id` int(11) NOT NULL DEFAULT 0 COMMENT 'Extension table id value',
  `stage_id` int(11) NOT NULL COMMENT 'Foreign Key to #__workflow_stages.id',
  `extension` varchar(50) NOT NULL,
  PRIMARY KEY (`item_id`,`extension`),
  KEY `idx_item_stage_extension` (`item_id`,`stage_id`,`extension`),
  KEY `idx_item_id` (`item_id`),
  KEY `idx_stage_id` (`stage_id`),
  KEY `idx_extension` (`extension`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__workflow_associations`  VALUES 
('1', '1', 'com_content.article'),
('2', '1', 'com_content.article'),
('3', '1', 'com_content.article'),
('4', '1', 'com_content.article'),
('5', '1', 'com_content.article'),
('6', '1', 'com_content.article'),
('7', '1', 'com_content.article'),
('8', '1', 'com_content.article'),
('9', '1', 'com_content.article'),
('10', '1', 'com_content.article'),
('11', '1', 'com_content.article'),
('12', '1', 'com_content.article'),
('13', '1', 'com_content.article'),
('14', '1', 'com_content.article'),
('15', '1', 'com_content.article'),
('16', '1', 'com_content.article'),
('17', '1', 'com_content.article'),
('18', '1', 'com_content.article'),
('19', '1', 'com_content.article'),
('20', '1', 'com_content.article'),
('21', '1', 'com_content.article'),
('22', '1', 'com_content.article'),
('23', '1', 'com_content.article'),
('24', '1', 'com_content.article'),
('25', '1', 'com_content.article'),
('26', '1', 'com_content.article'),
('27', '1', 'com_content.article'),
('28', '1', 'com_content.article'),
('29', '1', 'com_content.article'),
('30', '1', 'com_content.article'),
('31', '1', 'com_content.article'),
('32', '1', 'com_content.article'),
('33', '1', 'com_content.article'),
('34', '1', 'com_content.article');
/**ABDB**/CREATE TABLE `#__webauthn_credentials` (
  `id` varchar(1000) NOT NULL COMMENT 'Credential ID',
  `user_id` varchar(128) NOT NULL COMMENT 'User handle',
  `label` varchar(190) NOT NULL COMMENT 'Human readable label',
  `credential` mediumtext NOT NULL COMMENT 'Credential source data, JSON format',
  PRIMARY KEY (`id`(100)),
  KEY `user_id` (`user_id`(60))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__viewlevels`  VALUES 
('1', 'Public', '0', '[1]'),
('2', 'Registered', '2', '[6,2,8]'),
('3', 'Special', '3', '[6,3,8]'),
('5', 'Guest', '1', '[9]'),
('6', 'Super Users', '4', '[8]');
/**ABDB**/CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(400) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT 0,
  `sendEmail` tinyint(4) DEFAULT 0,
  `registerDate` datetime NOT NULL,
  `lastvisitDate` datetime DEFAULT NULL,
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime DEFAULT NULL,
  `resetCount` int(11) NOT NULL DEFAULT 0 COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'Require user to reset password on next login',
  `authProvider` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_username` (`username`),
  KEY `idx_name` (`name`(100)),
  KEY `idx_block` (`block`),
  KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=518 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__users`  VALUES 
('517', 'Super User', 'JoomlaAdmin', 'mail@localhost', '$2y$10$4WjfNzGIEmEMmplWz6si0eHEcwW.A/pwMtWQkDq2eej7XdyOpOONO', '0', '1', '2021-11-03 11:23:37', '2023-12-08 15:45:43', '0', '', NULL, '0', '', '', '0', '');
/**ABDB**/CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__usergroups`  VALUES 
('1', '0', '1', '18', 'Public'),
('2', '1', '8', '15', 'Registered'),
('3', '2', '9', '14', 'Author'),
('4', '3', '10', '13', 'Editor'),
('5', '4', '11', '12', 'Publisher'),
('6', '1', '4', '7', 'Manager'),
('7', '6', '5', '6', 'Administrator'),
('8', '1', '16', '17', 'Super Users'),
('9', '1', '2', '3', 'Guest');
/**ABDB**/CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__user_usergroup_map`  VALUES 
('517', '8');
/**ABDB**/CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Simple user profile storage table';
/**ABDB**/CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `catid` int(10) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(4) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned DEFAULT NULL,
  `checked_out_time` datetime DEFAULT NULL,
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL,
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL,
  `review_time` datetime DEFAULT NULL,
  `publish_up` datetime DEFAULT NULL,
  `publish_down` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__user_mfa` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `title` varchar(255) NOT NULL DEFAULT '',
  `method` varchar(100) NOT NULL,
  `default` tinyint(4) NOT NULL DEFAULT 0,
  `options` mediumtext NOT NULL,
  `created_on` datetime NOT NULL,
  `last_used` datetime DEFAULT NULL,
  `tries` int(11) NOT NULL DEFAULT 0,
  `last_try` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Multi-factor Authentication settings';
/**ABDB**/CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(150) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(191) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT 0,
  `extension_id` int(11) DEFAULT 0,
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT 0,
  `version` varchar(32) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  `changelogurl` text DEFAULT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB AUTO_INCREMENT=64 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Available Updates';
/**ABDB**/INSERT INTO `#__updates`  VALUES 
('2', '2', '0', 'Afrikaans', '', 'pkg_af-ZA', 'package', '', '0', '4.3.2.1', '', 'https://update.joomla.org/language/details4/af-ZA_details.xml', '', '', ''),
('3', '2', '0', 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', '0', '4.0.2.1', '', 'https://update.joomla.org/language/details4/ar-AA_details.xml', '', '', ''),
('4', '2', '0', 'Bulgarian', '', 'pkg_bg-BG', 'package', '', '0', '4.3.3.1', '', 'https://update.joomla.org/language/details4/bg-BG_details.xml', '', '', ''),
('5', '2', '0', 'Catalan', '', 'pkg_ca-ES', 'package', '', '0', '4.0.4.2', '', 'https://update.joomla.org/language/details4/ca-ES_details.xml', '', '', ''),
('6', '2', '0', 'Chinese, Simplified', '', 'pkg_zh-CN', 'package', '', '0', '4.3.0.2', '', 'https://update.joomla.org/language/details4/zh-CN_details.xml', '', '', ''),
('7', '2', '0', 'Chinese, Traditional', '', 'pkg_zh-TW', 'package', '', '0', '4.2.3.1', '', 'https://update.joomla.org/language/details4/zh-TW_details.xml', '', '', ''),
('8', '2', '0', 'Croatian', '', 'pkg_hr-HR', 'package', '', '0', '4.3.1.1', '', 'https://update.joomla.org/language/details4/hr-HR_details.xml', '', '', ''),
('9', '2', '0', 'Czech', '', 'pkg_cs-CZ', 'package', '', '0', '4.4.0.1', '', 'https://update.joomla.org/language/details4/cs-CZ_details.xml', '', '', ''),
('10', '2', '0', 'Danish', '', 'pkg_da-DK', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/da-DK_details.xml', '', '', ''),
('11', '2', '0', 'Dutch', '', 'pkg_nl-NL', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/nl-NL_details.xml', '', '', ''),
('12', '2', '0', 'English, Australia', '', 'pkg_en-AU', 'package', '', '0', '4.3.1.1', '', 'https://update.joomla.org/language/details4/en-AU_details.xml', '', '', ''),
('13', '2', '0', 'English, Canada', '', 'pkg_en-CA', 'package', '', '0', '4.3.1.1', '', 'https://update.joomla.org/language/details4/en-CA_details.xml', '', '', ''),
('14', '2', '0', 'English, New Zealand', '', 'pkg_en-NZ', 'package', '', '0', '4.3.1.1', '', 'https://update.joomla.org/language/details4/en-NZ_details.xml', '', '', ''),
('15', '2', '0', 'English, USA', '', 'pkg_en-US', 'package', '', '0', '4.3.1.1', '', 'https://update.joomla.org/language/details4/en-US_details.xml', '', '', ''),
('16', '2', '0', 'Estonian', '', 'pkg_et-EE', 'package', '', '0', '4.4.1.2', '', 'https://update.joomla.org/language/details4/et-EE_details.xml', '', '', ''),
('17', '2', '0', 'Finnish', '', 'pkg_fi-FI', 'package', '', '0', '4.1.1.2', '', 'https://update.joomla.org/language/details4/fi-FI_details.xml', '', '', ''),
('18', '2', '0', 'Flemish', '', 'pkg_nl-BE', 'package', '', '0', '4.4.0.1', '', 'https://update.joomla.org/language/details4/nl-BE_details.xml', '', '', ''),
('19', '2', '0', 'French', '', 'pkg_fr-FR', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/fr-FR_details.xml', '', '', ''),
('20', '2', '0', 'French, Canada', '', 'pkg_fr-CA', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/fr-CA_details.xml', '', '', ''),
('21', '2', '0', 'Georgian', '', 'pkg_ka-GE', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/ka-GE_details.xml', '', '', ''),
('23', '2', '0', 'German, Austria', '', 'pkg_de-AT', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/de-AT_details.xml', '', '', ''),
('24', '2', '0', 'German, Liechtenstein', '', 'pkg_de-LI', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/de-LI_details.xml', '', '', ''),
('25', '2', '0', 'German, Luxembourg', '', 'pkg_de-LU', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/de-LU_details.xml', '', '', ''),
('26', '2', '0', 'German, Switzerland', '', 'pkg_de-CH', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/de-CH_details.xml', '', '', ''),
('27', '2', '0', 'Greek', '', 'pkg_el-GR', 'package', '', '0', '4.4.1.2', '', 'https://update.joomla.org/language/details4/el-GR_details.xml', '', '', ''),
('28', '2', '0', 'Hungarian', '', 'pkg_hu-HU', 'package', '', '0', '4.4.0.1', '', 'https://update.joomla.org/language/details4/hu-HU_details.xml', '', '', ''),
('29', '2', '0', 'Irish', '', 'pkg_ga-IE', 'package', '', '0', '4.2.8.1', '', 'https://update.joomla.org/language/details4/ga-IE_details.xml', '', '', ''),
('30', '2', '0', 'Italian', '', 'pkg_it-IT', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/it-IT_details.xml', '', '', ''),
('31', '2', '0', 'Japanese', '', 'pkg_ja-JP', 'package', '', '0', '4.4.0.1', '', 'https://update.joomla.org/language/details4/ja-JP_details.xml', '', '', ''),
('32', '2', '0', 'Kazakh', '', 'pkg_kk-KZ', 'package', '', '0', '4.4.0.3', '', 'https://update.joomla.org/language/details4/kk-KZ_details.xml', '', '', ''),
('33', '2', '0', 'Latvian', '', 'pkg_lv-LV', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/lv-LV_details.xml', '', '', ''),
('34', '2', '0', 'Lithuanian', '', 'pkg_lt-LT', 'package', '', '0', '4.3.4.1', '', 'https://update.joomla.org/language/details4/lt-LT_details.xml', '', '', ''),
('35', '2', '0', 'Macedonian', '', 'pkg_mk-MK', 'package', '', '0', '4.2.4.1', '', 'https://update.joomla.org/language/details4/mk-MK_details.xml', '', '', ''),
('36', '2', '0', 'Norwegian Bokmål', '', 'pkg_nb-NO', 'package', '', '0', '4.0.1.1', '', 'https://update.joomla.org/language/details4/nb-NO_details.xml', '', '', ''),
('37', '2', '0', 'Pashto Afghanistan', '', 'pkg_ps-AF', 'package', '', '0', '4.3.4.1', '', 'https://update.joomla.org/language/details4/ps-AF_details.xml', '', '', ''),
('38', '2', '0', 'Persian Farsi', '', 'pkg_fa-IR', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/fa-IR_details.xml', '', '', ''),
('39', '2', '0', 'Polish', '', 'pkg_pl-PL', 'package', '', '0', '4.4.0.2', '', 'https://update.joomla.org/language/details4/pl-PL_details.xml', '', '', ''),
('40', '2', '0', 'Portuguese, Brazil', '', 'pkg_pt-BR', 'package', '', '0', '4.0.3.1', '', 'https://update.joomla.org/language/details4/pt-BR_details.xml', '', '', ''),
('41', '2', '0', 'Portuguese, Portugal', '', 'pkg_pt-PT', 'package', '', '0', '4.0.0-rc4.2', '', 'https://update.joomla.org/language/details4/pt-PT_details.xml', '', '', ''),
('42', '2', '0', 'Romanian', '', 'pkg_ro-RO', 'package', '', '0', '4.3.1.1', '', 'https://update.joomla.org/language/details4/ro-RO_details.xml', '', '', ''),
('43', '2', '0', 'Russian', '', 'pkg_ru-RU', 'package', '', '0', '4.4.0.1', '', 'https://update.joomla.org/language/details4/ru-RU_details.xml', '', '', ''),
('44', '2', '0', 'Serbian, Cyrillic', '', 'pkg_sr-RS', 'package', '', '0', '4.3.2.1', '', 'https://update.joomla.org/language/details4/sr-RS_details.xml', '', '', ''),
('45', '2', '0', 'Serbian, Latin', '', 'pkg_sr-YU', 'package', '', '0', '4.3.2.2', '', 'https://update.joomla.org/language/details4/sr-YU_details.xml', '', '', ''),
('46', '2', '0', 'Slovak', '', 'pkg_sk-SK', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/sk-SK_details.xml', '', '', ''),
('47', '2', '0', 'Slovenian', '', 'pkg_sl-SI', 'package', '', '0', '4.4.1.2', '', 'https://update.joomla.org/language/details4/sl-SI_details.xml', '', '', ''),
('48', '2', '0', 'Spanish', '', 'pkg_es-ES', 'package', '', '0', '4.4.0.1', '', 'https://update.joomla.org/language/details4/es-ES_details.xml', '', '', ''),
('49', '2', '0', 'Swedish', '', 'pkg_sv-SE', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/sv-SE_details.xml', '', '', ''),
('50', '2', '0', 'Tamil, India', '', 'pkg_ta-IN', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/ta-IN_details.xml', '', '', ''),
('51', '2', '0', 'Thai', '', 'pkg_th-TH', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/th-TH_details.xml', '', '', ''),
('52', '2', '0', 'Turkish', '', 'pkg_tr-TR', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/tr-TR_details.xml', '', '', ''),
('53', '2', '0', 'Ukrainian', '', 'pkg_uk-UA', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/uk-UA_details.xml', '', '', ''),
('54', '2', '0', 'Vietnamese', '', 'pkg_vi-VN', 'package', '', '0', '4.2.2.1', '', 'https://update.joomla.org/language/details4/vi-VN_details.xml', '', '', ''),
('55', '2', '0', 'Welsh', '', 'pkg_cy-GB', 'package', '', '0', '4.4.1.1', '', 'https://update.joomla.org/language/details4/cy-GB_details.xml', '', '', '');
/**ABDB**/CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT 0,
  `extension_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Links extensions to update sites';
/**ABDB**/INSERT INTO `#__update_sites_extensions`  VALUES 
('1', '700'),
('2', '802'),
('2', '10007'),
('3', '28'),
('57', '10051'),
('58', '10013'),
('59', '10012'),
('60', '10058'),
('61', '10055'),
('63', '10114'),
('64', '10111'),
('68', '10137'),
('69', '10138'),
('70', '10139'),
('71', '10140'),
('72', '10141'),
('73', '10142'),
('74', '10143'),
('75', '10028'),
('76', '10144'),
('77', '10014'),
('78', '10145'),
('79', '10146'),
('80', '10147'),
('81', '10148'),
('82', '10149'),
('83', '10011'),
('84', '10036'),
('85', '10150'),
('86', '10010'),
('87', '10151'),
('88', '10020'),
('89', '10041'),
('90', '10032'),
('91', '10152'),
('92', '10027'),
('94', '10158');
/**ABDB**/CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT 0,
  `last_check_timestamp` bigint(20) DEFAULT 0,
  `extra_query` varchar(1000) DEFAULT '',
  `checked_out` int(10) unsigned DEFAULT NULL,
  `checked_out_time` datetime DEFAULT NULL,
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=95 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Update Sites';
/**ABDB**/INSERT INTO `#__update_sites`  VALUES 
('1', 'Joomla! Core', 'collection', 'https://update.joomla.org/core/list.xml', '1', '1702050352', '', NULL, NULL),
('2', 'Accredited Joomla! Translations', 'collection', 'https://update.joomla.org/language/translationlist_4.xml', '1', '1702050352', '', NULL, NULL),
('3', 'Joomla! Update Component', 'extension', 'https://update.joomla.org/core/extensions/com_joomlaupdate.xml', '1', '1702050465', '', NULL, NULL),
('57', 'GTranslate', 'extension', 'http://gtranslate.net/downloads/gtranslate.xml', '1', '1702050352', '', NULL, NULL),
('58', 'mod_jdsimplecontactform', 'extension', 'https://cdn.joomdev.com/updates/mod_jdsimplecontactform.xml', '1', '1702050352', '', NULL, NULL),
('59', 'Simple Image Gallery', 'extension', 'https://cdn.joomlaworks.org/updates/sig.xml', '1', '1702050353', '', NULL, NULL),
('60', 'Uikit 3 Plugin', 'extension', 'https://www.joomlaplates.de/updates/uikit/plg_uikit3.xml', '1', '1702050353', '', NULL, NULL),
('61', 'Bike Template', 'extension', 'https://www.joomlaplates.de/updates/templates/tp_bike.xml', '1', '1702050353', '', NULL, NULL),
('63', 'Akeeba Backup Core for Joomla!', 'extension', 'https://cdn.akeeba.com/updates/pkgakeebabackupcore.xml', '1', '1702050353', '', NULL, NULL),
('64', 'Search Update Site', 'extension', 'https://raw.githubusercontent.com/joomla-extensions/search/main/manifest.xml', '1', '1702050353', '', NULL, NULL),
('68', 'Article Grid', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_article_grid.xml', '1', '1702050353', '', NULL, NULL),
('69', 'Article Slider', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_article_slider.xml', '1', '1702050353', '', NULL, NULL),
('70', 'Article Slideshow', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_article_slideshow.xml', '1', '1702050353', '', NULL, NULL),
('71', 'Shape Divider', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_shape_divider.xml', '1', '1702050353', '', NULL, NULL),
('72', 'UIkit 3 Accordion', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_accordion.xml', '1', '1702050353', '', NULL, NULL),
('73', 'Counter', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_counter.xml', '1', '1702050353', '', NULL, NULL),
('74', 'UIkit 3 DotNav', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_dotnav.xml', '1', '1702050353', '', NULL, NULL),
('75', 'UIkit 3 Gallery', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_gallery.xml', '1', '1702050353', '', NULL, NULL),
('76', 'UIkit 3 Gallery with Text', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_gallery_text.xml', '1', '1702050353', '', NULL, NULL),
('77', 'UIkit 3 Grid', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_grid.xml', '1', '1702050353', '', NULL, NULL),
('78', 'UIkit 3 Grid Portfolio', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_grid_portfolio.xml', '1', '1702050353', '', NULL, NULL),
('79', 'UIkit 3 IconNav', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_iconnav.xml', '1', '1702050353', '', NULL, NULL),
('80', 'UIkit 3 Pricetable', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_pricetable.xml', '1', '1702050353', '', NULL, NULL),
('81', 'UIkit 3 Progressbar', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_progressbar.xml', '1', '1702050353', '', NULL, NULL),
('82', 'UIkit 3 Skills', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_skills.xml', '1', '1702050353', '', NULL, NULL),
('83', 'UIkit 3 Slider', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_slider.xml', '1', '1702050353', '', NULL, NULL),
('84', 'Uikit 3 Slide Portfolio', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_slide_portfolio.xml', '1', '1702050353', '', NULL, NULL),
('85', 'UIkit 3 Slideportfolio 2', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_slide_portfolio2.xml', '1', '1702050353', '', NULL, NULL),
('86', 'UIkit 3 Slideshow', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_slideshow.xml', '1', '1702050353', '', NULL, NULL),
('87', 'UIkit 3 Slideshow Viewport Height', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_slideshow_viewport.xml', '1', '1702050353', '', NULL, NULL),
('88', 'Uikit 3 Stripes', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_stripes.xml', '1', '1702050353', '', NULL, NULL),
('89', 'UIkit 3 Switcher', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_switcher.xml', '1', '1702050353', '', NULL, NULL),
('90', 'UIkit 3 Switcher', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_timeline.xml', '1', '1702050353', '', NULL, NULL),
('91', 'UIkit 3 Typewriter', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_typewriter.xml', '1', '1702050353', '', NULL, NULL),
('92', 'UIkit 3 Video Slideshow', 'extension', 'https://www.joomlaplates.de/updates/uikit/mod_uk_video_slideshow.xml', '1', '1702050353', '', NULL, NULL),
('94', 'Astroid Framework', 'extension', 'https://raw.githubusercontent.com/templaza/astroid-framework/master/astroid_framework.xml', '1', '1702050410', '', NULL, NULL);
/**ABDB**/CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(400) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) NOT NULL DEFAULT '',
  `core_alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `core_body` mediumtext DEFAULT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT 0,
  `core_checked_out_time` datetime DEFAULT NULL,
  `core_checked_out_user_id` int(10) unsigned DEFAULT NULL,
  `core_access` int(10) unsigned NOT NULL DEFAULT 0,
  `core_params` text DEFAULT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT 0,
  `core_metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL,
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL,
  `core_language` char(7) NOT NULL DEFAULT '',
  `core_publish_up` datetime DEFAULT NULL,
  `core_publish_down` datetime DEFAULT NULL,
  `core_content_item_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `core_images` text DEFAULT NULL,
  `core_urls` text DEFAULT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT 0,
  `core_version` int(10) unsigned NOT NULL DEFAULT 1,
  `core_ordering` int(11) NOT NULL DEFAULT 0,
  `core_metakey` text DEFAULT NULL,
  `core_metadesc` text DEFAULT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT 0,
  `core_xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`(100)),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`(100)),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`(100)),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci COMMENT='Contains core content data in name spaced fields';
/**ABDB**/INSERT INTO `#__ucm_content`  VALUES 
('1', 'com_content.article', 'Sample Joomla Article with a Video', 'blog-artikel-1', '<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren</p>\r\n', '1', NULL, NULL, '1', '{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"astroid_article_type\":\"video\",\"astroid_article_video_type\":\"youtube\",\"astroid_article_video_url\":\"https:\\/\\/www.youtube.com\\/watch?v=o0KNXPTgDgo&t=32s\",\"astroid_article_gallery_width\":\"\",\"astroid_article_gallery_bullets\":\"1\",\"astroid_article_gallery_navigation\":\"1\",\"astroid_article_thumbnail\":\"1\",\"astroid_article_gallery_items\":[],\"astroid_article_audio_source\":\"soundcloud\",\"astroid_article_audio_soundcloud\":\"\",\"astroid_article_audio_spotify\":\"\",\"astroid_article_review_heading\":\"\",\"astroid_article_review_summery\":\"\",\"astroid_article_review_good\":\"\",\"astroid_article_review_bad\":\"\",\"astroid_article_review_rating\":\"5\",\"astroid_article_button_action\":\"\",\"astroid_article_button_link\":\"\",\"astroid_article_review_criterias\":[],\"astroid_article_quote_text\":\"\",\"astroid_article_quote_author\":\"\",\"astroid_article_content_position\":\"above-title\",\"astroid_article_badge\":\"1\",\"astroid_article_badge_type\":\"3\",\"astroid_article_badge_text\":\"Top Artikel\",\"astroid_article_badge_color\":\"#d11e1e\",\"astroid_article_badge_text_color\":\"#ffffff\",\"astroid_authorinfo\":\"\",\"astroid_relatedposts\":\"\",\"article_relatedposts_count\":\"\",\"article_relatedposts_count_custom\":\"4\",\"article_relatedposts_posttype\":\"\",\"article_relatedposts_badge\":\"\",\"astroid_readtime\":\"1\",\"astroid_socialshare\":\"\",\"astroid_comments\":\"\",\"astroid_og_title\":\"\",\"astroid_og_desc\":\"\",\"astroid_og_image\":\"\"}', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '517', '', '2021-11-03 11:23:37', '517', '2021-11-03 11:23:37', '*', '2021-11-03 11:23:37', NULL, '6', '83', '{\"image_intro\":\"images\\/blog\\/blog-004.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '65', '46', '3', '', '', '9', '', '1'),
('2', 'com_content.article', 'Joomla Article with Slider', 'blog-artikel-2', '<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren</p>\r\n', '1', NULL, NULL, '1', '{\"article_layout\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"astroid_article_type\":\"gallery\",\"astroid_article_video_type\":\"youtube\",\"astroid_article_video_url\":\"\",\"astroid_article_gallery_width\":\"\",\"astroid_article_gallery_bullets\":\"1\",\"astroid_article_gallery_navigation\":\"1\",\"astroid_article_thumbnail\":\"1\",\"astroid_article_gallery_items\":{\"astroid_article_gallery_items0\":{\"title\":\"Image Title\",\"image\":\"images\\/blog\\/blog-003.jpg\",\"description\":\"Short description if you want\"},\"astroid_article_gallery_items1\":{\"title\":\"Image Title\",\"image\":\"images\\/blog\\/blog-004.jpg\",\"description\":\"Short description if you want\"},\"astroid_article_gallery_items2\":{\"title\":\"Image Title\",\"image\":\"images\\/blog\\/blog-004.jpg\",\"description\":\"Short description if you want\"}},\"astroid_article_audio_source\":\"soundcloud\",\"astroid_article_audio_soundcloud\":\"\",\"astroid_article_audio_spotify\":\"\",\"astroid_article_review_heading\":\"\",\"astroid_article_review_summery\":\"\",\"astroid_article_review_good\":\"\",\"astroid_article_review_bad\":\"\",\"astroid_article_review_rating\":\"5\",\"astroid_article_button_action\":\"\",\"astroid_article_button_link\":\"\",\"astroid_article_review_criterias\":[],\"astroid_article_quote_text\":\"\",\"astroid_article_quote_author\":\"\",\"astroid_article_content_position\":\"before-content\",\"astroid_article_badge\":\"1\",\"astroid_article_badge_type\":\"5\",\"astroid_article_badge_text\":\"\",\"astroid_article_badge_color\":\"\",\"astroid_article_badge_text_color\":\"\",\"astroid_authorinfo\":\"\",\"astroid_relatedposts\":\"\",\"article_relatedposts_count\":\"\",\"article_relatedposts_count_custom\":\"4\",\"article_relatedposts_posttype\":\"\",\"article_relatedposts_badge\":\"\",\"astroid_readtime\":\"\",\"astroid_socialshare\":\"\",\"astroid_comments\":\"\",\"astroid_og_title\":\"\",\"astroid_og_desc\":\"\",\"astroid_og_image\":\"\"}', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '517', '', '2021-11-03 11:23:37', '517', '2021-11-03 11:23:37', '*', '2021-11-03 11:23:37', NULL, '7', '84', '{\"image_intro\":\"images\\/blog\\/blog-003.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '7', '34', '2', '', '', '9', '', '1'),
('3', 'com_content.article', 'Joomla Article ', 'blog-artikel-3', '<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren</p>\r\n', '1', NULL, NULL, '1', '{\"article_layout\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"astroid_article_type\":\"regular\",\"astroid_article_video_type\":\"youtube\",\"astroid_article_video_url\":\"\",\"astroid_article_gallery_width\":\"\",\"astroid_article_gallery_bullets\":\"1\",\"astroid_article_gallery_navigation\":\"1\",\"astroid_article_thumbnail\":\"1\",\"astroid_article_gallery_items\":[],\"astroid_article_audio_source\":\"soundcloud\",\"astroid_article_audio_soundcloud\":\"<iframe width=\\\"100%\\\" height=\\\"300\\\" scrolling=\\\"no\\\" frameborder=\\\"no\\\" allow=\\\"autoplay\\\" src=\\\"https:\\/\\/w.soundcloud.com\\/player\\/?url=https%3A\\/\\/api.soundcloud.com\\/tracks\\/997741861&color=%23ff5500&auto_play=false&hide_related=false&show_comments=true&show_user=true&show_reposts=false&show_teaser=true&visual=true\\\"><\\/iframe><div style=\\\"font-size: 10px; color: #cccccc;line-break: anywhere;word-break: normal;overflow: hidden;white-space: nowrap;text-overflow: ellipsis; font-family: Interstate,Lucida Grande,Lucida Sans Unicode,Lucida Sans,Garuda,Verdana,Tahoma,sans-serif;font-weight: 100;\\\"><a href=\\\"https:\\/\\/soundcloud.com\\/kinkyparty\\\" title=\\\"Kinky Party\\\" target=\\\"_blank\\\" style=\\\"color: #cccccc; text-decoration: none;\\\">Kinky Party<\\/a> \\u00b7 <a href=\\\"https:\\/\\/soundcloud.com\\/kinkyparty\\/fetish-stories-by-chris-helmbrecht\\\" title=\\\"Kinky Party. Fetish Stories 27\\/02\\/21 (Live DJ - Set By Chris Helmbrecht)\\\" target=\\\"_blank\\\" style=\\\"color: #cccccc; text-decoration: none;\\\">Kinky Party. Fetish Stories 27\\/02\\/21 (Live DJ - Set By Chris Helmbrecht)<\\/a><\\/div>\",\"astroid_article_audio_spotify\":\"\",\"astroid_article_review_heading\":\"\",\"astroid_article_review_summery\":\"\",\"astroid_article_review_good\":\"\",\"astroid_article_review_bad\":\"\",\"astroid_article_review_rating\":\"5\",\"astroid_article_button_action\":\"\",\"astroid_article_button_link\":\"\",\"astroid_article_review_criterias\":[],\"astroid_article_quote_text\":\"\",\"astroid_article_quote_author\":\"\",\"astroid_article_content_position\":\"before-content\",\"astroid_article_badge\":\"0\",\"astroid_article_badge_type\":\"2\",\"astroid_article_badge_text\":\"\",\"astroid_article_badge_color\":\"\",\"astroid_article_badge_text_color\":\"\",\"astroid_authorinfo\":\"\",\"astroid_relatedposts\":\"\",\"article_relatedposts_count\":\"\",\"article_relatedposts_count_custom\":\"4\",\"article_relatedposts_posttype\":\"\",\"article_relatedposts_badge\":\"\",\"astroid_readtime\":\"\",\"astroid_socialshare\":\"\",\"astroid_comments\":\"\",\"astroid_og_title\":\"\",\"astroid_og_desc\":\"\",\"astroid_og_image\":\"\"}', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '517', '', '2021-11-03 11:23:37', '517', '2021-11-03 11:23:37', '*', '2021-11-03 11:23:37', NULL, '8', '85', '{\"image_intro\":\"images\\/blog\\/blog-002.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/blog\\/blog-002.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '3', '22', '1', '', '', '9', '', '1'),
('4', 'com_content.article', 'Sample Joomla Article', 'blog-artikel-4', '<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren</p>\r\n', '1', NULL, NULL, '1', '{\"article_layout\":\"\",\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_page_title\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\",\"astroid_article_type\":\"regular\",\"astroid_article_video_type\":\"youtube\",\"astroid_article_video_url\":\"https:\\/\\/www.youtube.com\\/watch?v=Z-tWViGvrFc\",\"astroid_article_gallery_width\":\"\",\"astroid_article_gallery_bullets\":\"1\",\"astroid_article_gallery_navigation\":\"1\",\"astroid_article_thumbnail\":\"1\",\"astroid_article_gallery_items\":{\"astroid_article_gallery_items0\":{\"title\":\"\",\"image\":\"\",\"description\":\"\"}},\"astroid_article_audio_source\":\"soundcloud\",\"astroid_article_audio_soundcloud\":\"\",\"astroid_article_audio_spotify\":\"\",\"astroid_article_review_heading\":\"\",\"astroid_article_review_summery\":\"\",\"astroid_article_review_good\":\"\",\"astroid_article_review_bad\":\"\",\"astroid_article_review_rating\":\"5\",\"astroid_article_button_action\":\"\",\"astroid_article_button_link\":\"\",\"astroid_article_review_criterias\":[],\"astroid_article_quote_text\":\"\",\"astroid_article_quote_author\":\"\",\"astroid_article_content_position\":\"before-content\",\"astroid_article_badge\":\"0\",\"astroid_article_badge_type\":\"2\",\"astroid_article_badge_text\":\"\",\"astroid_article_badge_color\":\"\",\"astroid_article_badge_text_color\":\"\",\"astroid_authorinfo\":\"\",\"astroid_relatedposts\":\"\",\"article_relatedposts_count\":\"\",\"article_relatedposts_count_custom\":\"4\",\"article_relatedposts_posttype\":\"\",\"article_relatedposts_badge\":\"\",\"astroid_readtime\":\"\",\"astroid_socialshare\":\"\",\"astroid_comments\":\"\",\"astroid_og_title\":\"\",\"astroid_og_desc\":\"\",\"astroid_og_image\":\"\"}', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '517', '', '2021-11-03 11:23:37', '517', '2021-11-03 11:23:37', '*', '2021-11-03 11:23:37', NULL, '9', '86', '{\"image_intro\":\"images\\/blog\\/blog-001.jpg\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"images\\/blog\\/blog-001.jpg\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '1', '19', '0', '', '', '9', '', '1');
/**ABDB**/CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__ucm_base`  VALUES 
('1', '6', '1', '0'),
('2', '7', '1', '0'),
('3', '8', '1', '0'),
('4', '9', '1', '0');
/**ABDB**/CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `inheritable` tinyint(4) NOT NULL DEFAULT 0,
  `parent` varchar(50) DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_client_id` (`client_id`),
  KEY `idx_client_id_home` (`client_id`,`home`)
) ENGINE=InnoDB AUTO_INCREMENT=31 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__template_styles`  VALUES 
('25', 'tp_bike', '0', '1', 'tp_bike - Standard', '{\"astroid\":\"25\"}', '0', ''),
('26', 'tp_bike', '0', '0', 'tp_bike - content-left-right', '{\"astroid\":26}', '0', ''),
('27', 'tp_bike', '0', '0', 'tp_bike - left-right-content', '{\"astroid\":27}', '0', ''),
('28', 'tp_bike', '0', '0', 'tp_bike - sidebar-left-right', '{\"astroid\":28}', '0', ''),
('29', 'atum', '1', '1', 'Atum - Default', '{\"hue\":\"hsl(214, 63%, 20%)\",\"bg-light\":\"#f0f4fb\",\"text-dark\":\"#495057\",\"text-light\":\"#ffffff\",\"link-color\":\"#2a69b8\",\"special-color\":\"#001b4c\",\"monochrome\":\"0\",\"loginLogo\":\"\",\"loginLogoAlt\":\"\",\"logoBrandLarge\":\"\",\"logoBrandLargeAlt\":\"\",\"logoBrandSmall\":\"\",\"logoBrandSmallAlt\":\"\"}', '1', ''),
('30', 'cassiopeia', '0', '0', 'Cassiopeia - Default', '{}', '1', '');
/**ABDB**/CREATE TABLE `#__template_overrides` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `hash_id` varchar(255) NOT NULL DEFAULT '',
  `extension_id` int(11) DEFAULT 0,
  `state` tinyint(4) NOT NULL DEFAULT 0,
  `action` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `created_date` datetime NOT NULL,
  `modified_date` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_extension_id` (`extension_id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__template_overrides`  VALUES 
('1', 'tp_bike', 'L2h0bWxcY29tX2NvbnRlbnQvY2F0ZWdvcnkvYmxvZ19pdGVtLnBocA==', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('2', 'tp_bike', 'L2h0bWxcY29tX2NvbnRlbnQvY2F0ZWdvcnkvYmxvZy5waHA=', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('3', 'tp_bike', 'L2h0bWxcY29tX2NvbnRlbnQvYXJ0aWNsZS9kZWZhdWx0LnBocA==', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('4', 'tp_bike', 'L2h0bWxcY29tX2NvbnRlbnQvYXJ0aWNsZS9kZWZhdWx0X2xpbmtzLnBocA==', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('5', 'tp_bike', 'L2h0bWxcY29tX2NvbnRlbnQvZmVhdHVyZWQvZGVmYXVsdF9pdGVtLnBocA==', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('6', 'tp_bike', 'L2h0bWxcY29tX3VzZXJzL2xvZ2luL2RlZmF1bHRfbG9naW4ucGhw', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('7', 'tp_bike', 'L2h0bWxcY29tX3VzZXJzL2xvZ2luL2RlZmF1bHRfbG9nb3V0LnBocA==', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('8', 'tp_bike', 'L2h0bWxcY29tX3VzZXJzL3JlZ2lzdHJhdGlvbi9kZWZhdWx0LnBocA==', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('9', 'tp_bike', 'L2h0bWxcbGF5b3V0cy9qb29tbGEvY29udGVudC9pY29ucy9jcmVhdGUucGhw', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('10', 'tp_bike', 'L2h0bWxcbGF5b3V0cy9qb29tbGEvY29udGVudC9pbmZvX2Jsb2NrL2F1dGhvci5waHA=', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('11', 'tp_bike', 'L2h0bWxcbW9kX21lbnUvZGVmYXVsdF91cmwucGhw', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('12', 'tp_bike', 'L2h0bWxcbW9kX21lbnUvZGVmYXVsdF9jb21wb25lbnQucGhw', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('13', 'tp_bike', 'L2h0bWxcbW9kX2FydGljbGVzX2NhdGVnb3JpZXMvZGVmYXVsdF9pdGVtcy5waHA=', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('14', 'tp_bike', 'L2h0bWxcbW9kX2xvZ2luL2RlZmF1bHQucGhw', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('15', 'tp_bike', 'L2h0bWxcbW9kX2xvZ2luL2RlZmF1bHRfbG9nb3V0LnBocA==', '10055', '1', 'Joomla Update', '0', '2023-05-19 19:03:58', '2023-05-19 19:03:58'),
('16', 'tp_bike', 'L2h0bWwvY29tX2NvbnRlbnQvY2F0ZWdvcnkvYmxvZy5waHA=', '10055', '1', 'Joomla Update', '0', '2023-12-08 15:47:45', '2023-12-08 15:47:45');
/**ABDB**/CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lft` int(11) NOT NULL DEFAULT 0,
  `rgt` int(11) NOT NULL DEFAULT 0,
  `level` int(10) unsigned NOT NULL DEFAULT 0,
  `path` varchar(400) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned DEFAULT NULL,
  `checked_out_time` datetime DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL DEFAULT '',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `created_time` datetime NOT NULL,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `modified_time` datetime NOT NULL,
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `publish_up` datetime DEFAULT NULL,
  `publish_down` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__tags`  VALUES 
('1', '0', '0', '9', '0', '', 'ROOT', 'root', '', '', '1', NULL, NULL, '1', '', '', '', '', '517', '2021-11-03 11:23:37', '', '517', '2021-11-03 11:23:37', '', '', '0', '*', '1', NULL, NULL),
('2', '1', '1', '2', '1', 'politik', 'Politik', 'politik', '', '', '1', NULL, '2020-09-20 18:14:43', '1', '{}', '', '', '{}', '517', '2021-11-03 11:23:37', '', '0', '2021-11-03 11:23:37', '{}', '{}', '1', '*', '1', '2021-11-03 11:23:37', '2021-11-03 11:23:37'),
('3', '1', '3', '4', '1', 'technik', 'Technik', 'technik', '', '', '1', NULL, '2020-09-20 18:14:43', '1', '{}', '', '', '{}', '517', '2021-11-03 11:23:37', '', '0', '2021-11-03 11:23:37', '{}', '{}', '0', '*', '1', '2021-11-03 11:23:37', '2021-11-03 11:23:37'),
('4', '1', '5', '6', '1', 'mode', 'Mode', 'mode', '', '', '1', NULL, '2020-09-20 18:14:43', '1', '{}', '', '', '{}', '517', '2021-11-03 11:23:37', '', '0', '2021-11-03 11:23:37', '{}', '{}', '2', '*', '1', '2021-11-03 11:23:37', '2021-11-03 11:23:37'),
('5', '1', '7', '8', '1', 'auto', 'Auto', 'auto', '', '', '1', NULL, '2020-09-20 18:15:00', '1', '{}', '', '', '{}', '517', '2021-11-03 11:23:37', '', '0', '2021-11-03 11:23:37', '{}', '{}', '0', '*', '1', '2021-11-03 11:23:37', '2021-11-03 11:23:37');
/**ABDB**/CREATE TABLE `#__session` (
  `session_id` varbinary(192) NOT NULL,
  `client_id` tinyint(3) unsigned DEFAULT NULL,
  `guest` tinyint(3) unsigned DEFAULT 1,
  `time` int(11) NOT NULL DEFAULT 0,
  `data` mediumtext DEFAULT NULL,
  `userid` int(11) DEFAULT 0,
  `username` varchar(150) DEFAULT '',
  PRIMARY KEY (`session_id`),
  KEY `userid` (`userid`),
  KEY `time` (`time`),
  KEY `client_id_guest` (`client_id`,`guest`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__schemas`  VALUES 
('700', '4.4.0-2023-09-13'),
('10112', '9.4.0-20221011');
/**ABDB**/CREATE TABLE `#__scheduler_tasks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `type` varchar(128) NOT NULL COMMENT 'unique identifier for job defined by plugin',
  `execution_rules` text DEFAULT NULL COMMENT 'Execution Rules, Unprocessed',
  `cron_rules` text DEFAULT NULL COMMENT 'Processed execution rules, crontab-like JSON form',
  `state` tinyint(4) NOT NULL DEFAULT 0,
  `last_exit_code` int(11) NOT NULL DEFAULT 0 COMMENT 'Exit code when job was last run',
  `last_execution` datetime DEFAULT NULL COMMENT 'Timestamp of last run',
  `next_execution` datetime DEFAULT NULL COMMENT 'Timestamp of next (planned) run, referred for execution on trigger',
  `times_executed` int(11) DEFAULT 0 COMMENT 'Count of successful triggers',
  `times_failed` int(11) DEFAULT 0 COMMENT 'Count of failures',
  `locked` datetime DEFAULT NULL,
  `priority` smallint(6) NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0 COMMENT 'Configurable list ordering',
  `cli_exclusive` smallint(6) NOT NULL DEFAULT 0 COMMENT 'If 1, the task is only accessible via CLI',
  `params` text NOT NULL,
  `note` text DEFAULT NULL,
  `created` datetime NOT NULL,
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `checked_out` int(10) unsigned DEFAULT NULL,
  `checked_out_time` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_type` (`type`),
  KEY `idx_state` (`state`),
  KEY `idx_last_exit` (`last_exit_code`),
  KEY `idx_next_exec` (`next_execution`),
  KEY `idx_locked` (`locked`),
  KEY `idx_priority` (`priority`),
  KEY `idx_cli_exclusive` (`cli_exclusive`),
  KEY `idx_checked_out` (`checked_out`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(2048) NOT NULL,
  `new_url` varchar(2048) DEFAULT NULL,
  `referer` varchar(2048) NOT NULL,
  `comment` varchar(255) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL,
  `modified_date` datetime NOT NULL,
  `header` smallint(3) NOT NULL DEFAULT 301,
  PRIMARY KEY (`id`),
  KEY `idx_old_url` (`old_url`(100)),
  KEY `idx_link_modified` (`modified_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__privacy_requests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(100) NOT NULL DEFAULT '',
  `requested_at` datetime NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `request_type` varchar(25) NOT NULL DEFAULT '',
  `confirm_token` varchar(100) NOT NULL DEFAULT '',
  `confirm_token_created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__privacy_consents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `state` int(10) NOT NULL DEFAULT 1,
  `created` datetime NOT NULL,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `remind` tinyint(4) NOT NULL DEFAULT 0,
  `token` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT 700 COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT 1,
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT 1,
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__postinstall_messages`  VALUES 
('2', '700', 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', '1', 'message', '', '', '', '', '3.2.0', '1'),
('3', '700', 'COM_CPANEL_MSG_STATS_COLLECTION_TITLE', 'COM_CPANEL_MSG_STATS_COLLECTION_BODY', '', 'com_cpanel', '1', 'message', '', '', 'admin://components/com_admin/postinstall/statscollection.php', 'admin_postinstall_statscollection_condition', '3.5.0', '1'),
('4', '700', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_BODY', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_ACTION', 'plg_system_updatenotification', '1', 'action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_condition', '3.6.3', '1'),
('8', '700', 'COM_ACTIONLOGS_POSTINSTALL_TITLE', 'COM_ACTIONLOGS_POSTINSTALL_BODY', '', 'com_actionlogs', '1', 'message', '', '', '', '', '3.9.0', '1'),
('9', '700', 'COM_PRIVACY_POSTINSTALL_TITLE', 'COM_PRIVACY_POSTINSTALL_BODY', '', 'com_privacy', '1', 'message', '', '', '', '', '3.9.0', '1'),
('10', '700', 'COM_CPANEL_MSG_HTACCESSSVG_TITLE', 'COM_CPANEL_MSG_HTACCESSSVG_BODY', '', 'com_cpanel', '1', 'message', '', '', 'admin://components/com_admin/postinstall/htaccesssvg.php', 'admin_postinstall_htaccesssvg_condition', '3.9.21', '1'),
('11', '700', 'COM_ADMIN_POSTINSTALL_MSG_HTACCESS_AUTOINDEX_TITLE', 'COM_ADMIN_POSTINSTALL_MSG_HTACCESS_AUTOINDEX_DESCRIPTION', '', 'com_admin', '1', 'message', '', '', NULL, NULL, '3.9.22', '1'),
('12', '700', 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_TITLE', 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_DESCRIPTION', 'COM_ADMIN_POSTINSTALL_MSG_BEHIND_LOAD_BALANCER_ACTION', 'com_admin', '1', 'action', 'admin://components/com_admin/postinstall/behindproxy.php', 'behindproxy_postinstall_action', 'admin://components/com_admin/postinstall/behindproxy.php', 'admin_postinstall_behindproxy_condition', '3.9.26', '1'),
('14', '700', 'PLG_SYSTEM_HTTPHEADERS_POSTINSTALL_INTRODUCTION_TITLE', 'PLG_SYSTEM_HTTPHEADERS_POSTINSTALL_INTRODUCTION_BODY', 'PLG_SYSTEM_HTTPHEADERS_POSTINSTALL_INTRODUCTION_ACTION', 'plg_system_httpheaders', '1', 'action', 'site://plugins/system/httpheaders/postinstall/introduction.php', 'httpheaders_postinstall_action', 'site://plugins/system/httpheaders/postinstall/introduction.php', 'httpheaders_postinstall_condition', '4.0.0', '1'),
('15', '700', 'COM_USERS_POSTINSTALL_MULTIFACTORAUTH_TITLE', 'COM_USERS_POSTINSTALL_MULTIFACTORAUTH_BODY', 'COM_USERS_POSTINSTALL_MULTIFACTORAUTH_ACTION', 'com_users', '1', 'action', 'admin://components/com_users/postinstall/multifactorauth.php', 'com_users_postinstall_mfa_action', 'admin://components/com_users/postinstall/multifactorauth.php', 'com_users_postinstall_mfa_condition', '4.2.0', '1'),
('16', '700', 'COM_ADMIN_POSTINSTALL_MSG_HTACCESS_SETCE_TITLE', 'COM_ADMIN_POSTINSTALL_MSG_HTACCESS_SETCE_DESCRIPTION', '', 'com_admin', '1', 'message', '', '', 'admin://components/com_admin/postinstall/htaccesssetce.php', 'admin_postinstall_htaccesssetce_condition', '4.2.9', '1');
/**ABDB**/CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT 0,
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL DEFAULT '',
  `link` varchar(2048) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `numarticles` int(10) unsigned NOT NULL DEFAULT 1,
  `cache_time` int(10) unsigned NOT NULL DEFAULT 3600,
  `checked_out` int(10) unsigned DEFAULT NULL,
  `checked_out_time` datetime DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `rtl` tinyint(4) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL,
  `created_by` int(10) unsigned NOT NULL DEFAULT 0,
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL,
  `modified_by` int(10) unsigned NOT NULL DEFAULT 0,
  `metakey` text DEFAULT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `publish_up` datetime DEFAULT NULL,
  `publish_down` datetime DEFAULT NULL,
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT 1,
  `hits` int(10) unsigned NOT NULL DEFAULT 0,
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT 0,
  `menuid` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__modules_menu`  VALUES 
('2', '0'),
('3', '0'),
('4', '0'),
('6', '0'),
('7', '0'),
('8', '0'),
('9', '0'),
('10', '0'),
('12', '0'),
('13', '0'),
('14', '0'),
('15', '0'),
('79', '0'),
('86', '0'),
('87', '0'),
('88', '0'),
('89', '0'),
('99', '130'),
('99', '131'),
('99', '132'),
('113', '101'),
('113', '157'),
('114', '158'),
('114', '195'),
('114', '196'),
('114', '197'),
('115', '0'),
('120', '0'),
('130', '0'),
('131', '0'),
('135', '0'),
('136', '0'),
('137', '0'),
('138', '0'),
('139', '0'),
('140', '0'),
('141', '0'),
('143', '0'),
('144', '0'),
('150', '0'),
('153', '101'),
('154', '0'),
('162', '0'),
('164', '0'),
('167', '0'),
('168', '0'),
('169', '0'),
('171', '0'),
('172', '0'),
('174', '0'),
('175', '0'),
('176', '101'),
('177', '0'),
('178', '101'),
('179', '-101'),
('180', '0'),
('181', '0'),
('182', '101'),
('182', '130'),
('182', '132'),
('182', '138'),
('182', '157'),
('182', '195'),
('182', '196'),
('182', '197'),
('183', '0'),
('184', '0'),
('187', '101'),
('187', '132'),
('187', '157'),
('187', '164'),
('187', '182'),
('187', '183'),
('187', '184'),
('187', '185'),
('187', '186'),
('187', '195'),
('187', '196'),
('187', '197'),
('188', '0'),
('189', '0'),
('190', '0'),
('191', '0'),
('192', '-177'),
('192', '-172'),
('192', '-167'),
('192', '-166'),
('192', '-165'),
('193', '-177'),
('193', '-172'),
('193', '-167'),
('193', '-166'),
('193', '-165'),
('194', '-177'),
('194', '-172'),
('194', '-167'),
('194', '-166'),
('194', '-165'),
('195', '0'),
('196', '101'),
('197', '0'),
('198', '-177'),
('198', '-172'),
('198', '-167'),
('198', '-166'),
('198', '-165'),
('199', '0'),
('200', '0'),
('201', '0'),
('202', '0'),
('203', '-101'),
('204', '203'),
('205', '0'),
('206', '-203'),
('206', '-101'),
('207', '0'),
('208', '0'),
('209', '0'),
('210', '0'),
('211', '0'),
('212', '101'),
('213', '101'),
('214', '0'),
('215', '0'),
('216', '101'),
('217', '101'),
('218', '101'),
('219', '101'),
('220', '101'),
('221', '-177'),
('221', '-172'),
('221', '-166'),
('221', '-165'),
('222', '0'),
('223', '0'),
('224', '0'),
('225', '0'),
('226', '0'),
('227', '0'),
('228', '0'),
('229', '0'),
('230', '0'),
('231', '0'),
('232', '0'),
('233', '0'),
('234', '0'),
('235', '0'),
('236', '0'),
('237', '0'),
('238', '0'),
('239', '0'),
('240', '0'),
('241', '0'),
('242', '0'),
('243', '0'),
('244', '0'),
('245', '0'),
('262', '0'),
('263', '0');
/**ABDB**/CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text DEFAULT NULL,
  `ordering` int(11) NOT NULL DEFAULT 0,
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned DEFAULT NULL,
  `checked_out_time` datetime DEFAULT NULL,
  `publish_up` datetime DEFAULT NULL,
  `publish_down` datetime DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT 0,
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT 1,
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=264 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__modules`  VALUES 
('2', '40', 'Login', '', '', '1', 'login', NULL, NULL, NULL, NULL, '1', 'mod_login', '1', '1', '', '1', '*'),
('3', '41', 'Popular Articles', '', '', '3', 'cpanel', NULL, NULL, NULL, NULL, '1', 'mod_popular', '3', '1', '{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '1', '*'),
('4', '42', 'Recently Added Articles', '', '', '4', 'cpanel', NULL, NULL, NULL, NULL, '1', 'mod_latest', '3', '1', '{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '1', '*'),
('8', '43', 'Toolbar', '', '', '1', 'toolbar', NULL, NULL, NULL, NULL, '1', 'mod_toolbar', '3', '1', '', '1', '*'),
('9', '44', 'Notifications', '', '', '3', 'icon', NULL, NULL, NULL, NULL, '1', 'mod_quickicon', '3', '1', '{\"context\":\"update_quickicon\",\"header_icon\":\"fas fa-sync\",\"show_global\":\"0\",\"show_checkin\":\"0\",\"show_cache\":\"0\",\"show_users\":\"0\",\"show_articles\":\"0\",\"show_categories\":\"0\",\"show_media\":\"0\",\"show_menuItems\":\"0\",\"show_modules\":\"0\",\"show_plugins\":\"0\",\"show_templates\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"style\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"12\",\"header_tag\":\"h2\",\"header_class\":\"\"}', '1', '*'),
('10', '45', 'Logged-in Users', '', '', '2', 'cpanel', NULL, NULL, NULL, NULL, '1', 'mod_logged', '3', '1', '{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '1', '*'),
('12', '46', 'Admin Menu', '', '', '1', 'menu', NULL, NULL, NULL, NULL, '1', 'mod_menu', '3', '1', '{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}', '1', '*'),
('13', '47', 'Admin Submenu', '', '', '1', 'submenu', NULL, NULL, NULL, NULL, '1', 'mod_submenu', '3', '1', '', '1', '*'),
('14', '48', 'User Status', '', '', '2', 'status', NULL, NULL, NULL, NULL, '1', 'mod_status', '3', '1', '', '1', '*'),
('15', '49', 'Title', '', '', '1', 'title', NULL, NULL, NULL, NULL, '1', 'mod_title', '3', '1', '', '1', '*'),
('79', '52', 'Multilanguage status', '', '', '2', 'status', NULL, NULL, NULL, NULL, '0', 'mod_multilangstatus', '3', '1', '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '1', '*'),
('86', '53', 'Joomla Version', '', '', '1', 'status', NULL, NULL, NULL, NULL, '1', 'mod_version', '3', '1', '{\"format\":\"short\",\"product\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '1', '*'),
('87', '55', 'Sample Data', '', '', '0', 'cpanel', NULL, NULL, NULL, NULL, '1', 'mod_sampledata', '6', '1', '{}', '1', '*'),
('88', '58', 'Latest Actions', '', '', '0', 'cpanel', NULL, NULL, NULL, NULL, '1', 'mod_latestactions', '6', '1', '{}', '1', '*'),
('89', '59', 'Privacy Dashboard', '', '', '0', 'cpanel', NULL, NULL, NULL, NULL, '1', 'mod_privacy_dashboard', '6', '1', '{}', '1', '*'),
('99', '82', 'Aktuelles', '', NULL, '1', 'sidebar-left-3', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_articles_latest', '1', '1', '{\"catid\":[9],\"count\":5,\"show_featured\":\"\",\"ordering\":\"p_dsc\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('113', '101', 'Sidebar Left', '', '<img src=\"images/office.jpg\" alt=\"\"/>', '1', 'sidebar-left-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('114', '104', 'Sidebar Right', '', '<p><img src=\"images/joomlaplates/blog-003.jpg\" alt=\"\"/></p>\r\n<hr />\r\n<p><img src=\"images/joomlaplates/blog-002.jpg\" alt=\"\"/></p>\r\n<p>We are a small, creative team, specializing in Joomla web-design and template development. Our goal is to create highly-useable, lightweight, and affordable Joomla templates and themes.</p>', '1', 'sidebar-right-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('115', '107', 'Modul im Megamenu', '', '<div uk-lightbox>\r\n    <a href=\"images/joomlaplates/demo-001.jpg\"><img src=\"images/joomlaplates/demo-001.jpg\" alt=\"\" /></a>\r\n</div>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua</p>\r\n<a class=\"btn btn-sm btn-primary\" href=\"\">weiterlesen</a>', '1', 'module-im-menu', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('120', '112', 'Logo', '', '<h1><span class=\"bg-primary rounded text-white px-3\">P</span> ERFECT III</h1>', '1', 'logo-oben', NULL, NULL, NULL, NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('130', '123', 'Kontakt', '', '', '1', 'bottom-e-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_jdsimplecontactform', '1', '1', '{\"title\":\"\",\"description\":\"\",\"ajaxsubmit\":\"1\",\"captcha\":\"1\",\"captchaPlugins\":\"recaptcha\",\"submittext\":\"Absenden\",\"submitclass\":\"btn-primary btn-sm btn\",\"submit_btn_width\":\"6\",\"thankyou_message\":\"<p>Sehr geehrter Kunde,<br \\/>\\r\\nwir haben ihre Anfrage erhalten.<\\/p>\\r\\n<p>Sie erhalten binnen 24 Stunden ein verbindliches Angebot per Mail.<\\/p>\\r\\n<p>Mit freundlichen Gr\\u00fc\\u00dfen, ihr CNC Technology Team<\\/p>\",\"redirect_url\":\"\",\"ip_info\":\"0\",\"source_url\":\"0\",\"fields\":{\"fields0\":{\"name\":\"Name\",\"type\":\"text\",\"show_label\":\"0\",\"label\":\"Name\",\"value\":\"\",\"required\":\"1\",\"custom_error\":\"\",\"options\":\"\",\"width\":\"6\",\"placeholder\":\"Name\",\"textarearows\":\"5\",\"min_length\":\"\",\"max_length\":\"\",\"min\":\"\",\"max\":\"\",\"optionslayout\":\"inline\",\"calendar_min\":\"\",\"calendar_max\":\"\",\"calendar_format\":\"\"},\"fields1\":{\"name\":\"Email\",\"type\":\"email\",\"show_label\":\"0\",\"label\":\"Email\",\"value\":\"\",\"required\":\"1\",\"custom_error\":\"\",\"options\":\"\",\"width\":\"6\",\"placeholder\":\"Email\",\"textarearows\":\"5\",\"min_length\":\"\",\"max_length\":\"\",\"min\":\"\",\"max\":\"\",\"optionslayout\":\"inline\",\"calendar_min\":\"\",\"calendar_max\":\"\",\"calendar_format\":\"\"},\"fields2\":{\"name\":\"Nachricht\",\"type\":\"textarea\",\"show_label\":\"0\",\"label\":\"Nachricht\",\"value\":\"\",\"required\":\"1\",\"custom_error\":\"\",\"options\":\"\",\"width\":\"12\",\"placeholder\":\"Nachricht\",\"textarearows\":\"3\",\"min_length\":\"\",\"max_length\":\"\",\"min\":\"\",\"max\":\"\",\"optionslayout\":\"inline\",\"calendar_min\":\"\",\"calendar_max\":\"\",\"calendar_format\":\"\"}},\"email_from\":\"\",\"email_name\":\"\",\"email_subject\":\"\",\"email_to\":\"\",\"reply_to\":\"\",\"email_cc\":\"\",\"email_bcc\":\"\",\"single_sendcopy_email\":\"0\",\"singleSendCopyEmail_field\":\"\",\"singleSendCopyEmailField_title\":\"\",\"email_template\":\"\",\"email_custom\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('131', '124', 'Sample Links', '', '<ul>\r\n	<li><a href=\"#\">Sample Link - Lorem Ipsum</a></li>\r\n	<li><a href=\"#\">Sample Link - Lorem Ipsum</a></li>\r\n	<li><a href=\"#\">Sample Link - Lorem Ipsum</a></li>\r\n	<li><a href=\"#\">Sample Link - Lorem Ipsum</a></li>\r\n	<li><a href=\"#\">Sample Link - Lorem Ipsum</a></li>\r\n</ul>\r\n\r\n', '1', 'bottom-d-2', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('135', '128', 'Produkte', '', '<ul class=\"uk-list uk-list-hyphen uk-list-collapse\">\r\n	<li> <a uk-toggle href=\"#modal-example\">Anfahrkupplung ( Clutch)</a></li>\r\n	<li> <a uk-toggle href=\"#modal-example\">Getriebe ( Transmission)</a></li>\r\n	<li> <a uk-toggle href=\"#modal-example\">Demolink ( Just a link)</a></li>\r\n	<li> <a uk-toggle href=\"#modal-example\">Sample Modalbox with Image</a></li>\r\n\r\n	\r\n</ul>\r\n<!-- This is the modal -->\r\n<div id=\"modal-example\" uk-modal>\r\n    <div class=\"uk-modal-dialog uk-modal-body\">\r\n	<button class=\"uk-modal-close-default\" type=\"button\" uk-close></button>\r\n        <h2 class=\"uk-modal-title\">Headline</h2>\r\n        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n    <img src=\"images/gallery/demo-003.jpg\" alt=\"\"/>    \r\n    </div>\r\n</div>', '1', 'bottom-e-4', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('136', '129', 'Joomla Template', '', '<p>Best of all, Joomla! is an open source solution that is freely available to everyone. Joomla! is the most popular open source CMS currently available as evidenced by a vibrant and growing community of friendly users and talented developers. </p>\r\n<p><a class=\"btn btn-sm btn-primary text-white\" href=\"https://www.theme-point.com/\">Visit Us</a></p>\r\n', '1', 'bottom-d-3', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('137', '130', 'Adresse', '', '	<p><i class=\"fas fa-home\"></i> Joomlaplates LTD<br>\r\n<i class=\"fas fa-map-marker-alt\"></i> New York, Road 45</p>\r\n<i class=\"fas fa-phone-square\"></i> <a href=\"#\">0900.123456</a><br>\r\n<i class=\"fas fa-envelope-open\"></i> <a href=\"#\">info@mail.com</a><br>\r\n<i class=\"far fa-clock\"></i> Mo-Fr: 10.00 - 18.00<p></p>\r\n\r\n\r\n', '1', 'bottom-d-1', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('138', '132', 'UIkit 3 Slider 1', '', NULL, '1', 'uikit-001', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_slider', '1', '1', '{\"dotnav\":\"1\",\"item_style\":\"uk-card uk-card-default\",\"slidenav\":\"0\",\"circle\":\"uk-border-circle7\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-left\",\"sets\":\"0\",\"grid\":\"\",\"grid_divider\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-auto\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-3@l\",\"cols_xl\":\"uk-child-width-1-3@xl\",\"items\":{\"items0\":{\"title\":\"Headline\",\"img\":\"images\\/joomlaplates\\/demo-003.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. \",\"tooltip\":\"\",\"link\":\"#\",\"link_text\":\"weiterlesen\"},\"items1\":{\"title\":\"Headline\",\"img\":\"images\\/joomlaplates\\/demo-004.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. \",\"tooltip\":\"\",\"link\":\"#\",\"link_text\":\"weiterlesen\"},\"items2\":{\"title\":\"Headline\",\"img\":\"images\\/joomlaplates\\/demo-005.jpg\",\"img_popup\":\"0\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. \",\"tooltip\":\"\",\"link\":\"#\",\"link_text\":\"weiterlesen\"},\"items3\":{\"title\":\"Headline\",\"img\":\"images\\/joomlaplates\\/demo-006.jpg\",\"img_popup\":\"0\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. \",\"tooltip\":\"\",\"link\":\"#\",\"link_text\":\"weiterlesen\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('139', '133', 'UIkit 3 Slider 2', '', NULL, '1', 'uikit-002', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_slider', '1', '1', '{\"dotnav\":\"1\",\"item_style\":\"\",\"slidenav\":\"1\",\"circle\":\"uk-border-circle\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-center\",\"sets\":\"0\",\"grid\":\"\",\"grid_divider\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-4@l\",\"cols_xl\":\"uk-child-width-1-4@xl\",\"items\":{\"items0\":{\"title\":\"Headline\",\"img\":\"images\\/joomlaplates\\/team-01.jpg\",\"img_popup\":\"0\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt\",\"tooltip\":\"Tooltip Sample Text\",\"link\":\"\",\"link_text\":\"weiterlesen\"},\"items1\":{\"title\":\"Headline\",\"img\":\"images\\/joomlaplates\\/team-02.jpg\",\"img_popup\":\"0\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt\",\"tooltip\":\"Tooltip Sample Text\",\"link\":\"\",\"link_text\":\"weiterlesen\"},\"items2\":{\"title\":\"Headline\",\"img\":\"images\\/joomlaplates\\/team-03.jpg\",\"img_popup\":\"0\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt\",\"tooltip\":\"Tooltip Sample Text\",\"link\":\"\",\"link_text\":\"weiterlesen\"},\"items3\":{\"title\":\"Headline\",\"img\":\"images\\/joomlaplates\\/team-04.jpg\",\"img_popup\":\"0\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt\",\"tooltip\":\"Tooltip Sample Text\",\"link\":\"\",\"link_text\":\"weiterlesen\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('140', '134', 'UIkit 3 Slider 2', '', NULL, '1', 'uikit-003', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_slider', '1', '1', '{\"dotnav\":\"1\",\"item_style\":\"\",\"slidenav\":\"1\",\"circle\":\"uk-border-circle\",\"velocity\":\"1\",\"autoplay\":\"1\",\"autoplay_interval\":\"7000\",\"finite\":\"1\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-center\",\"sets\":\"0\",\"grid\":\"\",\"grid_divider\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-auto\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-3@m\",\"cols_l\":\"uk-child-width-1-4@l\",\"cols_xl\":\"uk-child-width-1-4@xl\",\"items\":{\"items0\":{\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client7.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr,\",\"link\":\"\",\"link_text\":\"Read more\"},\"items1\":{\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client6.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr,\",\"link\":\"\",\"link_text\":\"Read more\"},\"items2\":{\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client6.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr,\",\"link\":\"\",\"link_text\":\"Read more\"},\"items3\":{\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client5.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr,\",\"link\":\"\",\"link_text\":\"Read more\"},\"items4\":{\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client4.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr,\",\"link\":\"\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('141', '135', 'UIkit 3 Slideshow content', '', '', '1', 'uikit-slideshow', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_slideshow', '1', '0', '{\"layout\":\"_:default\",\"dotnav\":\"0\",\"dotnav_pos\":\"1\",\"slidenav\":\"1\",\"animation\":\"scale\",\"velocity\":\"1\",\"autoplay\":\"1\",\"autoplay_interval\":\"7000\",\"finite\":\"false\",\"pause_on_hover\":\"true\",\"ratio\":\"16:9\",\"content_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"imgorvideo\":\"1\",\"img_bg\":\"images\\/joomlaplates\\/cnc-technology.jpg\",\"imgalttag\":\"\",\"local_video\":\"\",\"video_control\":\"0\",\"video_mute\":\"0\",\"video_loop\":\"0\",\"animation_delay\":\"500\",\"content\":\"<h1>Headline<\\/h1>\\r\\n<p>The Slideshow component is fully responsive and supports touch and swipe navigation as well as mouse drag for desktops. When swiping between slides, the animation literally sticks at your fingertips or mouse cursor.<\\/p>\",\"content_bg\":\"rgba(255, 255, 255, 1)\",\"content_color\":\"\",\"content_width\":\"50%\",\"content_margin\":\"\",\"content_text_align\":\"text-left\",\"content_pos\":\"uk-position-top-center\",\"hide\":\"uk-visible@s\",\"link\":\"\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"imgorvideo\":\"1\",\"img_bg\":\"images\\/joomlaplates\\/demo-002.jpg\",\"imgalttag\":\"\",\"local_video\":\"\",\"video_control\":\"0\",\"video_mute\":\"0\",\"video_loop\":\"0\",\"animation_delay\":\"500\",\"content\":\"<h1 class=\\\"text-center\\\">Content Center Center<\\/h1>\\r\\n<p class=\\\"text-center\\\">The Slideshow component is fully responsive and supports touch and swipe navigation as well as mouse drag for desktops. When swiping between slides, the animation literally sticks at your fingertips or mouse cursor.<\\/p>\",\"content_bg\":\"rgba(0, 0, 0, 1)\",\"content_color\":\"\",\"content_width\":\"50%\",\"content_margin\":\"\",\"content_text_align\":\"text-left\",\"content_pos\":\"uk-position-bottom-left\",\"hide\":\"uk-visible@s\",\"link\":\"\",\"link_text\":\"Read more\"}},\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('143', '141', 'UIkit 3 Grid', '', '', '1', 'uikikit-grid', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_grid', '1', '1', '{\"item_style\":\"uk-card uk-card-default\",\"show_tags\":\"uk-hidden\",\"height_match\":\"0\",\"height_match_class\":\"\",\"grid\":\"uk-grid\",\"grid_divider\":\"0\",\"grid_center\":\"0\",\"masonry\":\"1\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-3\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-3@l\",\"cols_xl\":\"uk-child-width-1-4@xl\",\"content_before_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/demo-001.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items1\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/demo-002.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items2\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/demo-003.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items3\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/demo-005.jpg\",\"img_popup\":\"1\",\"title\":\"Mit Lightbox\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items4\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/demo-007.jpg\",\"img_popup\":\"0\",\"title\":\"Ohne Bild\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items5\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/demo-006.jpg\",\"img_popup\":\"0\",\"title\":\"45445\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items6\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/demo-007.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"#\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items7\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/demo-007.jpg\",\"img_popup\":\"1\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('144', '143', 'UIkit 3 Grid', '', '', '1', 'uikit-grid-dark', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_grid', '1', '1', '{\"item_style\":\"uk-card uk-card-white\",\"show_tags\":\"uk-hidden\",\"height_match\":\"0\",\"height_match_class\":\"\",\"grid\":\"uk-grid\",\"grid_divider\":\"0\",\"grid_center\":\"0\",\"masonry\":\"1\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-3@l\",\"cols_xl\":\"uk-child-width-1-3@xl\",\"content_before_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-001.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"#\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items1\":{\"cols\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-002.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"#\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items2\":{\"cols\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-003.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items3\":{\"cols\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-004.jpg\",\"img_popup\":\"1\",\"title\":\"Sample Lightbox\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"#\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items4\":{\"cols\":\"1\",\"img\":\"\",\"img_popup\":\"0\",\"title\":\"No Image\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items5\":{\"cols\":\"1\",\"img\":\"images\\/joomlaplates\\/office.jpg\",\"img_popup\":\"1\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items6\":{\"cols\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-007.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"#\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"},\"items7\":{\"cols\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-005.jpg\",\"img_popup\":\"0\",\"title\":\"Headline\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat\",\"tags\":\"\",\"link\":\"#\",\"link_text\":\"Read more\",\"link_target\":\"_self\",\"al_title\":\"uk-text-center\",\"al_content\":\"uk-text-center\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('150', '150', 'Über Uns', '', '<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergrent</p>\r\n<p>sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.</p>', '1', 'bottom-a-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('153', '153', 'UIkit 3 Slideshow Top A', '', '', '1', 'top-a-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_slideshow', '1', '0', '{\"layout\":\"_:default\",\"dotnav\":\"1\",\"dotnav_pos\":\"1\",\"slidenav\":\"1\",\"animation\":\"scale\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"4000\",\"finite\":\"false\",\"pause_on_hover\":\"false\",\"ratio\":\"16:12\",\"content_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"imgorvideo\":\"1\",\"img_bg\":\"images\\/joomlaplates\\/slideshow-001.jpg\",\"imgalttag\":\"\",\"local_video\":\"\",\"video_control\":\"0\",\"video_mute\":\"0\",\"video_loop\":\"0\",\"animation_delay\":\"500\",\"content\":\"<h1>Radon - ZR Race 29\\\"<\\/h1>\\r\\n<p>It\\u2019s the only bike in the Skeen family that is equipped with the Sram X.0 group. The drivetrain functions flawlessly, gear changes are clearly defined and executed efficiently within fractions of a second. The front of the bike features a Fox 32 Float CTD Fit. Its Kashima Coated tubes make for extremely sensitive response.<\\/p>\",\"content_bg\":\"rgba(255, 255, 255, 0)\",\"content_color\":\"rgba(255, 255, 255, 1)\",\"content_width\":\"50%\",\"content_margin\":\"\",\"content_text_align\":\"text-center\",\"content_pos\":\"uk-position-center\",\"hide\":\"uk-visible@m\",\"link\":\"#content\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"imgorvideo\":\"1\",\"img_bg\":\"images\\/joomlaplates\\/slideshow-002.jpg\",\"imgalttag\":\"\",\"local_video\":\"\",\"video_control\":\"0\",\"video_mute\":\"0\",\"video_loop\":\"0\",\"animation_delay\":\"500\",\"content\":\"<h1>Radon - ZR Race 29\\\"<\\/h1>\\r\\n<p>The ZR Race 29 line is intended for the ambitious type of rider that is looking for a lightweight but sturdy hardtail for training and competition. Not surprisingly, 29-inch wheels are the current standard for this kind of riding as they offer better traction and rollover capabilities<\\/p>\",\"content_bg\":\"rgba(255, 255, 255, 0)\",\"content_color\":\"rgba(255, 255, 255, 1)\",\"content_width\":\"50%\",\"content_margin\":\"\",\"content_text_align\":\"text-center\",\"content_pos\":\"uk-position-center\",\"hide\":\"uk-visible@m\",\"link\":\"#content\",\"link_text\":\"Read more\"}},\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('154', '154', 'UIkit 3 Gallery', '', '', '1', 'uikit-gallery', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_gallery', '1', '0', '{\"item_style\":\"\",\"animation\":\"scale\",\"show_tags\":\"uk-hidden\",\"grid\":\"uk-grid uk-grid-small\",\"grid_divider\":\"0\",\"masonry\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-3@l\",\"cols_xl\":\"uk-child-width-1-3@xl\",\"content_before_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-005.jpg\",\"title\":\"Image Tag\",\"tags\":\"\"},\"items1\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-006.jpg\",\"title\":\"Image Tag\",\"tags\":\"\"},\"items2\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-003.jpg\",\"title\":\"Image Tag\",\"tags\":\"\"},\"items3\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-004.jpg\",\"title\":\"Image Tag\",\"tags\":\"\"},\"items4\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-005.jpg\",\"title\":\"Image Tag\",\"tags\":\"\"},\"items5\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-006.jpg\",\"title\":\"Image Tag\",\"tags\":\"\"},\"items6\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-003.jpg\",\"title\":\"Image Tag\",\"tags\":\"\"},\"items7\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-001.jpg\",\"title\":\"Image Tag\",\"tags\":\"\"},\"items8\":{\"cols\":\"1\",\"img\":\"images\\/gallery\\/demo-006.jpg\",\"title\":\"\",\"tags\":\"\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('162', '162', 'Bottom D 1', '', '<img src=\"images/joomlaplates/slide-003.jpg\" alt=\"\"/>', '1', 'bottom-d-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('164', '165', 'Portfolio', '', NULL, '1', 'portfolio', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_portfolio2', '1', '0', '{\"item_style\":\"uk-card uk-card-default\",\"show_tags\":\"uk-hidden\",\"height_match\":\"0\",\"height_match_class\":\"\",\"grid\":\"uk-grid\",\"masonry\":\"1\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-3@l\",\"cols_xl\":\"uk-child-width-1-3@xl\",\"content_before_class\":\"\",\"content_before\":\"<h1 class=\\\"uk-heading-line uk-text-center\\\">Unser Portfolio<\\/h1>\\r\\n<p class=\\\"text-center\\\">Seeking justice in the world is a sed significant<br \\/> emotional and investment when we follow this call, we\\u2019re deeply.<\\/p>\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Portfolio Titel 1\",\"overlay_style\":\"uk-transition-fade uk-position-cover uk-position-small uk-overlay uk-overlay-default uk-flex uk-flex-center uk-flex-middle\",\"tags\":\"Design\",\"img\":\"images\\/joomlaplates\\/portfolio-001.jpg\",\"modal_typ\":\"0\",\"link\":\"modal_002\",\"content\":\"<h3>Headline 1<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr \\/>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\"},\"items1\":{\"cols\":\"1\",\"title\":\"Portfolio Titel 2\",\"overlay_style\":\"uk-transition-fade uk-position-cover uk-position-small uk-overlay uk-overlay-default uk-flex uk-flex-center uk-flex-middle\",\"tags\":\"Design\",\"img\":\"images\\/joomlaplates\\/portfolio-002.jpg\",\"modal_typ\":\"1\",\"link\":\"modal_003\",\"content\":\"<h3>Headline 1<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr \\/>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\"},\"items2\":{\"cols\":\"0\",\"title\":\"Portfolio Titel 3\",\"overlay_style\":\"uk-transition-fade uk-position-cover uk-position-small uk-overlay uk-overlay-default uk-flex uk-flex-center uk-flex-middle\",\"tags\":\"Web,Design\",\"img\":\"images\\/joomlaplates\\/portfolio-003.jpg\",\"modal_typ\":\"0\",\"link\":\"modal_004\",\"content\":\"<h3>Headline 1<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr \\/>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\"},\"items3\":{\"cols\":\"0\",\"title\":\"Portfolio Titel 4\",\"overlay_style\":\"uk-transition-fade uk-position-cover uk-position-small uk-overlay uk-overlay-default uk-flex uk-flex-center uk-flex-middle\",\"tags\":\"Web\",\"img\":\"images\\/joomlaplates\\/portfolio-004.jpg\",\"modal_typ\":\"0\",\"link\":\"modal_005\",\"content\":\"<h3>Headline 1<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr \\/>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('167', '168', 'Top C 1 Bild', '', '<img src=\"images/top-c.jpg\" alt=\"\" />\r\n', '1', 'top-c-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('168', '169', 'Leistungen', '', '<hr />\r\n<p><span uk-icon=\"icon: check\"></span> CNC Fräsen von Aluminium, Stahl und Edelstahl </p>\r\n<p><span uk-icon=\"icon: check\"></span> Groß- und Kleinserien sowie Prototypentwicklung</p>\r\n<p><span uk-icon=\"icon: check\"></span> Gravur nach Kundenwunsch</p>\r\n<p><span uk-icon=\"icon: check\"></span> Baugruppenfertigung, Montage & Ersatzteilfertigung</p>\r\n<p><span uk-icon=\"icon: check\"></span> Produktzertifizierung nach IS0 9001:2020 </p>\r\n\r\n', '1', 'top-c-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('169', '170', 'Lieferung & Service', '', '<hr />\r\n<p><span uk-icon=\"icon: check\"></span> Angebot nach Eingang ihrer Anfrage binnen <span class=\"badge badge-primary\">24 Stunden</span></p>\r\n<p><span uk-icon=\"icon: check\"></span> Sofortiger Produktionsbeginn nach Auftragseingang</p>\r\n<p><span uk-icon=\"icon: check\"></span> Lieferung ihrer Bestellung binnen <span class=\"badge badge-primary\">10 Tagen</span>*</p>\r\n<p><span uk-icon=\"icon: check\"></span> Persönlicher Ansprechpartner 24/7 ( deutsch, englisch)</p>\r\n<p class=\"uk-text-italic uk-text-small uk-text-muted\">*Innerhalb Deutschland</p>\r\n\r\n\r\n', '1', 'top-d-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('171', '172', 'Unser Versprechen', '', '<p><span uk-icon=\"icon: check\"></span> Angebot nach Eingang ihrer Anfrage binnen 24 Stunden</p>\r\n<p><span uk-icon=\"icon: check\"></span> Sofortiger Produktionsbeginn nach Auftragseingang</p>\r\n<p><span uk-icon=\"icon: check\"></span> Lieferung ihrer Bestellung binnen 10 Tagen*</p>\r\n', '1', 'top-c-3', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('172', '175', 'Top D 1', '', '<img src=\"images/top-d.jpg\" alt=\"\"/>', '1', 'top-d-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('174', '177', 'Bottom A2', '', '<img src=\"images/joomlaplates/ueber.jpg\" alt=\"Über Uns\"/>', '1', 'bottom-a-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('175', '178', 'Produkte', '', '<hr />\r\n<p><span style=\"color:#1aa4e0\" uk-icon=\"icon: check\"></span> CNC Fräsen von Aluminium, Stahl und Edelstahl </p>\r\n<p><span style=\"color:#1aa4e0\" uk-icon=\"icon: check\"></span> Groß- und Kleinserien sowie Prototypentwicklung</p>\r\n<p><span style=\"color:#1aa4e0\" uk-icon=\"icon: check\"></span> Gravur nach Kundenwunsch</p>\r\n<p><span style=\"color:#1aa4e0\" uk-icon=\"icon: check\"></span> Baugruppenfertigung, Montage & Ersatzteilfertigung</p>\r\n<p><span style=\"color:#1aa4e0\" uk-icon=\"icon: check\"></span> Produktzertifizierung nach IS0 9001:2020 </p>\r\n\r\n', '1', 'top-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('176', '179', 'UIkit 3 Slideshow Top B1', '', '', '1', 'top-b-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_slideshow', '1', '0', '{\"dotnav\":\"0\",\"dotnav_pos\":\"1\",\"slidenav\":\"1\",\"animation\":\"scale\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"ratio\":\"16:12\",\"content_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"img_bg\":\"images\\/portfolio-001.jpg\",\"content\":\"<h3>Rutschkupplung<\\/h3>\",\"content_bg\":\"rgba(26, 164, 224, 1)\",\"content_color\":\"text-white\",\"content_width\":\"50%\",\"content_margin\":\"0\",\"content_text_align\":\"text-center\",\"content_pos\":\"uk-position-bottom-left\",\"hide\":\"uk-visible@s\",\"link\":\"\",\"link_text\":\"Anfragen\"},\"items1\":{\"cols\":\"1\",\"img_bg\":\"images\\/portfolio-004.jpg\",\"content\":\"\",\"content_bg\":\"\",\"content_color\":\"text-white\",\"content_width\":\"50%\",\"content_margin\":\"\",\"content_text_align\":\"text-left\",\"content_pos\":\"uk-position-top-center\",\"hide\":\"uk-visible@s\",\"link\":\"\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('177', '180', 'Offcanvas', '', NULL, '1', 'offcanvas', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_menu', '1', '0', '{\"menutype\":\"scrollmenu\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('178', '181', 'Scrollmenu', '', NULL, '1', 'top-b-1', NULL, NULL, NULL, NULL, '-2', 'mod_menu', '1', '0', '{\"menutype\":\"scrollmenu\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"tp_beauty:HorizontalView\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('179', '182', 'Breadcrumbs', '', NULL, '1', 'top-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_breadcrumbs', '1', '0', '{\"showHere\":0,\"showHome\":1,\"homeText\":\"Home\",\"showLast\":1,\"separator\":\">\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":0,\"cache_time\":0,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('180', '183', 'UIkit 3 Switcher Top B1 ', '', '', '1', 'top-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_switcher', '1', '0', '{\"img_height\":\"300px\",\"item_style\":\"uk-card-white\",\"items\":{\"items0\":{\"cols\":\"0\",\"title\":\"CNC Fr\\u00e4sen\",\"item_space\":\"1\",\"img\":\"images\\/joomlaplates\\/portfolio-001.jpg\",\"media_align\":\"1\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergrent\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"0\",\"title\":\"CNC Bohren\",\"item_space\":\"1\",\"img\":\"images\\/joomlaplates\\/portfolio-002.jpg\",\"media_align\":\"1\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergrent\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\"},\"items2\":{\"cols\":\"0\",\"title\":\"CNC Drehen\",\"item_space\":\"1\",\"img\":\"images\\/joomlaplates\\/portfolio-003.jpg\",\"media_align\":\"1\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergrent\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\"},\"items3\":{\"cols\":\"1\",\"title\":\"Prototypfertigung\",\"item_space\":\"1\",\"img\":\"images\\/joomlaplates\\/portfolio-004.jpg\",\"media_align\":\"1\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergrent\",\"tooltip\":\"Wir produzieren f\\u00fcr sie hochpr\\u00e4zise CNC Bauteile. Gro\\u00dfserien, Kleinserien und Prototypentwicklung in Aluminium, Edelstahl oder Kunststoff \",\"link\":\"#inhalt\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('181', '184', 'Uikit 3 Stripes', '', NULL, '1', 'bottom-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_stripes', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"uk-card-default\",\"item_space\":\"uk-card-large\",\"media_align\":\"uk-card-media-left\",\"item_count\":\"1\",\"img_width\":\"400\",\"img_height\":\"400\",\"velocity\":\"1\",\"autoplay\":\"1\",\"autoplay_interval\":\"3000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"content_before_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Our Products\",\"img\":\"images\\/joomlaplates\\/demo-013.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\\r\\n\",\"tooltip\":\"Tooltip if needed\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"title\":\"Another Product\",\"img\":\"images\\/joomlaplates\\/demo-014.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"weiterlesen\"},\"items2\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"img\":\"images\\/joomlaplates\\/demo-015.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('182', '185', 'Sidebar', '', NULL, '1', 'sidebar-left-1', NULL, NULL, NULL, NULL, '1', 'mod_menu', '1', '1', '{\"menutype\":\"sidebar-menu\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('183', '186', 'Partner', '', '<p><a href=\"#\"><img src=\"images/joomlaplates/client1.png\" alt=\"Our Partner\"/></a></p>\r\n<p><a href=\"#\"><img src=\"images/joomlaplates/client2.png\" alt=\"Our Partner\"/></a></p>\r\n<p><a href=\"#\"><img src=\"images/joomlaplates/client3.png\" alt=\"Our Partner\"/></a></p>', '1', 'right1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('184', '187', 'Bottom E 1', '', '<img src=\"images/joomlaplates/ueber.jpg\" alt=\"\"/>', '1', 'bottom-e-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('187', '190', 'News', '', '<p><img src=\"images/joomlaplates/demo-006.jpg\" alt=\"\"/></p>\r\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat</p>\r\n<p><a class=\"btn btn-sm btn-primary\"href=\"#\">Read more</a></p>\r\n', '1', 'sidebar-left-2', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('188', '191', 'Bottom D 1 Uikit Slider Kunden', '', NULL, '1', 'bottom-b-1', NULL, NULL, NULL, NULL, '-2', 'mod_uk_slider', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"\",\"slidenav\":\"0\",\"circle\":\"uk-border-circle7\",\"velocity\":\"1\",\"autoplay\":\"1\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-center\",\"sets\":\"0\",\"grid\":\"uk-grid\",\"grid_divider\":\"1\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-3@m\",\"cols_l\":\"uk-child-width-1-4@l\",\"cols_xl\":\"uk-child-width-1-4@xl\",\"content_before_class\":\"py-4 text-center\",\"content_before\":\"<h1>Our CLients<\\/h1>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, <br>sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua\\r\\n<\\/p>\\r\\n\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client5.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\"},\"items1\":{\"cols\":\"0\",\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client6.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\"},\"items2\":{\"cols\":\"0\",\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client7.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\"},\"items3\":{\"cols\":\"0\",\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client8.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\"},\"items4\":{\"cols\":\"1\",\"title\":\"\",\"img\":\"images\\/joomlaplates\\/client4.png\",\"img_popup\":\"0\",\"content\":\"\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\",\"link_target\":\"_self\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('189', '192', 'Search', '', NULL, '1', 'top-b-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_finder', '1', '0', '{\"searchfilter\":\"\",\"show_autosuggest\":1,\"show_advanced\":0,\"field_size\":25,\"show_label\":0,\"label_pos\":\"left\",\"alt_label\":\"\",\"show_button\":0,\"button_pos\":\"left\",\"opensearch\":1,\"opensearch_title\":\"\",\"set_itemid\":0,\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('190', '193', 'Search', '', NULL, '1', 'suche', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_search', '1', '0', '{\"label\":\"\",\"width\":\"\",\"text\":\"\",\"button\":0,\"button_pos\":\"left\",\"imagebutton\":0,\"button_text\":\"\",\"opensearch\":0,\"opensearch_title\":\"\",\"set_itemid\":0,\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('191', '194', 'Bottom C 2', '', '<img src=\"images/fully-customizable.png\" alt=\"\"/>', '1', 'bottom-c-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('192', '195', 'Bottom A 1 Icon', '', '<i class=\"fas fa-mobile-alt fa-5x bg-primary text-white p-4 mb-4 rounded\"></i>\r\n<h2>Responsive Design</h2>\r\n<p>A fully\r\n    <i>responsive</i> layout that adapts perfectly for all device resolutions.</p>\r\n<!-- This is an anchor toggling the modal -->\r\n<a class=\"btn btn-sm btn-primary\" href=\"#modal-example\" uk-toggle>Modal Box</a>\r\n\r\n<!-- This is the modal -->\r\n<div id=\"modal-example\" uk-modal>\r\n    <div class=\"uk-modal-dialog uk-modal-body\">\r\n        <h2 class=\"uk-modal-title\">Headline</h2>\r\n        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n        <p class=\"uk-text-right\">\r\n            <button class=\"uk-button uk-button-default uk-modal-close\" type=\"button\">Close</button>\r\n            \r\n        </p>\r\n    </div>\r\n</div>', '1', 'bottom-a-1', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('193', '196', 'Bottom A 2 Icon', '', '<i class=\"fas fa-boxes fa-5x bg-primary text-white p-4 mb-4 rounded\"></i>\r\n<h2>Latest Techniques</h2>\r\n<p>The template is completely built with HTML5, CSS3 and jQuery.</p>\r\n<!-- This is an anchor toggling the modal -->\r\n<a class=\"btn btn-sm btn-primary\" href=\"#modal-example\" uk-toggle>Modal Box</a>\r\n\r\n<!-- This is the modal -->\r\n<div id=\"modal-example\" uk-modal>\r\n    <div class=\"uk-modal-dialog uk-modal-body\">\r\n        <h2 class=\"uk-modal-title\">Headline</h2>\r\n        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n        <p class=\"uk-text-right\">\r\n            <button class=\"uk-button uk-button-default uk-modal-close\" type=\"button\">Close</button>\r\n            \r\n        </p>\r\n    </div>\r\n</div>', '1', 'bottom-a-2', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('194', '197', 'Bottom A 3 Icon', '', '<i class=\"fas fa-rocket fa-5x bg-primary text-white p-4 mb-4 rounded\"></i>\r\n<h2>Fast and Lightweight</h2>\r\n<p>Well designed and coded framework to provide optimal loading times.</p>\r\n<!-- This is an anchor toggling the modal -->\r\n<a class=\"btn btn-sm btn-primary\" href=\"#modal-example\" uk-toggle>Modal Box</a>\r\n\r\n<!-- This is the modal -->\r\n<div id=\"modal-example\" uk-modal>\r\n    <div class=\"uk-modal-dialog uk-modal-body\">\r\n        <h2 class=\"uk-modal-title\">Headline</h2>\r\n        <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>\r\n        <p class=\"uk-text-right\">\r\n            <button class=\"uk-button uk-button-default uk-modal-close\" type=\"button\">Close</button>\r\n            \r\n        </p>\r\n    </div>\r\n</div>', '1', 'bottom-a-3', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('195', '198', 'About Us', '', '<p >Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren</p>\r\n<p><a class=\"btn btn-sm btn-primary\" href=\"#contact\">Weiter lesen</a></p>\r\n', '1', 'top-d-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '1', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('196', '199', 'Top D 2 Image', '', '<img src=\"images/joomlaplates/demo-011.jpg\" alt=\"\"/>', '1', 'top-d-2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('197', '200', 'Bottom B', '', 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat', '1', 'bottom-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('198', '201', 'UIkit 3 Slideshow Bottom C', '', '', '1', 'bottom-a-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_slideshow', '1', '0', '{\"dotnav\":\"1\",\"dotnav_pos\":\"1\",\"slidenav\":\"0\",\"animation\":\"scale\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"true\",\"ratio\":\"16:5\",\"content_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"0\",\"img_bg\":\"\",\"content_animation\":\"uk-animation-fade\",\"animation_delay\":\"900\",\"content\":\"<h1 class=\\\"uk-heading-large\\\">Outstanding Support<\\/h1>\\r\\n<h1>24\\/7 Personal Email & Forum Support<\\/h1>\",\"content_bg\":\"rgba(255, 255, 255, 0)\",\"content_color\":\"text-white\",\"content_width\":\"100%\",\"content_margin\":\"\",\"content_text_align\":\"text-center\",\"content_pos\":\"uk-position-center\",\"hide\":\"uk-visible@s\",\"link\":\"\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"img_bg\":\"\",\"content_animation\":\"uk-animation-fade\",\"animation_delay\":\"900\",\"content\":\"<h1 class=\\\"uk-heading-medium\\\">Professional Joomla Template<\\/h1>\\r\\n<h2>f\\u00fcr alle Bereiche, wie zum Beispiel:<\\/h2>\\r\\n\\r\\n<p>Vereine, Business, Onepage, Portfolio, Fotografie, Restaurants usw.<\\/p>\",\"content_bg\":\"rgba(255, 255, 255, 0)\",\"content_color\":\"text-white\",\"content_width\":\"60%\",\"content_margin\":\"\",\"content_text_align\":\"text-center\",\"content_pos\":\"uk-position-center\",\"hide\":\"uk-visible@m\",\"link\":\"\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('199', '202', 'GTranslate', '', '', '1', 'translate', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_gtranslate', '1', '0', '{\"moduleclass_sfx\":\"\",\"look\":\"flags_code\",\"language\":\"de\",\"pro_version\":\"0\",\"enterprise_version\":\"0\",\"flag_size\":\"16\",\"native_language_names\":\"0\",\"new_tab\":\"0\",\"analytics\":\"0\",\"show_af\":\"0\",\"show_sq\":\"0\",\"show_ar\":\"0\",\"show_hy\":\"0\",\"show_az\":\"0\",\"show_eu\":\"0\",\"show_be\":\"0\",\"show_bg\":\"0\",\"show_ca\":\"0\",\"show_zh-CN\":\"0\",\"show_zh-TW\":\"0\",\"show_hr\":\"0\",\"show_cs\":\"0\",\"show_da\":\"0\",\"show_nl\":\"0\",\"show_en\":\"2\",\"show_et\":\"0\",\"show_tl\":\"0\",\"show_fi\":\"0\",\"show_fr\":\"0\",\"show_gl\":\"0\",\"show_ka\":\"0\",\"show_de\":\"2\",\"show_el\":\"0\",\"show_ht\":\"0\",\"show_iw\":\"0\",\"show_hi\":\"0\",\"show_hu\":\"0\",\"show_is\":\"0\",\"show_id\":\"0\",\"show_ga\":\"0\",\"show_it\":\"2\",\"show_ja\":\"0\",\"show_ko\":\"0\",\"show_lv\":\"0\",\"show_lt\":\"0\",\"show_mk\":\"0\",\"show_ms\":\"0\",\"show_mt\":\"0\",\"show_no\":\"0\",\"show_fa\":\"0\",\"show_pl\":\"0\",\"show_pt\":\"0\",\"show_ro\":\"0\",\"show_ru\":\"0\",\"show_sr\":\"0\",\"show_sk\":\"0\",\"show_sl\":\"0\",\"show_es\":\"0\",\"show_sw\":\"0\",\"show_sv\":\"0\",\"show_th\":\"0\",\"show_tr\":\"0\",\"show_uk\":\"0\",\"show_ur\":\"0\",\"show_vi\":\"0\",\"show_cy\":\"0\",\"show_yi\":\"0\",\"show_bn\":\"0\",\"show_bs\":\"0\",\"show_ceb\":\"0\",\"show_eo\":\"0\",\"show_gu\":\"0\",\"show_ha\":\"0\",\"show_hmn\":\"0\",\"show_ig\":\"0\",\"show_jw\":\"0\",\"show_kn\":\"0\",\"show_km\":\"0\",\"show_lo\":\"0\",\"show_la\":\"0\",\"show_mi\":\"0\",\"show_mr\":\"0\",\"show_mn\":\"0\",\"show_ne\":\"0\",\"show_pa\":\"0\",\"show_so\":\"0\",\"show_ta\":\"0\",\"show_te\":\"0\",\"show_yo\":\"0\",\"show_zu\":\"0\",\"show_my\":\"0\",\"show_ny\":\"0\",\"show_kk\":\"0\",\"show_mg\":\"0\",\"show_ml\":\"0\",\"show_si\":\"0\",\"show_st\":\"0\",\"show_su\":\"0\",\"show_tg\":\"0\",\"show_uz\":\"0\",\"show_am\":\"0\",\"show_co\":\"0\",\"show_haw\":\"0\",\"show_ku\":\"0\",\"show_ky\":\"0\",\"show_ld\":\"0\",\"show_ps\":\"0\",\"show_sm\":\"0\",\"show_gd\":\"0\",\"show_sn\":\"0\",\"show_sd\":\"0\",\"show_fy\":\"0\",\"show_xh\":\"0\",\"cache\":\"0\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('200', '203', 'Uikit 3 Switcher', '', NULL, '1', 'switcher', NULL, NULL, NULL, NULL, '1', 'mod_uk_switcher', '1', '0', '{\"img_height\":\"200px\",\"item_style\":\"uk-card-white\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-001.jpg\",\"media_align\":\"1\",\"img_popup\":\"0\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-002.jpg\",\"media_align\":\"1\",\"img_popup\":\"0\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"Read more\"},\"items2\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-003.jpg\",\"media_align\":\"1\",\"img_popup\":\"1\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"Tooltip if needed\",\"link\":\"#content\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('201', '205', 'Footermenu', '', NULL, '1', 'footer-1', NULL, NULL, NULL, NULL, '1', 'mod_menu', '1', '0', '{\"menutype\":\"footer-menu\",\"base\":\"\",\"startLevel\":1,\"endLevel\":0,\"showAllChildren\":1,\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"tp_bike:HorizontalView\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('202', '206', 'Bottom Googe Map', '', '	<iframe style=\"max-height:300px; width:100%\" src=\"https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d2566.438536043823!2d9.071919416423436!3d49.96563397941154!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47bd47163900312d%3A0x58b592ab8cd7d644!2sJoomlaPlates.com!5e0!3m2!1sde!2sde!4v1600719994009!5m2!1sde!2sde\" allowfullscreen=\"\" aria-hidden=\"false\" tabindex=\"0\" width=\"100%\" height=\"450\" frameborder=\"0\"></iframe>', '1', 'map', NULL, NULL, NULL, NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('203', '207', 'Breadcrumbs', '', NULL, '1', 'top-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_breadcrumbs', '1', '0', '{\"showHere\":1,\"showHome\":1,\"homeText\":\"\",\"showLast\":1,\"separator\":\" > \",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":0,\"cache_time\":0,\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('204', '219', 'Video Slider', '', NULL, '1', 'top-a-1', NULL, NULL, NULL, NULL, '1', 'mod_uk_video_slideshow', '1', '0', '{\"dotnav\":\"0\",\"slidenav\":\"1\",\"animation\":\"scale\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"ratio\":\"16:9\",\"min_height\":\"0\",\"max_height\":\"0\",\"items\":{\"items0\":{\"cols\":\"1\",\"video_type\":\"1\",\"youtube_video\":\"DmsgC7U6Dog\",\"local_video\":\"video-001.mp4\",\"video_control\":\"1\",\"video_mute\":\"0\",\"video_loop\":\"1\",\"content_animation\":\"uk-animation-fade\",\"animation_delay\":\"500\",\"content\":\"\",\"content_bg\":\"rgba(255, 255, 255, 1)\",\"content_color\":\"text-dark\",\"content_width\":\"50%\",\"content_margin\":\"\",\"content_text_align\":\"text-left\",\"content_pos\":\"uk-position-top-right\",\"hide\":\"uk-visible@m\",\"link\":\"\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"video_type\":\"1\",\"youtube_video\":\"f90RJ1Lypd8\",\"local_video\":\"video-002.mp4\",\"video_control\":\"1\",\"video_mute\":\"0\",\"video_loop\":\"0\",\"content_animation\":\"uk-animation-fade\",\"animation_delay\":\"500\",\"content\":\"\",\"content_bg\":\"\",\"content_color\":\"text-white\",\"content_width\":\"50%\",\"content_margin\":\"\",\"content_text_align\":\"text-left\",\"content_pos\":\"uk-position-top-center\",\"hide\":\"uk-visible@s\",\"link\":\"\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('205', '220', 'Text with Background Image', '', '<h1>Just a Text with Background Image</h1>', '1', 'bg-top', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('206', '221', 'UIkit 3 Slideshow Top A', '', '', '1', 'top-a-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_slideshow', '1', '0', '{\"layout\":\"_:default\",\"dotnav\":\"1\",\"dotnav_pos\":\"1\",\"slidenav\":\"1\",\"animation\":\"scale\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"false\",\"pause_on_hover\":\"true\",\"ratio\":\"16:4\",\"content_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"imgorvideo\":\"1\",\"img_bg\":\"images\\/joomlaplates\\/bg-top-b.jpg\",\"imgalttag\":\"\",\"local_video\":\"\",\"video_control\":\"0\",\"video_mute\":\"0\",\"video_loop\":\"0\",\"animation_delay\":\"500\",\"content\":\"\",\"content_bg\":\"rgba(255, 255, 255, 0)\",\"content_color\":\"rgba(255, 255, 255, 1)\",\"content_width\":\"40%\",\"content_margin\":\"20px 0 0 10%\",\"content_text_align\":\"text-left\",\"content_pos\":\"uk-position-top-left\",\"hide\":\"uk-visible@s\",\"link\":\"#content\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"imgorvideo\":\"1\",\"img_bg\":\"images\\/joomlaplates\\/bg-top-c.jpg\",\"imgalttag\":\"\",\"local_video\":\"\",\"video_control\":\"0\",\"video_mute\":\"0\",\"video_loop\":\"0\",\"animation_delay\":\"500\",\"content\":\"\",\"content_bg\":\"\",\"content_color\":\"rgba(255, 255, 255, 1)\",\"content_width\":\"50%\",\"content_margin\":\"\",\"content_text_align\":\"text-left\",\"content_pos\":\"uk-position-top-center\",\"hide\":\"uk-visible@s\",\"link\":\"\",\"link_text\":\"Read more\"}},\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('207', '222', 'Uikit 3 Switcher (2)', '', NULL, '1', 'switcher', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_switcher', '1', '0', '{\"img_height\":\"200px\",\"item_style\":\"uk-card-white\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-001.jpg\",\"media_align\":\"1\",\"img_popup\":\"0\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-002.jpg\",\"media_align\":\"1\",\"img_popup\":\"0\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\"},\"items2\":{\"cols\":\"1\",\"title\":\"Sample Lightbox\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-003.jpg\",\"media_align\":\"1\",\"img_popup\":\"1\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"Tooltip if needed\",\"link\":\"\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('208', '223', 'Uikit 3 Stripes', '', NULL, '1', 'stripes', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_stripes', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"uk-card-white\",\"item_space\":\"uk-card-large\",\"media_align\":\"uk-card-media-left\",\"item_count\":\"1\",\"img_width\":\"300\",\"img_height\":\"300\",\"velocity\":\"1\",\"autoplay\":\"1\",\"autoplay_interval\":\"3000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"content_before_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Our Products\",\"img\":\"images\\/joomlaplates\\/blog-001.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\\r\\n\",\"tooltip\":\"Tooltip if needed\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"title\":\"Another Product\",\"img\":\"images\\/joomlaplates\\/blog-002.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"weiterlesen\"},\"items2\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"img\":\"images\\/joomlaplates\\/blog-003.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('209', '224', 'Slideportfolio', '', NULL, '1', 'slideportfolio', NULL, NULL, NULL, NULL, '1', 'mod_uk_slide_portfolio', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"\",\"slidenav\":\"1\",\"circle\":\"uk-border-circle7\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-center\",\"sets\":\"0\",\"grid\":\"\",\"grid_divider\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-3@l\",\"cols_xl\":\"uk-child-width-1-3@xl\",\"content_before_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Portfolio 1\",\"img\":\"images\\/joomlaplates\\/demo-001.jpg\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\",\"modal_content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\",\"modal_link\":\"port_001\"},\"items1\":{\"cols\":\"1\",\"title\":\"Portfolio 2\",\"img\":\"images\\/joomlaplates\\/demo-002.jpg\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\",\"modal_content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\",\"modal_link\":\"port_002\"},\"items2\":{\"cols\":\"1\",\"title\":\"Portfolio 3\",\"img\":\"images\\/joomlaplates\\/demo-003.jpg\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\",\"modal_content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\",\"modal_link\":\"port_003\"},\"items3\":{\"cols\":\"1\",\"title\":\"Portfolio 4\",\"img\":\"images\\/joomlaplates\\/demo-006.jpg\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\",\"modal_content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\",\"modal_link\":\"port_004\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('210', '225', 'Uikit 3 Stripes (2)', '', NULL, '1', 'stripes_2', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_stripes', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"uk-card-white\",\"item_space\":\"uk-card-large\",\"media_align\":\"uk-flex-last@s uk-card-media-right\",\"item_count\":\"1\",\"img_width\":\"300\",\"img_height\":\"300\",\"velocity\":\"1\",\"autoplay\":\"1\",\"autoplay_interval\":\"3000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"content_before_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Our Products\",\"img\":\"images\\/joomlaplates\\/demo-013.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\\r\\n\",\"tooltip\":\"Tooltip if needed\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"title\":\"Another Product\",\"img\":\"images\\/joomlaplates\\/demo-014.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"weiterlesen\"},\"items2\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"img\":\"images\\/joomlaplates\\/demo-015.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('211', '226', 'Logo Desktop', '', '<a href=\"index.php\"><img src=\"images/joomlaplates/logo.png\" alt=\"\"/></a>', '1', 'logo-oben', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('212', '227', 'Portfolio (2)', '', NULL, '1', 'top-c-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_portfolio2', '1', '0', '{\"item_style\":\"\",\"show_tags\":\"uk-hidden\",\"height_match\":\"0\",\"height_match_class\":\"\",\"grid\":\"uk-grid uk-grid-small\",\"masonry\":\"1\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-2@l\",\"cols_xl\":\"uk-child-width-1-2@xl\",\"content_before_class\":\"\",\"content_before\":\"<h1 class=\\\"uk-heading-line uk-text-center\\\">Unser Portfolio<\\/h1>\\r\\n<p class=\\\"text-center\\\">Seeking justice in the world is a sed significant<br \\/> emotional and investment when we follow this call, we\\u2019re deeply.<\\/p>\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy\",\"overlay_style\":\"uk-transition-slide-bottom uk-position-bottom uk-overlay uk-overlay-primary\",\"tags\":\"Design\",\"img\":\"images\\/joomlaplates\\/port-001.jpg\",\"modal_typ\":\"0\",\"link\":\"modal_002\",\"content\":\"<h3>Headline 1<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr \\/>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\"},\"items1\":{\"cols\":\"1\",\"title\":\"Portfolio Titel 2\",\"overlay_style\":\"uk-transition-fade uk-position-cover uk-position-small uk-overlay uk-overlay-default uk-flex uk-flex-center uk-flex-middle\",\"tags\":\"Design\",\"img\":\"images\\/joomlaplates\\/port-002.jpg\",\"modal_typ\":\"1\",\"link\":\"modal_003\",\"content\":\"<h3>Headline 1<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr \\/>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\"},\"items2\":{\"cols\":\"0\",\"title\":\"Portfolio Titel 3\",\"overlay_style\":\"uk-transition-fade uk-position-cover uk-position-small uk-overlay uk-overlay-default uk-flex uk-flex-center uk-flex-middle\",\"tags\":\"Web,Design\",\"img\":\"images\\/joomlaplates\\/port-003.jpg\",\"modal_typ\":\"0\",\"link\":\"modal_004\",\"content\":\"<h3>Headline 1<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr \\/>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\"},\"items3\":{\"cols\":\"0\",\"title\":\"Portfolio Titel 4\",\"overlay_style\":\"uk-transition-fade uk-position-cover uk-position-small uk-overlay uk-overlay-default uk-flex uk-flex-center uk-flex-middle\",\"tags\":\"Web\",\"img\":\"images\\/joomlaplates\\/port-004.jpg\",\"modal_typ\":\"0\",\"link\":\"modal_005\",\"content\":\"<h3>Headline 1<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<hr \\/>\\r\\n<h3>Headline 2<\\/h3>\\r\\n<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat<\\/p>\\r\\n<ul>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<li>Lorem ipsum dolor sit amet<\\/li>\\r\\n<\\/ul>\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('213', '228', 'UIkit 3 Slider Top B 1', '', NULL, '1', 'top-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_slider', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"uk-card uk-card-white\",\"slidenav\":\"0\",\"circle\":\"uk-border-circle7\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-center\",\"sets\":\"0\",\"grid\":\"uk-grid uk-grid-large\",\"grid_divider\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-2@l\",\"cols_xl\":\"uk-child-width-1-2@xl\",\"content_before_class\":\"py-4 text-center\",\"content_before\":\"<h1>Your Advantage<\\/h1>\\r\\n<h3>High-quality Bikes \\/ Reasonable Prices<\\/h3>\\r\\n<p>At Radon, we\'re specialized in designing and producing high-quality bikes. As a mail-order-company, we deliver our bikes directly to our customers. The direct sales pays off remarkably for our customers: Because there\'s no retail shops between us and our customer, no retail margin has to be payed and we are able to realize very low prices. Radon Bikes are known for their superbe price\\/quality ratio.\\r\\n<\\/p>\\r\\n\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Fox 32 Float 29\",\"img\":\"images\\/joomlaplates\\/blog-001.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"},\"items1\":{\"cols\":\"1\",\"title\":\"Shimano XT\",\"img\":\"images\\/joomlaplates\\/blog-002.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"},\"items2\":{\"cols\":\"1\",\"title\":\"DT Swiss\",\"img\":\"images\\/joomlaplates\\/blog-003.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('214', '229', 'Uikit 3 Switcher Bottom B 1', '', NULL, '1', 'bottom-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_switcher', '1', '0', '{\"img_height\":\"300px\",\"item_style\":\"uk-card-white\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-016.jpg\",\"media_align\":\"1\",\"img_popup\":\"0\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-002.jpg\",\"media_align\":\"1\",\"img_popup\":\"0\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"\",\"link\":\"\",\"link_text\":\"Read more\"},\"items2\":{\"cols\":\"1\",\"title\":\"Sample Lightbox\",\"item_space\":\"0\",\"img\":\"images\\/joomlaplates\\/demo-003.jpg\",\"media_align\":\"1\",\"img_popup\":\"1\",\"content\":\"Duis autem vel eum iriure dolor in hendrerit in vulputate velit esse molestie konsequat, vel illum dolore Lorem ipsum dolor sitzen amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat.\",\"tooltip\":\"Tooltip if needed\",\"link\":\"\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('215', '230', 'Modul in Megamenu', '', '<img src=\"images/joomlaplates/blog-004.jpg\" alt=\"\"/>\r\n<p><a class=\"btn btn-sm btn-primary text-white\" href=\"#content\">Read more</a></p>', '1', 'modul-megamenu', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('216', '231', 'Top C Text', '', '<h1>Race Face Ride Riser 685mm</h1>\r\n<h3>Each section can have their own background image and color</h3>\r\n<p><a class=\"btn btn-primary text-white\" href=\"https://youtu.be/ZNUrrT5__ns&quot;\">Video</a></p>', '1', 'top-c-1', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('217', '232', 'UIkit 3 Slider Top B 1 (2)', '', NULL, '1', 'top-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_slider', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"uk-card uk-card-white\",\"slidenav\":\"0\",\"circle\":\"uk-border-circle7\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-center\",\"sets\":\"0\",\"grid\":\"uk-grid uk-grid-large\",\"grid_divider\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-2@l\",\"cols_xl\":\"uk-child-width-1-2@xl\",\"content_before_class\":\"py-4 text-center\",\"content_before\":\"<h1>Your Advantage<\\/h1>\\r\\n<h3>High-quality Bikes \\/ Reasonable Prices<\\/h3>\\r\\n<p>At Radon, we\'re specialized in designing and producing high-quality bikes. As a mail-order-company, we deliver our bikes directly to our customers. The direct sales pays off remarkably for our customers: Because there\'s no retail shops between us and our customer, no retail margin has to be payed and we are able to realize very low prices. Radon Bikes are known for their superbe price\\/quality ratio.\\r\\n<\\/p>\\r\\n\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Fox 32 Float 29\",\"img\":\"images\\/joomlaplates\\/blog-001.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"},\"items1\":{\"cols\":\"1\",\"title\":\"Shimano XT\",\"img\":\"images\\/joomlaplates\\/blog-002.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"},\"items2\":{\"cols\":\"1\",\"title\":\"DT Swiss\",\"img\":\"images\\/joomlaplates\\/blog-003.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('218', '233', 'UIkit 3 Slider Top B 1 (3)', '', NULL, '1', 'top-b-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_uk_slider', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"uk-card uk-card-white\",\"slidenav\":\"0\",\"circle\":\"uk-border-circle7\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-center\",\"sets\":\"0\",\"grid\":\"uk-grid uk-grid-large\",\"grid_divider\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-2@l\",\"cols_xl\":\"uk-child-width-1-2@xl\",\"content_before_class\":\"py-4 text-center\",\"content_before\":\"<h1>Your Advantage<\\/h1>\\r\\n<h3>High-quality Bikes \\/ Reasonable Prices<\\/h3>\\r\\n<p>At Radon, we\'re specialized in designing and producing high-quality bikes. As a mail-order-company, we deliver our bikes directly to our customers. The direct sales pays off remarkably for our customers: Because there\'s no retail shops between us and our customer, no retail margin has to be payed and we are able to realize very low prices. Radon Bikes are known for their superbe price\\/quality ratio.\\r\\n<\\/p>\\r\\n\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Fox 32 Float 29\",\"img\":\"images\\/joomlaplates\\/blog-001.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"},\"items1\":{\"cols\":\"1\",\"title\":\"Shimano XT\",\"img\":\"images\\/joomlaplates\\/blog-002.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"},\"items2\":{\"cols\":\"1\",\"title\":\"DT Swiss\",\"img\":\"images\\/joomlaplates\\/blog-003.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('219', '234', 'UIkit 3 Slider Top D 1', '', NULL, '1', 'top-d-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_slider', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"uk-card uk-card-white\",\"slidenav\":\"0\",\"circle\":\"uk-border-circle7\",\"velocity\":\"1\",\"autoplay\":\"0\",\"autoplay_interval\":\"7000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"index\":\"0\",\"center\":\"text-center\",\"sets\":\"0\",\"grid\":\"uk-grid uk-grid-large\",\"grid_divider\":\"0\",\"cols\":\"1\",\"cols_all\":\"uk-child-width-1-1\",\"cols_s\":\"uk-child-width-1-1@s\",\"cols_m\":\"uk-child-width-1-2@m\",\"cols_l\":\"uk-child-width-1-3@l\",\"cols_xl\":\"uk-child-width-1-3@xl\",\"content_before_class\":\"py-4 text-center\",\"content_before\":\"<h1>ZR Race 29 7.0<\\/h1>\\r\\n\\r\\n<p>The bike is fitted with a Fox 32 Float 29 CTD fork with sensitive response to the smallest bumps. It features Fox\\u2019s proprietary Climb-Trail-Descend System that enables the rider to adjust the suspension within seconds to changing trail conditions. A highlight for this price segment are the DT Swiss X1900 Spline 29\\u201d-wheels: lightweight, but also stiff and rigid, turning the ZR Race 29 7.0 into a fast climbing machine.\\r\\n<\\/p>\\r\\n\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Fox 32 Float 29\",\"img\":\"images\\/joomlaplates\\/blog-001.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"},\"items1\":{\"cols\":\"1\",\"title\":\"Shimano XT\",\"img\":\"images\\/joomlaplates\\/blog-002.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"},\"items2\":{\"cols\":\"1\",\"title\":\"DT Swiss\",\"img\":\"images\\/joomlaplates\\/blog-003.jpg\",\"img_popup\":\"1\",\"content\":\"Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.\",\"tooltip\":\"\",\"link\":\"#content\",\"link_text\":\"weiterlesen\",\"link_target\":\"_self\"}},\"layout\":\"_:default\",\"cache\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('220', '235', 'Top E Text', '', '<h1>Shimano Deore </h1>\r\n<h2>CS-HG50 - 10-speed - 11-36</h2>\r\n<p>Each section can have their own background image and color</p>', '1', 'top-e-1', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('221', '236', 'Bottom A 4', '', '<h1>Template Features</h1>\r\n<h2>Clean - Flexible - Powerfull - Responsive</h2>\r\n<hr class=\"uk-divider-icon\" />', '1', 'bottom-a-4', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('222', '237', 'Bottom B 1', '', '<h1>PICK UP YOUR COPY</h1>\r\n<h2>OF THIS JOOMLA TEMPLATE TODAY!</h2>\r\n\r\n<a target=\"_blank\" class=\"btn btn-sm btn-primary\" href=\"https://www.theme-point.com/buy-now.html\">Buy Now</a>\r\n\r\n\r\n', '1', 'bottom-b-1', NULL, NULL, NULL, NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('223', '238', 'UIkit 3 Slider Bottom C 1', '', NULL, '1', 'bottom-c-1', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_uk_stripes', '1', '0', '{\"dotnav\":\"1\",\"item_style\":\"uk-card-white\",\"item_space\":\"uk-card-large\",\"media_align\":\"uk-card-media-left\",\"item_count\":\"1\",\"img_width\":\"300\",\"img_height\":\"300\",\"velocity\":\"1\",\"autoplay\":\"1\",\"autoplay_interval\":\"3000\",\"finite\":\"0\",\"pause_on_hover\":\"0\",\"content_before_class\":\"\",\"content_before\":\"\",\"items\":{\"items0\":{\"cols\":\"1\",\"title\":\"Our Products\",\"img\":\"images\\/joomlaplates\\/slider-001.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\\r\\n\",\"tooltip\":\"Tooltip if needed\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"},\"items1\":{\"cols\":\"1\",\"title\":\"Another Product\",\"img\":\"images\\/joomlaplates\\/slider-002.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"weiterlesen\"},\"items2\":{\"cols\":\"1\",\"title\":\"Sample Headline\",\"img\":\"images\\/joomlaplates\\/slider-001.jpg\",\"img_popup\":\"1\",\"content\":\"<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren<\\/p>\",\"tooltip\":\"\",\"link\":\"#inhalt\",\"link_text\":\"Read more\"}},\"layout\":\"_:default\",\"cache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('224', '239', 'Image in Menu Module', '', '<p><img src=\"images/joomlaplates/contact.jpg\" alt=\"\"/></p>\r\n<p><a class=\"btn btn-sm btn-primary text-white\" href=\"#content\">Contact us</a></p>\r\n', '1', 'menu-module', NULL, NULL, '2021-11-03 11:23:37', NULL, '1', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('225', '240', 'Bikes Module 2 Row in Megamenu', '', '<p><a href=\"#content\"><img src=\"images/joomlaplates/bikes.jpg\" alt=\"\"/></a></p>', '1', 'bikes', NULL, NULL, '2021-11-03 11:23:37', NULL, '-2', 'mod_custom', '1', '0', '{\"prepare_content\":0,\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('226', '0', 'Login Support', '', '', '1', 'sidebar', NULL, NULL, NULL, NULL, '1', 'mod_loginsupport', '1', '1', '{\"forum_url\":\"https://forum.joomla.org/\",\"documentation_url\":\"https://docs.joomla.org/\",\"news_url\":\"https://www.joomla.org/announcements.html\",\"automatic_title\":1,\"prepare_content\":1,\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '1', '*'),
('227', '0', 'System Dashboard', '', '', '1', 'cpanel-system', NULL, NULL, NULL, NULL, '1', 'mod_submenu', '1', '0', '{\"menutype\":\"*\",\"preset\":\"system\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"12\",\"header_tag\":\"h2\",\"header_class\":\"\",\"style\":\"System-none\"}', '1', '*'),
('228', '0', 'Content Dashboard', '', '', '1', 'cpanel-content', NULL, NULL, NULL, NULL, '1', 'mod_submenu', '1', '0', '{\"menutype\":\"*\",\"preset\":\"content\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"3\",\"header_tag\":\"h2\",\"header_class\":\"\",\"style\":\"System-none\"}', '1', '*'),
('229', '0', 'Menus Dashboard', '', '', '1', 'cpanel-menus', NULL, NULL, NULL, NULL, '1', 'mod_submenu', '1', '0', '{\"menutype\":\"*\",\"preset\":\"menus\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"12\",\"header_tag\":\"h2\",\"header_class\":\"\",\"style\":\"System-none\"}', '1', '*'),
('230', '0', 'Components Dashboard', '', '', '1', 'cpanel-components', NULL, NULL, NULL, NULL, '1', 'mod_submenu', '1', '0', '{\"menutype\":\"*\",\"preset\":\"components\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"12\",\"header_tag\":\"h2\",\"header_class\":\"\",\"style\":\"System-none\"}', '1', '*'),
('231', '0', 'Users Dashboard', '', '', '1', 'cpanel-users', NULL, NULL, NULL, NULL, '1', 'mod_submenu', '1', '0', '{\"menutype\":\"*\",\"preset\":\"users\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"module_tag\":\"div\",\"bootstrap_size\":\"12\",\"header_tag\":\"h2\",\"header_class\":\"\",\"style\":\"System-none\"}', '1', '*'),
('232', '0', 'Popular Articles', '', '', '3', 'cpanel-content', NULL, NULL, NULL, NULL, '1', 'mod_popular', '3', '1', '{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\", \"bootstrap_size\":\"12\"}', '1', '*'),
('233', '0', 'Recently Added Articles', '', '', '4', 'cpanel-content', NULL, NULL, NULL, NULL, '1', 'mod_latest', '3', '1', '{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\", \"bootstrap_size\":\"12\"}', '1', '*'),
('234', '0', 'Logged-in Users', '', '', '2', 'cpanel-users', NULL, NULL, NULL, NULL, '1', 'mod_logged', '3', '1', '{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\", \"bootstrap_size\":\"12\"}', '1', '*'),
('235', '0', 'Frontend Link', '', '', '5', 'status', NULL, NULL, NULL, NULL, '1', 'mod_frontend', '1', '1', '', '1', '*'),
('236', '0', 'Messages', '', '', '4', 'status', NULL, NULL, NULL, NULL, '1', 'mod_messages', '3', '1', '', '1', '*'),
('237', '0', 'Post Install Messages', '', '', '3', 'status', NULL, NULL, NULL, NULL, '1', 'mod_post_installation_messages', '3', '1', '', '1', '*'),
('238', '0', 'User Status', '', '', '6', 'status', NULL, NULL, NULL, NULL, '1', 'mod_user', '3', '1', '', '1', '*'),
('239', '0', 'Site', '', '', '1', 'icon', NULL, NULL, NULL, NULL, '1', 'mod_quickicon', '1', '1', '{\"context\":\"site_quickicon\",\"header_icon\":\"fas fa-desktop\",\"show_users\":\"1\",\"show_articles\":\"1\",\"show_categories\":\"1\",\"show_media\":\"1\",\"show_menuItems\":\"1\",\"show_modules\":\"1\",\"show_plugins\":\"1\",\"show_templates\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"style\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"12\",\"header_tag\":\"h2\",\"header_class\":\"\"}', '1', '*'),
('240', '0', 'System', '', '', '2', 'icon', NULL, NULL, NULL, NULL, '1', 'mod_quickicon', '1', '1', '{\"context\":\"system_quickicon\",\"header_icon\":\"fas fa-wrench\",\"show_global\":\"1\",\"show_checkin\":\"1\",\"show_cache\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"style\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"12\",\"header_tag\":\"h2\",\"header_class\":\"\"}', '1', '*'),
('241', '0', '3rd Party', '', '', '4', 'icon', NULL, NULL, NULL, NULL, '1', 'mod_quickicon', '1', '1', '{\"context\":\"mod_quickicon\",\"header_icon\":\"fas fa-boxes\",\"load_plugins\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"style\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"12\",\"header_tag\":\"h2\",\"header_class\":\"\"}', '1', '*'),
('242', '0', 'Help Dashboard', '', '', '1', 'cpanel-help', NULL, NULL, NULL, NULL, '1', 'mod_submenu', '1', '0', '{\"menutype\":\"*\",\"preset\":\"help\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"style\":\"System-none\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h2\",\"header_class\":\"\"}', '1', '*'),
('243', '0', 'Privacy Requests', '', '', '1', 'cpanel-privacy', NULL, NULL, NULL, NULL, '1', 'mod_privacy_dashboard', '1', '1', '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"style\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h2\",\"header_class\":\"\"}', '1', '*'),
('244', '0', 'Privacy Status', '', '', '1', 'cpanel-privacy', NULL, NULL, NULL, NULL, '1', 'mod_privacy_status', '1', '1', '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":1,\"cache_time\":900,\"cachemode\":\"static\",\"style\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h2\",\"header_class\":\"\"}', '1', '*'),
('245', '243', 'Astroid Clear Cache', '', '', '1', 'status', NULL, NULL, NULL, NULL, '1', 'mod_astroid_clear_cache', '1', '1', '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"style\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\"}', '1', '*'),
('246', '244', 'Article Grid', '', '', '1', '', NULL, NULL, NULL, NULL, '0', 'mod_article_grid', '1', '1', '', '0', '*'),
('247', '245', 'Article Slider', '', '', '2', '', NULL, NULL, NULL, NULL, '0', 'mod_article_slider', '1', '1', '', '0', '*'),
('248', '246', 'Article Slideshow', '', '', '3', '', NULL, NULL, NULL, NULL, '0', 'mod_article_slideshow', '1', '1', '', '0', '*'),
('249', '247', 'Shape Divider', '', '', '4', '', NULL, NULL, NULL, NULL, '0', 'mod_shape_divider', '1', '1', '', '0', '*'),
('250', '248', 'UIkit 3 Accordion', '', '', '5', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_accordion', '1', '1', '', '0', '*'),
('251', '249', 'UIkit 3 Counter', '', '', '6', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_counter', '1', '1', '', '0', '*'),
('252', '250', 'UIkit 3 DotNav', '', '', '7', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_dotnav', '1', '1', '', '0', '*'),
('253', '251', 'UIkit 3 Gallery with Text', '', '', '8', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_gallery_text', '1', '1', '', '0', '*'),
('254', '252', 'UIkit 3 Grid Portfolio', '', '', '9', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_grid_portfolio', '1', '1', '', '0', '*'),
('255', '253', 'UIkit 3 IconNav', '', '', '10', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_iconnav', '1', '1', '', '0', '*'),
('256', '254', 'UIkit 3 Pricetable', '', '', '11', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_pricetable', '1', '1', '', '0', '*'),
('257', '255', 'UIkit 3 Progressbar', '', '', '12', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_progressbar', '1', '1', '', '0', '*'),
('258', '256', 'UIkit 3 Skills', '', '', '13', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_skills', '1', '1', '', '0', '*'),
('259', '257', 'Uikit 3 Slideportfolio 2', '', '', '14', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_slide_portfolio2', '1', '1', '', '0', '*'),
('260', '258', 'UIkit 3 Slideshow Viewport Height', '', '', '15', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_slideshow_viewport', '1', '1', '', '0', '*'),
('261', '259', 'UIkit 3 Typewriter', '', '', '16', '', NULL, NULL, NULL, NULL, '0', 'mod_uk_typewriter', '1', '1', '', '0', '*'),
('262', '0', 'Guided Tours', '', '', '1', 'status', NULL, NULL, NULL, NULL, '1', 'mod_guidedtours', '1', '1', '', '1', '*'),
('263', '260', 'Astroid Menu', '', '', '17', 'status', NULL, NULL, NULL, NULL, '1', 'mod_astroid_menu', '1', '1', '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"style\":\"0\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\"}', '0', '*');/**ABDB**/
/**ABDB**/CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT 0,
  `user_id_to` int(10) unsigned NOT NULL DEFAULT 0,
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `date_time` datetime NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT 0,
  `priority` tinyint(1) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__menu_types`  VALUES 
('1', '0', 'mainmenu', 'Main Menu', 'The main menu for the site', '0'),
('2', '92', 'sidebar-menu', 'Sidebar Menu', 'Sidebar Menu', '0'),
('3', '144', 'scrollmenu', 'Scrollmenu', 'Scrollmenu', '0'),
('4', '204', 'footer-menu', 'Footer Menu', 'Footer Menu', '0');
/**ABDB**/CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT 1 COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned DEFAULT NULL,
  `checked_out_time` datetime DEFAULT NULL,
  `browserNav` tinyint(4) NOT NULL DEFAULT 0 COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT 0,
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT 0 COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT 0 COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT 0,
  `publish_up` datetime DEFAULT NULL,
  `publish_down` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_path` (`path`(100)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=257 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__menu`  VALUES 
('1', '', 'Menu_Item_Root', 'root', '', '', '', '', '1', '0', '0', '0', NULL, NULL, '0', '0', '', '0', '', '0', '197', '0', '*', '0', NULL, NULL),
('2', 'main', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', '1', '1', '1', '4', NULL, NULL, '0', '0', 'class:bookmark', '0', '', '1', '10', '0', '*', '1', NULL, NULL),
('3', 'main', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners&view=banners', 'component', '1', '2', '2', '4', NULL, NULL, '0', '0', 'class:banners', '0', '', '2', '3', '0', '*', '1', NULL, NULL),
('4', 'main', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&view=categories&extension=com_banners', 'component', '1', '2', '2', '6', NULL, NULL, '0', '0', 'class:banners-cat', '0', '', '4', '5', '0', '*', '1', NULL, NULL),
('5', 'main', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', '1', '2', '2', '4', NULL, NULL, '0', '0', 'class:banners-clients', '0', '', '6', '7', '0', '*', '1', NULL, NULL),
('6', 'main', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', '1', '2', '2', '4', NULL, NULL, '0', '0', 'class:banners-tracks', '0', '', '8', '9', '0', '*', '1', NULL, NULL),
('7', 'main', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', '1', '1', '1', '8', NULL, NULL, '0', '0', 'class:address-book', '0', '', '11', '22', '0', '*', '1', NULL, NULL),
('8', 'main', 'com_contact_contacts', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact&view=contacts', 'component', '1', '7', '2', '8', NULL, NULL, '0', '0', 'class:contact', '0', '', '12', '13', '0', '*', '1', NULL, NULL),
('9', 'main', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&view=categories&extension=com_contact', 'component', '1', '7', '2', '6', NULL, NULL, '0', '0', 'class:contact-cat', '0', '', '14', '15', '0', '*', '1', NULL, NULL),
('13', 'main', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', '1', '1', '1', '17', NULL, NULL, '0', '0', 'class:rss', '0', '', '23', '28', '0', '*', '1', NULL, NULL),
('14', 'main', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds&view=newsfeeds', 'component', '1', '13', '2', '17', NULL, NULL, '0', '0', 'class:newsfeeds', '0', '', '24', '25', '0', '*', '1', NULL, NULL),
('15', 'main', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&view=categories&extension=com_newsfeeds', 'component', '1', '13', '2', '6', NULL, NULL, '0', '0', 'class:newsfeeds-cat', '0', '', '26', '27', '0', '*', '1', NULL, NULL),
('18', 'main', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', '1', '1', '1', '27', NULL, NULL, '0', '0', 'class:search-plus', '0', '', '29', '40', '0', '*', '1', NULL, NULL),
('20', 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags&view=tags', 'component', '1', '1', '1', '29', NULL, NULL, '0', '1', 'class:tags', '0', '', '41', '42', '0', '', '1', NULL, NULL),
('22', 'main', 'com_associations', 'Multilingual Associations', '', 'Multilingual Associations', 'index.php?option=com_associations&view=associations', 'component', '1', '1', '1', '34', NULL, NULL, '0', '0', 'class:language', '0', '', '43', '44', '0', '*', '1', NULL, NULL),
('101', 'mainmenu', 'Home', 'home', '', 'home', 'index.php?option=com_content&view=article&id=10', 'component', '1', '1', '1', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"0\",\"show_tags\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"Business Joomla Templates\",\"show_page_heading\":\"0\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"fas fa-home\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '45', '46', '1', '*', '0', NULL, NULL),
('102', 'mainmenu', 'Megamenu', 'mega-menu', '', 'mega-menu', '', 'separator', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"1\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"fab fa-accusoft\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"\",\"alignment\":\"right\",\"megamenu_direction\":\"left\",\"rows\":\"[{\\\"cols\\\":[{\\\"elements\\\":[{\\\"id\\\":\\\"224\\\",\\\"title\\\":\\\"Image in Menu Module\\\",\\\"module\\\":\\\"mod_custom\\\",\\\"type\\\":\\\"module\\\",\\\"published\\\":\\\"1\\\",\\\"access_title\\\":\\\"Public\\\",\\\"position\\\":\\\"menu-module\\\",\\\"showtitle\\\":\\\"0\\\"}],\\\"size\\\":4,\\\"type\\\":\\\"column\\\"},{\\\"elements\\\":[{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Template Features (Child Item)\\\",\\\"id\\\":\\\"188\\\"}],\\\"size\\\":4,\\\"type\\\":\\\"column\\\"},{\\\"elements\\\":[{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Uikit Module (Child Item)\\\",\\\"id\\\":\\\"127\\\"}],\\\"size\\\":4,\\\"type\\\":\\\"column\\\"}],\\\"type\\\":\\\"row\\\"},{\\\"cols\\\":[{\\\"elements\\\":[{\\\"id\\\":\\\"200\\\",\\\"title\\\":\\\"Uikit 3 Switcher\\\",\\\"module\\\":\\\"mod_uk_switcher\\\",\\\"type\\\":\\\"module\\\",\\\"published\\\":\\\"1\\\",\\\"access_title\\\":\\\"Public\\\",\\\"position\\\":\\\"switcher\\\",\\\"showtitle\\\":\\\"0\\\"}],\\\"size\\\":12,\\\"type\\\":\\\"column\\\"}],\\\"type\\\":\\\"row\\\"}]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '47', '74', '0', '*', '0', NULL, NULL),
('108', 'mainmenu', '2 Level Submenu', '2-level-submenu', '', 'dropdown/2-level-submenu', 'index.php?Itemid=', 'alias', '1', '112', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"aliasoptions\":\"130\",\"alias_redirect\":0,\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '170', '171', '0', '*', '0', NULL, NULL),
('112', 'mainmenu', 'Dropdown', 'dropdown', '', 'dropdown', '', 'heading', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '169', '184', '0', '*', '0', NULL, NULL),
('124', 'mainmenu', '2 Level Submenu', '2-level-submenu-2', '', 'dropdown/2-level-submenu-2', '#', 'url', '1', '112', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '172', '179', '0', '*', '0', NULL, NULL),
('125', 'mainmenu', '2 Level Submenu', '2-level-submenu-3', '', 'dropdown/2-level-submenu-3', '#', 'url', '1', '112', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '180', '181', '0', '*', '0', NULL, NULL),
('126', 'mainmenu', '2 Level Submenu', '2-level-submenu-4', '', 'dropdown/2-level-submenu-4', '#', 'url', '1', '112', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '182', '183', '0', '*', '0', NULL, NULL),
('127', 'mainmenu', 'Uikit Module', 'uikit-module', '', 'mega-menu/uikit-module', 'index.php?Itemid=', 'heading', '1', '102', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"fas fa-cog\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '48', '61', '0', '*', '0', NULL, NULL),
('129', 'mainmenu', 'Joomla', 'joomla', '', 'joomla', '', 'heading', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"1\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"fab fa-joomla\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"300px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[{\\\"cols\\\":[{\\\"elements\\\":[{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Joomla Blog 1 Column (Child Item)\\\",\\\"id\\\":\\\"132\\\"},{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Joomla Blog 2 Columns (Child Item)\\\",\\\"id\\\":\\\"130\\\"},{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Joomla Blog 3 Columns (Child Item)\\\",\\\"id\\\":\\\"131\\\"},{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Sidebar Left (Child Item)\\\",\\\"id\\\":\\\"157\\\"},{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Sidebar Right (Child Item)\\\",\\\"id\\\":\\\"158\\\"},{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Sidebar Left & Right (Child Item)\\\",\\\"id\\\":\\\"195\\\"},{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Content Left & Right (Child Item)\\\",\\\"id\\\":\\\"196\\\"},{\\\"type\\\":\\\"submenu\\\",\\\"title\\\":\\\"Left & Right Content  (Child Item)\\\",\\\"id\\\":\\\"197\\\"}],\\\"size\\\":12,\\\"type\\\":\\\"column\\\"}],\\\"type\\\":\\\"row\\\"}]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '75', '92', '0', '*', '0', NULL, NULL),
('130', 'mainmenu', 'Joomla Blog 2 Columns', 'joomla-blog-2-spalten', '', 'joomla/joomla-blog-2-spalten', 'index.php?option=com_content&view=category&layout=blog&id=9', 'component', '1', '129', '2', '22', NULL, NULL, '0', '1', ' ', '0', '{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"2\",\"num_columns\":\"2\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_featured\":\"\",\"article_layout\":\"_:default\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"1\",\"link_category\":\"0\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\",\"astroid_posttype\":\"1\",\"astroid_readtime\":\"1\",\"astroid_badge\":\"1\"}', '78', '79', '0', '*', '0', NULL, NULL),
('131', 'mainmenu', 'Joomla Blog 3 Columns', 'joomla-blog-2-spalten-2', '', 'joomla/joomla-blog-2-spalten-2', 'index.php?option=com_content&view=category&layout=blog&id=9', 'component', '1', '129', '2', '22', NULL, NULL, '0', '1', ' ', '0', '{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_featured\":\"\",\"article_layout\":\"_:default\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\",\"astroid_posttype\":\"\",\"astroid_readtime\":\"\",\"astroid_badge\":\"\"}', '80', '81', '0', '*', '0', NULL, NULL),
('132', 'mainmenu', 'Joomla Blog 1 Column', 'joomla-blog-1-spalte', '', 'joomla/joomla-blog-1-spalte', 'index.php?option=com_content&view=category&layout=blog&id=9', 'component', '1', '129', '2', '22', NULL, NULL, '0', '1', ' ', '0', '{\"layout_type\":\"blog\",\"show_category_heading_title_text\":\"\",\"show_category_title\":\"\",\"show_description\":\"\",\"show_description_image\":\"\",\"maxLevel\":\"\",\"show_empty_categories\":\"\",\"show_no_articles\":\"\",\"show_subcat_desc\":\"\",\"show_cat_num_articles\":\"\",\"show_cat_tags\":\"\",\"page_subheading\":\"\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"2\",\"num_columns\":\"1\",\"num_links\":\"\",\"multi_column_order\":\"\",\"show_subcategory_content\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_featured\":\"\",\"article_layout\":\"_:default\",\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"1\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"1\",\"show_modify_date\":\"1\",\"show_publish_date\":\"1\",\"show_item_navigation\":\"\",\"show_vote\":\"1\",\"show_readmore\":\"\",\"show_readmore_title\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\",\"astroid_posttype\":\"1\",\"astroid_readtime\":\"1\",\"astroid_badge\":\"1\"}', '76', '77', '0', '*', '0', NULL, NULL),
('133', 'sidebar-menu', 'First Level Menu Link', 'dropdown-2-level', '', 'dropdown-2-level', '#', 'url', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '93', '118', '0', '*', '0', NULL, NULL),
('134', 'sidebar-menu', 'Second Level Separator', '2-level-submenu', '', 'dropdown-2-level/2-level-submenu', '', 'heading', '1', '133', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '100', '107', '0', '*', '0', NULL, NULL),
('135', 'sidebar-menu', '2 Level Submenu', '2-level-submenu-2', '', 'dropdown-2-level/2-level-submenu-2', '#', 'url', '-2', '133', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '94', '95', '0', '*', '0', NULL, NULL),
('136', 'sidebar-menu', 'Second Level Submenu', '2-level-submenu-3', '', 'dropdown-2-level/2-level-submenu-3', 'index.php?Itemid=', 'alias', '1', '133', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"aliasoptions\":\"101\",\"alias_redirect\":0,\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '96', '97', '0', '*', '0', NULL, NULL),
('137', 'sidebar-menu', 'Second Level Submenu', '2-level-submenu-4', '', 'dropdown-2-level/2-level-submenu-4', '#', 'url', '1', '133', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '98', '99', '0', '*', '0', NULL, NULL),
('138', 'sidebar-menu', 'Sample Menu Link', 'beispiel-link-3', '', 'beispiel-link-3', 'index.php?option=com_content&view=article&id=6', 'component', '1', '1', '1', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '135', '136', '0', '*', '0', NULL, NULL),
('139', 'sidebar-menu', 'Sample Menu Link', 'beispiel-link-4', '', 'beispiel-link-4', '#', 'url', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '139', '140', '0', '*', '0', NULL, NULL),
('140', 'sidebar-menu', 'Sample Menu Link', 'beispiel-link-5', '', 'beispiel-link-5', '#', 'url', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '137', '138', '0', '*', '0', NULL, NULL),
('141', 'sidebar-menu', 'Dropdown 2 Level', 'dropdown-2-level', '', 'dropdown-2-level/dropdown-2-level', '#', 'url', '-2', '133', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '108', '117', '0', '*', '0', NULL, NULL),
('142', 'sidebar-menu', 'Beispiel Link', 'beispiel-link-2', '', 'dropdown-2-level/dropdown-2-level/beispiel-link-2', '#', 'url', '-2', '141', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '109', '110', '0', '*', '0', NULL, NULL),
('143', 'sidebar-menu', 'Beispiel Link', 'beispiel-link-3', '', 'dropdown-2-level/dropdown-2-level/beispiel-link-3', '#', 'url', '-2', '141', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '111', '112', '0', '*', '0', NULL, NULL),
('144', 'sidebar-menu', 'Beispiel Link', 'beispiel-link-4', '', 'dropdown-2-level/dropdown-2-level/beispiel-link-4', '#', 'url', '-2', '141', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '113', '114', '0', '*', '0', NULL, NULL),
('145', 'sidebar-menu', 'Beispiel Link', 'beispiel-link-5', '', 'dropdown-2-level/dropdown-2-level/beispiel-link-5', '#', 'url', '-2', '141', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '115', '116', '0', '*', '0', NULL, NULL),
('146', 'sidebar-menu', 'Menu Headline', 'menu-headline', '', 'menu-headline', '', 'separator', '-2', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '119', '134', '0', '*', '0', NULL, NULL),
('147', 'sidebar-menu', 'Beispiel Menu Link', 'beispiel-link-2', '', 'menu-headline/beispiel-link-2', '#', 'url', '-2', '146', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"mit Icon & Badge\",\"icon\":\"fab fa-accusoft\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"1\",\"badge_text\":\"Badge Text\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"rgb(255, 180, 0)\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '120', '121', '0', '*', '0', NULL, NULL),
('148', 'sidebar-menu', 'Beispiel Menu Link', 'beispiel-link-3', '', 'menu-headline/beispiel-link-3', '#', 'url', '-2', '146', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"mit Icon & Badge\",\"icon\":\"fas fa-ad\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"1\",\"badge_text\":\"Icon Sample\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"rgb(106, 207, 29)\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '122', '123', '0', '*', '0', NULL, NULL),
('149', 'sidebar-menu', 'Beispiel Menu Link', 'beispiel-link-4', '', 'menu-headline/beispiel-link-4', '#', 'url', '-2', '146', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"mit Icon & Badge\",\"icon\":\"fas fa-address-book\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"1\",\"badge_text\":\"Icon Sample\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"rgb(196, 24, 60)\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '124', '125', '0', '*', '0', NULL, NULL),
('150', 'sidebar-menu', 'Beispiel Menu Link ohne Icon', 'beispiel-link-8', '', 'menu-headline/beispiel-link-8', '#', 'url', '-2', '146', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"aber mit Untertitel\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"Icon Sample\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"rgb(255, 180, 0)\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '126', '127', '0', '*', '0', NULL, NULL),
('151', 'sidebar-menu', '2 Level Submenu', '2-level-submenu-2', '', 'menu-headline/2-level-submenu-2', '#', 'url', '-2', '146', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '128', '129', '0', '*', '0', NULL, NULL),
('152', 'sidebar-menu', '2 Level Submenu', '2-level-submenu-3', '', 'menu-headline/2-level-submenu-3', '#', 'url', '-2', '146', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '130', '131', '0', '*', '0', NULL, NULL),
('153', 'sidebar-menu', '2 Level Submenu', '2-level-submenu-4', '', 'menu-headline/2-level-submenu-4', '#', 'url', '-2', '146', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '132', '133', '0', '*', '0', NULL, NULL),
('154', 'sidebar-menu', 'Third Level Submenu', '2-level-submenu', '', 'dropdown-2-level/2-level-submenu/2-level-submenu', 'index.php?Itemid=', 'alias', '1', '134', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"aliasoptions\":\"132\",\"alias_redirect\":0,\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '101', '102', '0', '*', '0', NULL, NULL),
('155', 'sidebar-menu', 'Third Level Submenu', '2-level-submenu-2', '', 'dropdown-2-level/2-level-submenu/2-level-submenu-2', '#', 'url', '1', '134', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '103', '104', '0', '*', '0', NULL, NULL),
('156', 'sidebar-menu', 'Third Level Submenu', '2-level-submenu-3', '', 'dropdown-2-level/2-level-submenu/2-level-submenu-3', '#', 'url', '1', '134', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '105', '106', '0', '*', '0', NULL, NULL),
('157', 'mainmenu', 'Sidebar Left', 'sidebar-links', '', 'joomla/sidebar-links', 'index.php?option=com_content&view=article&id=11', 'component', '1', '129', '2', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"0\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"0\",\"show_tags\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"0\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '82', '83', '0', '*', '0', NULL, NULL),
('158', 'mainmenu', 'Sidebar Right', 'sidebar-rechts', '', 'joomla/sidebar-rechts', 'index.php?option=com_content&view=article&id=13', 'component', '1', '129', '2', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"0\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"0\",\"show_tags\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"0\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '84', '85', '0', '*', '0', NULL, NULL),
('164', 'mainmenu', 'Kontakt', 'kontakt', '', 'kontakt', 'index.php?option=com_contact&view=contact&id=1', 'component', '1', '1', '1', '8', NULL, NULL, '0', '1', ' ', '0', '{\"presentation_style\":\"plain\",\"show_contact_category\":\"hide\",\"show_contact_list\":\"0\",\"show_name\":\"0\",\"show_tags\":\"\",\"show_info\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"add_mailto_link\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_misc\":\"\",\"show_articles\":\"\",\"articles_display_num\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"show_email_form\":\"1\",\"show_email_copy\":\"0\",\"validate_session\":\"0\",\"custom_reply\":\"0\",\"redirect\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":0,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\"}', '141', '142', '0', '*', '0', NULL, NULL),
('165', 'mainmenu', 'Uikit 3 Gallery', 'uikit-3-gallery', '', 'mega-menu/uikit-module/uikit-3-gallery', 'index.php?option=com_content&view=article&id=14', 'component', '1', '127', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"0\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"0\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"0\",\"link_author\":\"0\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"0\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '49', '50', '0', '*', '0', NULL, NULL),
('166', 'mainmenu', 'UiKit 3 Slideset', 'uikit-3-slideset', '', 'mega-menu/uikit-module/uikit-3-slideset', 'index.php?option=com_content&view=article&id=15', 'component', '1', '127', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '51', '52', '0', '*', '0', NULL, NULL),
('167', 'mainmenu', 'Uikit 3 Stripes', 'uikit-3-stripes', '', 'mega-menu/uikit-module/uikit-3-stripes', 'index.php?option=com_content&view=article&id=16', 'component', '1', '127', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '55', '56', '0', '*', '0', NULL, NULL),
('168', 'mainmenu', 'Theme Features', 'theme-features', '', 'mega-menu/template-features/theme-features', 'index.php?option=com_content&view=article&id=12', 'component', '1', '188', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '63', '64', '0', '*', '0', NULL, NULL),
('169', 'mainmenu', 'Typography', 'typography', '', 'mega-menu/template-features/typography', 'index.php?option=com_content&view=article&id=17', 'component', '1', '188', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '65', '66', '0', '*', '0', NULL, NULL),
('170', 'mainmenu', 'Module Title', 'module-title', '', 'mega-menu/template-features/module-title', 'index.php?option=com_content&view=article&id=18', 'component', '1', '188', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '69', '70', '0', '*', '0', NULL, NULL),
('171', 'mainmenu', 'Module Styles', 'module-styles', '', 'mega-menu/template-features/module-styles', 'index.php?option=com_content&view=article&id=19', 'component', '1', '188', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '67', '68', '0', '*', '0', NULL, NULL),
('172', 'mainmenu', 'UiKit 3 Grid', 'uikit-3-grid', '', 'mega-menu/uikit-module/uikit-3-grid', 'index.php?option=com_content&view=article&id=20', 'component', '1', '127', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '57', '58', '0', '*', '0', NULL, NULL),
('173', 'scrollmenu', 'Projekte', 'projekte', '', 'projekte', '#produkte', 'url', '-2', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '143', '144', '0', '*', '0', NULL, NULL),
('174', 'scrollmenu', 'Inhalt', 'inhalt', '', 'inhalt', '#inhalt', 'url', '-2', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '145', '146', '0', '*', '0', NULL, NULL),
('175', 'scrollmenu', 'News', 'news', '', 'news', '#news', 'url', '-2', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '147', '148', '0', '*', '0', NULL, NULL),
('176', 'scrollmenu', 'Gallery', 'gallery', '', 'gallery', '#gallery', 'url', '-2', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '149', '150', '0', '*', '0', NULL, NULL),
('177', 'mainmenu', 'UiKit 3 Portfolio', 'uikit-3-portfolio', '', 'mega-menu/uikit-module/uikit-3-portfolio', 'index.php?option=com_content&view=article&id=21', 'component', '1', '127', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '53', '54', '0', '*', '0', NULL, NULL),
('178', 'scrollmenu', 'Products', 'produkte', '', 'produkte', '#products', 'url', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '155', '156', '0', '*', '0', NULL, NULL),
('179', 'scrollmenu', 'Features', 'leistungen', '', 'leistungen', '#features', 'url', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '157', '158', '0', '*', '0', NULL, NULL),
('180', 'scrollmenu', 'Clients', 'lieferung', '', 'lieferung', '#clients', 'url', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '159', '160', '0', '*', '0', NULL, NULL),
('181', 'scrollmenu', 'Contact', 'anfrage', '', 'anfrage', '#contact', 'url', '1', '1', '1', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '161', '162', '0', '*', '0', NULL, NULL),
('182', 'mainmenu', 'Impressum', 'impressum', '', 'impressum', 'index.php?option=com_content&view=article&id=22', 'component', '1', '1', '1', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":0,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '151', '152', '0', '*', '0', NULL, NULL),
('183', 'mainmenu', 'AGB & Datenschutz', 'agb-datenschutz', '', 'agb-datenschutz', 'index.php?option=com_content&view=article&id=23', 'component', '1', '1', '1', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":0,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '153', '154', '0', '*', '0', NULL, NULL),
('184', 'footer-menu', 'Disclaimer & Privacy', 'disclaimer-privacy', '', 'disclaimer-privacy', 'index.php?option=com_content&view=article&id=22', 'component', '1', '1', '1', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '163', '164', '0', '*', '0', NULL, NULL),
('185', 'footer-menu', 'AGB', 'agb', '', 'agb', 'index.php?option=com_content&view=article&id=22', 'component', '1', '1', '1', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '165', '166', '0', '*', '0', NULL, NULL),
('186', 'footer-menu', 'About Us', 'about-us', '', 'about-us', 'index.php?option=com_content&view=article&id=22', 'component', '1', '1', '1', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '167', '168', '0', '*', '0', NULL, NULL);/**ABDB**/
/**ABDB**/INSERT INTO `#__menu`  VALUES 
('188', 'mainmenu', 'Template Features', 'template-features', '', 'mega-menu/template-features', '', 'heading', '1', '102', '2', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"fab fa-delicious\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '62', '73', '0', '*', '0', NULL, NULL),
('195', 'mainmenu', 'Sidebar Left & Right', 'sidebar-rechts-2', '', 'joomla/sidebar-rechts-2', 'index.php?option=com_content&view=article&id=30', 'component', '1', '129', '2', '22', NULL, NULL, '0', '1', ' ', '28', '{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"0\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"0\",\"show_tags\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"0\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '86', '87', '0', '*', '0', NULL, NULL),
('196', 'mainmenu', 'Content Left & Right', 'content-left-right', '', 'joomla/content-left-right', 'index.php?option=com_content&view=article&id=31', 'component', '1', '129', '2', '22', NULL, NULL, '0', '1', ' ', '26', '{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"0\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"0\",\"show_tags\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"0\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '88', '89', '0', '*', '0', NULL, NULL),
('197', 'mainmenu', 'Left & Right Content ', 'left-right-content', '', 'joomla/left-right-content', 'index.php?option=com_content&view=article&id=11', 'component', '1', '129', '2', '22', NULL, NULL, '0', '1', ' ', '27', '{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"0\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"0\",\"show_tags\":\"0\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"0\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '90', '91', '0', '*', '0', NULL, NULL),
('198', 'mainmenu', '3 Level Submenu', '2-level-submenu-5', '', 'dropdown/2-level-submenu-2/2-level-submenu-5', '#', 'url', '1', '124', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '177', '178', '0', '*', '0', NULL, NULL),
('199', 'mainmenu', '3 Level Submenu', '2-level-submenu-6', '', 'dropdown/2-level-submenu-2/2-level-submenu-6', '#', 'url', '1', '124', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '175', '176', '0', '*', '0', NULL, NULL),
('200', 'mainmenu', '3 Level Submenu', '2-level-submenu-7', '', 'dropdown/2-level-submenu-2/2-level-submenu-7', '#', 'url', '1', '124', '3', '0', NULL, NULL, '0', '1', ' ', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '173', '174', '0', '*', '0', NULL, NULL),
('203', 'mainmenu', 'With Video Slider', 'with-video-slider', '', 'mega-menu/template-features/with-video-slider', 'index.php?option=com_content&view=article&id=34', 'component', '1', '188', '3', '22', NULL, NULL, '0', '1', ' ', '0', '{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"info_block_show_title\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_associations\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"page_title\":\"\",\"show_page_heading\":\"\",\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"Icon Sample\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"rgb(106, 207, 29)\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '71', '72', '0', '*', '0', NULL, NULL),
('204', 'mainmenu', 'All Uikit Modules', 'all-uikit-modules', '', 'mega-menu/uikit-module/all-uikit-modules', 'https://demo.joomlaplates.com/uikit/index.php', 'url', '-2', '127', '3', '0', NULL, NULL, '1', '1', ' ', '40', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"btn btn-small btn-primary text-white bg-info\",\"menu-anchor_rel\":\"\",\"menu_image\":\"\",\"menu_image_css\":\"\",\"menu_text\":1,\"menu_show\":1,\"astroid_menu_options\":{\"megamenu\":\"0\",\"showtitle\":\"0\",\"subtitle\":\"\",\"icon\":\"\",\"customclass\":\"\",\"width\":\"250px\",\"megamenu_width\":\"980px\",\"alignment\":\"right\",\"megamenu_direction\":\"right\",\"rows\":\"[]\",\"badge\":\"0\",\"badge_text\":\"\",\"badge_color\":\"#FFF\",\"badge_bgcolor\":\"#000\"},\"astroid_banner_enabled\":\"0\",\"astroid_banner_title_enabled\":\"1\",\"astroid_banner_title\":\"\",\"astroid_banner_subtitle\":\"\",\"astroid_banner_textcolor\":\"\",\"astroid_banner_subtextcolor\":\"\",\"astroid_banner_bgcolor\":\"\",\"astroid_banner_bgimage\":\"\",\"astroid_banner_bgimage_position\":\"\",\"astroid_banner_bgimage_position_x\":\"\",\"astroid_banner_bgimage_position_y\":\"\",\"astroid_banner_bgimage_repeat\":\"\",\"astroid_banner_bgimage_size\":\"\",\"astroid_banner_bgimage_width\":\"\",\"astroid_banner_bgimage_attachment\":\"\",\"astroid_banner_title_tag\":\"h3\",\"astroid_banner_subtitle_tag\":\"span\",\"astroid_banner_class\":\"\",\"astroid_banner_height\":\"\",\"astroid_banner_wrapper\":\"container\",\"astroid_banner_visibility\":\"allPage\",\"astroid_opengraph_menuitem\":\"0\",\"astroid_og_title_menuitem\":\"\",\"astroid_og_desc_menuitem\":\"\",\"astroid_og_image_menuitem\":\"\",\"astroid_trackingcode\":\"\",\"astroid_beforehead\":\"\",\"astroid_beforebody\":\"\",\"astroid_customcss\":\"\",\"astroid_customcssfiles\":\"\",\"astroid_customjs\":\"\",\"astroid_customjsfiles\":\"\"}', '59', '60', '0', '*', '0', NULL, NULL),
('206', 'main', '-', '1635939172-2062', '', 'Contacts/1635939172-2062', '#', 'separator', '1', '7', '2', '33', NULL, NULL, '0', '0', ' ', '0', '{}', '16', '17', '0', '*', '1', NULL, NULL),
('207', 'main', 'mod_menu_fields', 'contact-custom-fields', '', 'Contacts/contact-custom-fields', 'index.php?option=com_fields&context=com_contact.contact', 'component', '1', '7', '2', '33', NULL, NULL, '0', '0', ' ', '0', '{}', '18', '19', '0', '*', '1', NULL, NULL),
('208', 'main', 'mod_menu_fields_group', 'contact-custom-fields-group', '', 'Contacts/contact-custom-fields-group', 'index.php?option=com_fields&view=groups&context=com_contact.contact', 'component', '1', '7', '2', '33', NULL, NULL, '0', '0', ' ', '0', '{}', '20', '21', '0', '*', '1', NULL, NULL),
('209', 'main', '-', '1635939172-2077', '', 'Smart Search/1635939172-2077', '#', 'separator', '1', '18', '2', '27', NULL, NULL, '0', '0', ' ', '0', '{}', '30', '31', '0', '*', '1', NULL, NULL),
('210', 'main', 'com_finder_index', 'smart-search-index', '', 'Smart Search/smart-search-index', 'index.php?option=com_finder&view=index', 'component', '1', '18', '2', '27', NULL, NULL, '0', '0', ' ', '0', '{}', '32', '33', '0', '*', '1', NULL, NULL),
('211', 'main', 'com_finder_maps', 'smart-search-maps', '', 'Smart Search/smart-search-maps', 'index.php?option=com_finder&view=maps', 'component', '1', '18', '2', '27', NULL, NULL, '0', '0', ' ', '0', '{}', '34', '35', '0', '*', '1', NULL, NULL),
('212', 'main', 'com_finder_filters', 'smart-search-filters', '', 'Smart Search/smart-search-filters', 'index.php?option=com_finder&view=filters', 'component', '1', '18', '2', '27', NULL, NULL, '0', '0', ' ', '0', '{}', '36', '37', '0', '*', '1', NULL, NULL),
('213', 'main', 'com_finder_searches', 'smart-search-searches', '', 'Smart Search/smart-search-searches', 'index.php?option=com_finder&view=searches', 'component', '1', '18', '2', '27', NULL, NULL, '0', '0', ' ', '0', '{}', '38', '39', '0', '*', '1', NULL, NULL),
('251', 'main', 'Search', 'search', '', 'search', 'index.php?option=com_search', 'component', '1', '1', '1', '19', NULL, NULL, '0', '1', 'class:search', '0', '{}', '185', '186', '0', '', '1', NULL, NULL),
('252', 'main', 'COM_AKEEBABACKUP', 'com-akeebabackup', '', 'com-akeebabackup', 'index.php?option=com_akeebabackup', 'component', '1', '1', '1', '10112', NULL, NULL, '0', '1', 'class:component', '0', '{}', '187', '196', '0', '', '1', NULL, NULL),
('253', 'main', 'COM_AKEEBABACKUP_CONTROLPANEL', 'com-akeebabackup-controlpanel', '', 'com-akeebabackup/com-akeebabackup-controlpanel', 'index.php?option=com_akeebabackup&view=Controlpanel', 'component', '1', '252', '2', '10112', NULL, NULL, '0', '1', 'class:component', '0', '{}', '188', '189', '0', '', '1', NULL, NULL),
('254', 'main', 'COM_AKEEBABACKUP_CONFIGURATION', 'com-akeebabackup-configuration', '', 'com-akeebabackup/com-akeebabackup-configuration', 'index.php?option=com_akeebabackup&view=Configuration', 'component', '1', '252', '2', '10112', NULL, NULL, '0', '1', 'class:component', '0', '{}', '190', '191', '0', '', '1', NULL, NULL),
('255', 'main', 'COM_AKEEBABACKUP_BACKUP', 'com-akeebabackup-backup', '', 'com-akeebabackup/com-akeebabackup-backup', 'index.php?option=com_akeebabackup&view=Backup', 'component', '1', '252', '2', '10112', NULL, NULL, '0', '1', 'class:component', '0', '{}', '192', '193', '0', '', '1', NULL, NULL),
('256', 'main', 'COM_AKEEBABACKUP_MANAGE', 'com-akeebabackup-manage', '', 'com-akeebabackup/com-akeebabackup-manage', 'index.php?option=com_akeebabackup&view=Manage', 'component', '1', '252', '2', '10112', NULL, NULL, '0', '1', 'class:component', '0', '{}', '194', '195', '0', '', '1', NULL, NULL);
/**ABDB**/CREATE TABLE `#__mail_templates` (
  `template_id` varchar(127) NOT NULL DEFAULT '',
  `extension` varchar(127) NOT NULL DEFAULT '',
  `language` char(7) NOT NULL DEFAULT '',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `htmlbody` mediumtext NOT NULL,
  `attachments` text NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`template_id`,`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__mail_templates`  VALUES 
('com_actionlogs.notification', 'com_actionlogs', '', 'COM_ACTIONLOGS_EMAIL_SUBJECT', 'COM_ACTIONLOGS_EMAIL_BODY', 'COM_ACTIONLOGS_EMAIL_HTMLBODY', '', '{\"tags\":[\"message\",\"date\",\"extension\",\"username\"]}'),
('com_config.test_mail', 'com_config', '', 'COM_CONFIG_SENDMAIL_SUBJECT', 'COM_CONFIG_SENDMAIL_BODY', '', '', '{\"tags\":[\"sitename\",\"method\"]}'),
('com_contact.mail', 'com_contact', '', 'COM_CONTACT_ENQUIRY_SUBJECT', 'COM_CONTACT_ENQUIRY_TEXT', '', '', '{\"tags\":[\"sitename\",\"name\",\"email\",\"subject\",\"body\",\"url\",\"customfields\"]}'),
('com_contact.mail.copy', 'com_contact', '', 'COM_CONTACT_COPYSUBJECT_OF', 'COM_CONTACT_COPYTEXT_OF', '', '', '{\"tags\":[\"sitename\",\"name\",\"email\",\"subject\",\"body\",\"url\",\"customfields\",\"contactname\"]}'),
('com_messages.new_message', 'com_messages', '', 'COM_MESSAGES_NEW_MESSAGE', 'COM_MESSAGES_NEW_MESSAGE_BODY', '', '', '{\"tags\":[\"subject\",\"message\",\"fromname\",\"sitename\",\"siteurl\",\"fromemail\",\"toname\",\"toemail\"]}'),
('com_privacy.notification.admin.export', 'com_privacy', '', 'COM_PRIVACY_EMAIL_ADMIN_REQUEST_SUBJECT_EXPORT_REQUEST', 'COM_PRIVACY_EMAIL_ADMIN_REQUEST_BODY_EXPORT_REQUEST', '', '', '{\"tags\":[\"sitename\",\"url\",\"tokenurl\",\"formurl\",\"token\"]}'),
('com_privacy.notification.admin.remove', 'com_privacy', '', 'COM_PRIVACY_EMAIL_ADMIN_REQUEST_SUBJECT_REMOVE_REQUEST', 'COM_PRIVACY_EMAIL_ADMIN_REQUEST_BODY_REMOVE_REQUEST', '', '', '{\"tags\":[\"sitename\",\"url\",\"tokenurl\",\"formurl\",\"token\"]}'),
('com_privacy.notification.export', 'com_privacy', '', 'COM_PRIVACY_EMAIL_REQUEST_SUBJECT_EXPORT_REQUEST', 'COM_PRIVACY_EMAIL_REQUEST_BODY_EXPORT_REQUEST', '', '', '{\"tags\":[\"sitename\",\"url\",\"tokenurl\",\"formurl\",\"token\"]}'),
('com_privacy.notification.remove', 'com_privacy', '', 'COM_PRIVACY_EMAIL_REQUEST_SUBJECT_REMOVE_REQUEST', 'COM_PRIVACY_EMAIL_REQUEST_BODY_REMOVE_REQUEST', '', '', '{\"tags\":[\"sitename\",\"url\",\"tokenurl\",\"formurl\",\"token\"]}'),
('com_privacy.userdataexport', 'com_privacy', '', 'COM_PRIVACY_EMAIL_DATA_EXPORT_COMPLETED_SUBJECT', 'COM_PRIVACY_EMAIL_DATA_EXPORT_COMPLETED_BODY', '', '', '{\"tags\":[\"sitename\",\"url\"]}'),
('com_users.massmail.mail', 'com_users', '', 'COM_USERS_MASSMAIL_MAIL_SUBJECT', 'COM_USERS_MASSMAIL_MAIL_BODY', '', '', '{\"tags\":[\"subject\",\"body\",\"subjectprefix\",\"bodysuffix\"]}'),
('com_users.password_reset', 'com_users', '', 'COM_USERS_EMAIL_PASSWORD_RESET_SUBJECT', 'COM_USERS_EMAIL_PASSWORD_RESET_BODY', '', '', '{\"tags\":[\"name\",\"email\",\"sitename\",\"link_text\",\"link_html\",\"token\"]}'),
('com_users.registration.admin.new_notification', 'com_users', '', 'COM_USERS_EMAIL_ACCOUNT_DETAILS', 'COM_USERS_EMAIL_REGISTERED_NOTIFICATION_TO_ADMIN_BODY', '', '', '{\"tags\":[\"name\",\"sitename\",\"siteurl\",\"username\"]}'),
('com_users.registration.admin.verification_request', 'com_users', '', 'COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_SUBJECT', 'COM_USERS_EMAIL_ACTIVATE_WITH_ADMIN_ACTIVATION_BODY', '', '', '{\"tags\":[\"name\",\"sitename\",\"email\",\"username\",\"activate\"]}'),
('com_users.registration.user.admin_activated', 'com_users', '', 'COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_SUBJECT', 'COM_USERS_EMAIL_ACTIVATED_BY_ADMIN_ACTIVATION_BODY', '', '', '{\"tags\":[\"name\",\"sitename\",\"siteurl\",\"username\"]}'),
('com_users.registration.user.admin_activation', 'com_users', '', 'COM_USERS_EMAIL_ACCOUNT_DETAILS', 'COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY_NOPW', '', '', '{\"tags\":[\"name\",\"sitename\",\"activate\",\"siteurl\",\"username\"]}'),
('com_users.registration.user.admin_activation_w_pw', 'com_users', '', 'COM_USERS_EMAIL_ACCOUNT_DETAILS', 'COM_USERS_EMAIL_REGISTERED_WITH_ADMIN_ACTIVATION_BODY', '', '', '{\"tags\":[\"name\",\"sitename\",\"activate\",\"siteurl\",\"username\",\"password_clear\"]}'),
('com_users.registration.user.registration_mail', 'com_users', '', 'COM_USERS_EMAIL_ACCOUNT_DETAILS', 'COM_USERS_EMAIL_REGISTERED_BODY_NOPW', '', '', '{\"tags\":[\"name\",\"sitename\",\"siteurl\",\"username\"]}'),
('com_users.registration.user.registration_mail_w_pw', 'com_users', '', 'COM_USERS_EMAIL_ACCOUNT_DETAILS', 'COM_USERS_EMAIL_REGISTERED_BODY', '', '', '{\"tags\":[\"name\",\"sitename\",\"siteurl\",\"username\",\"password_clear\"]}'),
('com_users.registration.user.self_activation', 'com_users', '', 'COM_USERS_EMAIL_ACCOUNT_DETAILS', 'COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY_NOPW', '', '', '{\"tags\":[\"name\",\"sitename\",\"activate\",\"siteurl\",\"username\"]}'),
('com_users.registration.user.self_activation_w_pw', 'com_users', '', 'COM_USERS_EMAIL_ACCOUNT_DETAILS', 'COM_USERS_EMAIL_REGISTERED_WITH_ACTIVATION_BODY', '', '', '{\"tags\":[\"name\",\"sitename\",\"activate\",\"siteurl\",\"username\",\"password_clear\"]}'),
('com_users.reminder', 'com_users', '', 'COM_USERS_EMAIL_USERNAME_REMINDER_SUBJECT', 'COM_USERS_EMAIL_USERNAME_REMINDER_BODY', '', '', '{\"tags\":[\"name\",\"username\",\"sitename\",\"email\",\"link_text\",\"link_html\"]}'),
('plg_multifactorauth_email.mail', 'plg_multifactorauth_email', '', 'PLG_MULTIFACTORAUTH_EMAIL_EMAIL_SUBJECT', 'PLG_MULTIFACTORAUTH_EMAIL_EMAIL_BODY', '', '', '{\"tags\":[\"code\",\"sitename\",\"siteurl\",\"username\",\"email\",\"fullname\"]}'),
('plg_system_privacyconsent.request.reminder', 'plg_system_privacyconsent', '', 'PLG_SYSTEM_PRIVACYCONSENT_EMAIL_REMIND_SUBJECT', 'PLG_SYSTEM_PRIVACYCONSENT_EMAIL_REMIND_BODY', '', '', '{\"tags\":[\"sitename\",\"url\",\"tokenurl\",\"formurl\",\"token\"]}'),
('plg_system_tasknotification.failure_mail', 'plg_system_tasknotification', '', 'PLG_SYSTEM_TASK_NOTIFICATION_FAILURE_MAIL_SUBJECT', 'PLG_SYSTEM_TASK_NOTIFICATION_FAILURE_MAIL_BODY', '', '', '{\"tags\": [\"task_id\", \"task_title\", \"exit_code\", \"exec_data_time\", \"task_output\"]}'),
('plg_system_tasknotification.fatal_recovery_mail', 'plg_system_tasknotification', '', 'PLG_SYSTEM_TASK_NOTIFICATION_FATAL_MAIL_SUBJECT', 'PLG_SYSTEM_TASK_NOTIFICATION_FATAL_MAIL_BODY', '', '', '{\"tags\": [\"task_id\", \"task_title\"]}'),
('plg_system_tasknotification.orphan_mail', 'plg_system_tasknotification', '', 'PLG_SYSTEM_TASK_NOTIFICATION_ORPHAN_MAIL_SUBJECT', 'PLG_SYSTEM_TASK_NOTIFICATION_ORPHAN_MAIL_BODY', '', '', '{\"tags\": [\"task_id\", \"task_title\"]}'),
('plg_system_tasknotification.success_mail', 'plg_system_tasknotification', '', 'PLG_SYSTEM_TASK_NOTIFICATION_SUCCESS_MAIL_SUBJECT', 'PLG_SYSTEM_TASK_NOTIFICATION_SUCCESS_MAIL_BODY', '', '', '{\"tags\":[\"task_id\", \"task_title\", \"exec_data_time\", \"task_output\"]}'),
('plg_system_updatenotification.mail', 'plg_system_updatenotification', '', 'PLG_SYSTEM_UPDATENOTIFICATION_EMAIL_SUBJECT', 'PLG_SYSTEM_UPDATENOTIFICATION_EMAIL_BODY', '', '', '{\"tags\":[\"newversion\",\"curversion\",\"sitename\",\"url\",\"link\",\"releasenews\"]}'),
('plg_user_joomla.mail', 'plg_user_joomla', '', 'PLG_USER_JOOMLA_NEW_USER_EMAIL_SUBJECT', 'PLG_USER_JOOMLA_NEW_USER_EMAIL_BODY', '', '', '{\"tags\":[\"name\",\"sitename\",\"url\",\"username\",\"password\",\"email\"]}');
/**ABDB**/CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT 0,
  `lang_code` char(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text DEFAULT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT 0,
  `access` int(10) unsigned NOT NULL DEFAULT 0,
  `ordering` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__languages`  VALUES 
('1', '0', 'en-GB', 'English (en-GB)', 'English (United Kingdom)', 'en', 'en_gb', '', '', '', '', '1', '1', '2'),
('2', '242', 'de-DE', 'German (Germany)', 'Deutsch (Deutschland)', 'de', 'de_de', '', NULL, '', '', '0', '1', '1');
/**ABDB**/CREATE TABLE `#__history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `item_id` varchar(50) NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL,
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT 0,
  `character_count` int(10) unsigned NOT NULL DEFAULT 0 COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT 0 COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB AUTO_INCREMENT=467 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/**ABDB**/INSERT INTO `#__history`  VALUES 
('1', 'com_content.category.8', '', '2021-11-03 11:23:37', '517', '842', '68d9ccf43c7eb3c503ce03ced045ffe0e02b280b', '{\"id\":8,\"asset_id\":68,\"parent_id\":\"1\",\"lft\":\"11\",\"rgt\":12,\"level\":1,\"path\":null,\"extension\":\"com_content\",\"title\":\"Uikit\",\"alias\":\"uikit\",\"note\":\"\",\"description\":\"\",\"published\":\"1\",\"checked_out\":null,\"checked_out_time\":null,\"access\":\"1\",\"params\":\"{\\\"category_layout\\\":\\\"\\\",\\\"image\\\":\\\"\\\",\\\"image_alt\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\"}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{\\\"author\\\":\\\"\\\",\\\"robots\\\":\\\"\\\"}\",\"created_user_id\":\"755\",\"created_time\":\"2020-09-20 14:10:07\",\"modified_user_id\":null,\"modified_time\":\"2020-09-20 14:10:07\",\"hits\":null,\"language\":\"*\",\"version\":null}', '0'),
('2', 'com_content.article.1', '', '2021-11-03 11:23:37', '517', '15983', 'e6ddf227a2f61b8d35bd56a2782471c8c08bd518', '{\"id\":1,\"asset_id\":69,\"title\":\"Uikit Accordion\",\"alias\":\"uikit-accordion\",\"introtext\":\"<h1>Accordion<\\/h1>\\r\\n\\r\\n            <div class=\\\"uk-child-width-1-4@m\\\" uk-grid>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Animated<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">This is a title with some more text<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Multiple<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"multiple: true\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Not Animated<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"animation: false; active: 0\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Not collapsible<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"collapsible: false\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n            <h2>JavaScript Options<\\/h2>\\r\\n\\r\\n            <table class=\\\"uk-table uk-table-striped\\\">\\r\\n                <thead>\\r\\n                    <tr>\\r\\n                        <th>Option<\\/th>\\r\\n                        <th>Value<\\/th>\\r\\n                        <th>Default<\\/th>\\r\\n                        <th>Description<\\/th>\\r\\n                    <\\/tr>\\r\\n                <\\/thead>\\r\\n                <tbody>\\r\\n                    <tr>\\r\\n                        <td><code>targets<\\/code><\\/td>\\r\\n                        <td>CSS selector<\\/td>\\r\\n                        <td>> *<\\/td>\\r\\n                        <td>The element(s) to toggle.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>active<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>false<\\/td>\\r\\n                        <td>Index of the element to open initially.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>collapsible<\\/code><\\/td>\\r\\n                        <td>Boolean<\\/td>\\r\\n                        <td>true<\\/td>\\r\\n                        <td>Allow all items to be closed.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>multiple<\\/code><\\/td>\\r\\n                        <td>Boolean<\\/td>\\r\\n                        <td>false<\\/td>\\r\\n                        <td>Allow multiple open items.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>transition<\\/code><\\/td>\\r\\n                        <td>String<\\/td>\\r\\n                        <td>ease<\\/td>\\r\\n                        <td>The transition to use.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>animation<\\/code><\\/td>\\r\\n                        <td>String<\\/td>\\r\\n                        <td>true<\\/td>\\r\\n                        <td>The space separated names of animations to use. (Comma separate for animation out)<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>duration<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>200<\\/td>\\r\\n                        <td>The animation duration.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>offset<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>0<\\/td>\\r\\n                        <td>Offset added to scroll top.<\\/td>\\r\\n                    <\\/tr>\\r\\n                <\\/tbody>\\r\\n            <\\/table>\\r\\n\\r\\n        <\\/div>\\r\\n\",\"fulltext\":\"\",\"state\":1,\"catid\":\"8\",\"created\":\"2020-09-20 14:10:47\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 14:10:47\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2020-09-20 14:10:47\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('3', 'com_content.article.2', '', '2021-11-03 11:23:37', '517', '11164', 'eda76d64036f2aed62d544d37ad2f3861f620a57', '{\"id\":2,\"asset_id\":70,\"title\":\"Uikit Typo\",\"alias\":\"uikit-typo\",\"introtext\":\"<h1>Text<\\/h1>\\r\\n\\r\\n            <div uk-grid>\\r\\n                <div class=\\\"uk-width-2-3@m\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h1\\\">Lead and Meta<\\/h2>\\r\\n\\r\\n                    <p class=\\\"uk-text-lead\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.<\\/p>\\r\\n\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n\\r\\n                    <p class=\\\"uk-text-meta\\\">Written by <a href=\\\"#\\\">Super User<\\/a> on <time datetime=\\\"2016-04-01T19:00\\\">01 April 2016<\\/time>. Posted in <a href=\\\"#\\\">Blog<\\/a><br>And wrapping into the next line.<\\/p>\\r\\n\\r\\n                    <h2 class=\\\"uk-h1\\\">Large and Small<\\/h2>\\r\\n\\r\\n                    <p class=\\\"uk-text-large\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.<\\/p>\\r\\n\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n\\r\\n                    <p class=\\\"uk-text-small\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div class=\\\"uk-width-1-3@m\\\">\\r\\n\\r\\n                    <h3>Style<\\/h3>\\r\\n\\r\\n                    <ul class=\\\"uk-list\\\">\\r\\n                        <li class=\\\"uk-text-light\\\">text-light<\\/li>\\r\\n                        <li class=\\\"uk-text-lighter\\\">text-lighter<\\/li>\\r\\n                        <li class=\\\"uk-text-normal\\\">text-normal<\\/li>\\r\\n                        <li class=\\\"uk-text-bolder\\\">text-bolder<\\/li>\\r\\n                        <li class=\\\"uk-text-bold\\\">text-bold<\\/li>\\r\\n                        <li class=\\\"uk-text-italic\\\">text-italic<\\/li>\\r\\n                        <li class=\\\"uk-text-lowercase\\\">text-lowercase<\\/li>\\r\\n                        <li class=\\\"uk-text-uppercase\\\">text-uppercase<\\/li>\\r\\n                        <li class=\\\"uk-text-capitalize\\\">text-capitalize<\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                    <h3>Colors<\\/h3>\\r\\n\\r\\n                    <ul class=\\\"uk-list\\\">\\r\\n                        <li class=\\\"uk-text-muted\\\">text-muted <a class=\\\"uk-text-muted\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-emphasis\\\">text-emphasis <a class=\\\"uk-text-emphasis\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-primary\\\">text-primary <a class=\\\"uk-text-primary\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-secondary\\\">text-secondary <a class=\\\"uk-text-secondary\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-success\\\">text-success <a class=\\\"uk-text-success\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-warning\\\">text-warning <a class=\\\"uk-text-warning\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-danger\\\">text-danger <a class=\\\"uk-text-danger\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                    <h3>Background<\\/h3>\\r\\n\\r\\n                    <ul class=\\\"uk-list\\\">\\r\\n                        <li><span class=\\\"uk-text-background\\\">text-background<\\/span><\\/li>\\r\\n                        <li><a class=\\\"uk-text-background\\\" href=\\\"#\\\">Link with text-background<\\/a><\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n            <h2>Text Overflow<\\/h2>\\r\\n\\r\\n            <div class=\\\"uk-child-width-1-3@m\\\" uk-grid>\\r\\n                <div>\\r\\n\\r\\n                    <h3 class=\\\"uk-h4\\\">Truncate<\\/h3>\\r\\n                    <p class=\\\"uk-text-truncate\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3 class=\\\"uk-h4\\\">Break<\\/h3>\\r\\n                    <p class=\\\"uk-text-break\\\">Loremipsumdolorsitamet,consecteturadipiscingelit,seddoeiusmodtemporincididuntutlaboreetdoloremagnaaliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3 class=\\\"uk-h4\\\">Default<\\/h3>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n            <table class=\\\"uk-table uk-table-striped\\\">\\r\\n                <thead>\\r\\n                    <tr>\\r\\n                        <th class=\\\"uk-width-1-3\\\">Truncate<\\/th>\\r\\n                        <th class=\\\"uk-width-1-3\\\">Break<\\/th>\\r\\n                        <th class=\\\"uk-width-1-3\\\">Default<\\/th>\\r\\n                    <\\/tr>\\r\\n                <\\/thead>\\r\\n                <tbody>\\r\\n                    <tr>\\r\\n                        <td class=\\\"uk-text-truncate\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/td>\\r\\n                        <td class=\\\"uk-text-break\\\">Loremipsumdolorsitamet,consecteturadipiscingelit,seddoeiusmodtemporincididuntutlaboreetdoloremagnaaliqua.<\\/td>\\r\\n                        <td>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/td>\\r\\n                    <\\/tr>\\r\\n                <\\/tbody>\\r\\n            <\\/table>\\r\\n\\r\\n            <h2>Alignment<\\/h2>\\r\\n\\r\\n            <div class=\\\"uk-child-width-1-2@m uk-child-width-1-4@l\\\" uk-grid>\\r\\n                <div class=\\\"uk-text-center uk-text-left@m\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h3\\\">center left@m<\\/h2>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div class=\\\"uk-text-center@m\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h3\\\">center@m<\\/h2>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div class=\\\"uk-text-right uk-text-left@m\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h3\\\">right left@m<\\/h2>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div class=\\\"uk-text-center@s uk-text-right@m uk-text-left@l\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h3\\\">center@s right@m left@l<\\/h2>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n        <\\/div>\\r\\n\",\"fulltext\":\"\",\"state\":1,\"catid\":\"8\",\"created\":\"2020-09-20 14:32:36\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 14:32:36\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2020-09-20 14:32:36\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('4', 'com_content.category.8', '', '2021-11-03 11:23:37', '517', '874', '820221233c39c6d438cad7a56f2e1e290cad0660', '{\"id\":8,\"asset_id\":\"68\",\"parent_id\":\"1\",\"lft\":\"11\",\"rgt\":\"12\",\"level\":\"1\",\"path\":\"uikit\",\"extension\":\"com_content\",\"title\":\"Features\",\"alias\":\"features\",\"note\":\"\",\"description\":\"\",\"published\":\"1\",\"checked_out\":\"755\",\"checked_out_time\":\"2020-09-20 15:18:51\",\"access\":\"1\",\"params\":\"{\\\"category_layout\\\":\\\"\\\",\\\"image\\\":\\\"\\\",\\\"image_alt\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\"}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{\\\"author\\\":\\\"\\\",\\\"robots\\\":\\\"\\\"}\",\"created_user_id\":\"755\",\"created_time\":\"2020-09-20 14:10:07\",\"modified_user_id\":\"755\",\"modified_time\":\"2020-09-20 15:19:03\",\"hits\":\"0\",\"language\":\"*\",\"version\":\"1\"}', '0'),
('5', 'com_content.article.2', '', '2021-11-03 11:23:37', '517', '11197', '0159522532cf9121baea8d559a4a2a03e9b478c4', '{\"id\":2,\"asset_id\":\"70\",\"title\":\"Uikit 3 inklusive\",\"alias\":\"uikit-3-inklusive\",\"introtext\":\"<h1>Text<\\/h1>\\r\\n\\r\\n            <div uk-grid>\\r\\n                <div class=\\\"uk-width-2-3@m\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h1\\\">Lead and Meta<\\/h2>\\r\\n\\r\\n                    <p class=\\\"uk-text-lead\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.<\\/p>\\r\\n\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n\\r\\n                    <p class=\\\"uk-text-meta\\\">Written by <a href=\\\"#\\\">Super User<\\/a> on <time datetime=\\\"2016-04-01T19:00\\\">01 April 2016<\\/time>. Posted in <a href=\\\"#\\\">Blog<\\/a><br>And wrapping into the next line.<\\/p>\\r\\n\\r\\n                    <h2 class=\\\"uk-h1\\\">Large and Small<\\/h2>\\r\\n\\r\\n                    <p class=\\\"uk-text-large\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.<\\/p>\\r\\n\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n\\r\\n                    <p class=\\\"uk-text-small\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div class=\\\"uk-width-1-3@m\\\">\\r\\n\\r\\n                    <h3>Style<\\/h3>\\r\\n\\r\\n                    <ul class=\\\"uk-list\\\">\\r\\n                        <li class=\\\"uk-text-light\\\">text-light<\\/li>\\r\\n                        <li class=\\\"uk-text-lighter\\\">text-lighter<\\/li>\\r\\n                        <li class=\\\"uk-text-normal\\\">text-normal<\\/li>\\r\\n                        <li class=\\\"uk-text-bolder\\\">text-bolder<\\/li>\\r\\n                        <li class=\\\"uk-text-bold\\\">text-bold<\\/li>\\r\\n                        <li class=\\\"uk-text-italic\\\">text-italic<\\/li>\\r\\n                        <li class=\\\"uk-text-lowercase\\\">text-lowercase<\\/li>\\r\\n                        <li class=\\\"uk-text-uppercase\\\">text-uppercase<\\/li>\\r\\n                        <li class=\\\"uk-text-capitalize\\\">text-capitalize<\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                    <h3>Colors<\\/h3>\\r\\n\\r\\n                    <ul class=\\\"uk-list\\\">\\r\\n                        <li class=\\\"uk-text-muted\\\">text-muted <a class=\\\"uk-text-muted\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-emphasis\\\">text-emphasis <a class=\\\"uk-text-emphasis\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-primary\\\">text-primary <a class=\\\"uk-text-primary\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-secondary\\\">text-secondary <a class=\\\"uk-text-secondary\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-success\\\">text-success <a class=\\\"uk-text-success\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-warning\\\">text-warning <a class=\\\"uk-text-warning\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                        <li class=\\\"uk-text-danger\\\">text-danger <a class=\\\"uk-text-danger\\\" href=\\\"#\\\">Link<\\/a><\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                    <h3>Background<\\/h3>\\r\\n\\r\\n                    <ul class=\\\"uk-list\\\">\\r\\n                        <li><span class=\\\"uk-text-background\\\">text-background<\\/span><\\/li>\\r\\n                        <li><a class=\\\"uk-text-background\\\" href=\\\"#\\\">Link with text-background<\\/a><\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n            <h2>Text Overflow<\\/h2>\\r\\n\\r\\n            <div class=\\\"uk-child-width-1-3@m\\\" uk-grid>\\r\\n                <div>\\r\\n\\r\\n                    <h3 class=\\\"uk-h4\\\">Truncate<\\/h3>\\r\\n                    <p class=\\\"uk-text-truncate\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3 class=\\\"uk-h4\\\">Break<\\/h3>\\r\\n                    <p class=\\\"uk-text-break\\\">Loremipsumdolorsitamet,consecteturadipiscingelit,seddoeiusmodtemporincididuntutlaboreetdoloremagnaaliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3 class=\\\"uk-h4\\\">Default<\\/h3>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n            <table class=\\\"uk-table uk-table-striped\\\">\\r\\n                <thead>\\r\\n                    <tr>\\r\\n                        <th class=\\\"uk-width-1-3\\\">Truncate<\\/th>\\r\\n                        <th class=\\\"uk-width-1-3\\\">Break<\\/th>\\r\\n                        <th class=\\\"uk-width-1-3\\\">Default<\\/th>\\r\\n                    <\\/tr>\\r\\n                <\\/thead>\\r\\n                <tbody>\\r\\n                    <tr>\\r\\n                        <td class=\\\"uk-text-truncate\\\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/td>\\r\\n                        <td class=\\\"uk-text-break\\\">Loremipsumdolorsitamet,consecteturadipiscingelit,seddoeiusmodtemporincididuntutlaboreetdoloremagnaaliqua.<\\/td>\\r\\n                        <td>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/td>\\r\\n                    <\\/tr>\\r\\n                <\\/tbody>\\r\\n            <\\/table>\\r\\n\\r\\n            <h2>Alignment<\\/h2>\\r\\n\\r\\n            <div class=\\\"uk-child-width-1-2@m uk-child-width-1-4@l\\\" uk-grid>\\r\\n                <div class=\\\"uk-text-center uk-text-left@m\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h3\\\">center left@m<\\/h2>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div class=\\\"uk-text-center@m\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h3\\\">center@m<\\/h2>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div class=\\\"uk-text-right uk-text-left@m\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h3\\\">right left@m<\\/h2>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n                <div class=\\\"uk-text-center@s uk-text-right@m uk-text-left@l\\\">\\r\\n\\r\\n                    <h2 class=\\\"uk-h3\\\">center@s right@m left@l<\\/h2>\\r\\n                    <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.<\\/p>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n        <\\/div>\\r\\n\",\"fulltext\":\"\",\"state\":1,\"catid\":\"8\",\"created\":\"2020-09-20 14:32:36\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 15:19:24\",\"modified_by\":\"755\",\"checked_out\":\"755\",\"checked_out_time\":\"2020-09-20 15:19:09\",\"publish_up\":\"2020-09-20 14:32:36\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"2\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('6', 'com_content.article.1', '', '2021-11-03 11:23:37', '517', '16008', 'd3d35344d344d2ef5a1668b5afa622002b2b3ded', '{\"id\":1,\"asset_id\":\"69\",\"title\":\"Bootstrap 4 inklusive\",\"alias\":\"uikit-accordion\",\"introtext\":\"<h1>Accordion<\\/h1>\\r\\n\\r\\n            <div class=\\\"uk-child-width-1-4@m\\\" uk-grid>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Animated<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">This is a title with some more text<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Multiple<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"multiple: true\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Not Animated<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"animation: false; active: 0\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Not collapsible<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"collapsible: false\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n            <h2>JavaScript Options<\\/h2>\\r\\n\\r\\n            <table class=\\\"uk-table uk-table-striped\\\">\\r\\n                <thead>\\r\\n                    <tr>\\r\\n                        <th>Option<\\/th>\\r\\n                        <th>Value<\\/th>\\r\\n                        <th>Default<\\/th>\\r\\n                        <th>Description<\\/th>\\r\\n                    <\\/tr>\\r\\n                <\\/thead>\\r\\n                <tbody>\\r\\n                    <tr>\\r\\n                        <td><code>targets<\\/code><\\/td>\\r\\n                        <td>CSS selector<\\/td>\\r\\n                        <td>> *<\\/td>\\r\\n                        <td>The element(s) to toggle.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>active<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>false<\\/td>\\r\\n                        <td>Index of the element to open initially.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>collapsible<\\/code><\\/td>\\r\\n                        <td>Boolean<\\/td>\\r\\n                        <td>true<\\/td>\\r\\n                        <td>Allow all items to be closed.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>multiple<\\/code><\\/td>\\r\\n                        <td>Boolean<\\/td>\\r\\n                        <td>false<\\/td>\\r\\n                        <td>Allow multiple open items.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>transition<\\/code><\\/td>\\r\\n                        <td>String<\\/td>\\r\\n                        <td>ease<\\/td>\\r\\n                        <td>The transition to use.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>animation<\\/code><\\/td>\\r\\n                        <td>String<\\/td>\\r\\n                        <td>true<\\/td>\\r\\n                        <td>The space separated names of animations to use. (Comma separate for animation out)<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>duration<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>200<\\/td>\\r\\n                        <td>The animation duration.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>offset<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>0<\\/td>\\r\\n                        <td>Offset added to scroll top.<\\/td>\\r\\n                    <\\/tr>\\r\\n                <\\/tbody>\\r\\n            <\\/table>\\r\\n\\r\\n        <\\/div>\\r\\n\",\"fulltext\":\"\",\"state\":1,\"catid\":\"8\",\"created\":\"2020-09-20 14:10:47\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 15:19:44\",\"modified_by\":\"755\",\"checked_out\":\"755\",\"checked_out_time\":\"2020-09-20 15:19:26\",\"publish_up\":\"2020-09-20 14:10:47\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"1\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"7\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('7', 'com_content.article.3', '', '2021-11-03 11:23:37', '517', '15976', 'b6c5e935464eed7d181522b9f416d384299573e2', '{\"id\":3,\"asset_id\":73,\"title\":\"Bootstrap 4 inklusive (2)\",\"alias\":\"uikit-accordion-2\",\"introtext\":\"<h1>Accordion<\\/h1>\\r\\n\\r\\n            <div class=\\\"uk-child-width-1-4@m\\\" uk-grid>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Animated<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">This is a title with some more text<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Multiple<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"multiple: true\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Not Animated<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"animation: false; active: 0\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Not collapsible<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"collapsible: false\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n            <h2>JavaScript Options<\\/h2>\\r\\n\\r\\n            <table class=\\\"uk-table uk-table-striped\\\">\\r\\n                <thead>\\r\\n                    <tr>\\r\\n                        <th>Option<\\/th>\\r\\n                        <th>Value<\\/th>\\r\\n                        <th>Default<\\/th>\\r\\n                        <th>Description<\\/th>\\r\\n                    <\\/tr>\\r\\n                <\\/thead>\\r\\n                <tbody>\\r\\n                    <tr>\\r\\n                        <td><code>targets<\\/code><\\/td>\\r\\n                        <td>CSS selector<\\/td>\\r\\n                        <td>> *<\\/td>\\r\\n                        <td>The element(s) to toggle.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>active<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>false<\\/td>\\r\\n                        <td>Index of the element to open initially.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>collapsible<\\/code><\\/td>\\r\\n                        <td>Boolean<\\/td>\\r\\n                        <td>true<\\/td>\\r\\n                        <td>Allow all items to be closed.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>multiple<\\/code><\\/td>\\r\\n                        <td>Boolean<\\/td>\\r\\n                        <td>false<\\/td>\\r\\n                        <td>Allow multiple open items.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>transition<\\/code><\\/td>\\r\\n                        <td>String<\\/td>\\r\\n                        <td>ease<\\/td>\\r\\n                        <td>The transition to use.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>animation<\\/code><\\/td>\\r\\n                        <td>String<\\/td>\\r\\n                        <td>true<\\/td>\\r\\n                        <td>The space separated names of animations to use. (Comma separate for animation out)<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>duration<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>200<\\/td>\\r\\n                        <td>The animation duration.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>offset<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>0<\\/td>\\r\\n                        <td>Offset added to scroll top.<\\/td>\\r\\n                    <\\/tr>\\r\\n                <\\/tbody>\\r\\n            <\\/table>\\r\\n\\r\\n        <\\/div>\\r\\n\",\"fulltext\":\"\",\"state\":0,\"catid\":\"8\",\"created\":\"2020-09-20 14:10:47\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 15:19:56\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2020-09-20 14:10:47\",\"publish_down\":\"\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('8', 'com_content.article.3', '', '2021-11-03 11:23:37', '517', '16004', '8b440ecc555028596bf882c04406ce20654005e8', '{\"id\":3,\"asset_id\":\"73\",\"title\":\"Megamenu Builder\",\"alias\":\"megamenu-builder\",\"introtext\":\"<h1>Accordion<\\/h1>\\r\\n\\r\\n            <div class=\\\"uk-child-width-1-4@m\\\" uk-grid>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Animated<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">This is a title with some more text<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Multiple<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"multiple: true\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li class=\\\"uk-open\\\">\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Not Animated<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"animation: false; active: 0\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n                <div>\\r\\n\\r\\n                    <h3>Not collapsible<\\/h3>\\r\\n\\r\\n                    <ul uk-accordion=\\\"collapsible: false\\\">\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 1<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 2<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                        <li>\\r\\n\\r\\n                            <a class=\\\"uk-accordion-title\\\" href=\\\"#\\\">Item 3<\\/a>\\r\\n                            <div class=\\\"uk-accordion-content\\\">\\r\\n                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.<\\/p>\\r\\n                            <\\/div>\\r\\n\\r\\n                        <\\/li>\\r\\n                    <\\/ul>\\r\\n\\r\\n                <\\/div>\\r\\n            <\\/div>\\r\\n\\r\\n            <h2>JavaScript Options<\\/h2>\\r\\n\\r\\n            <table class=\\\"uk-table uk-table-striped\\\">\\r\\n                <thead>\\r\\n                    <tr>\\r\\n                        <th>Option<\\/th>\\r\\n                        <th>Value<\\/th>\\r\\n                        <th>Default<\\/th>\\r\\n                        <th>Description<\\/th>\\r\\n                    <\\/tr>\\r\\n                <\\/thead>\\r\\n                <tbody>\\r\\n                    <tr>\\r\\n                        <td><code>targets<\\/code><\\/td>\\r\\n                        <td>CSS selector<\\/td>\\r\\n                        <td>> *<\\/td>\\r\\n                        <td>The element(s) to toggle.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>active<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>false<\\/td>\\r\\n                        <td>Index of the element to open initially.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>collapsible<\\/code><\\/td>\\r\\n                        <td>Boolean<\\/td>\\r\\n                        <td>true<\\/td>\\r\\n                        <td>Allow all items to be closed.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>multiple<\\/code><\\/td>\\r\\n                        <td>Boolean<\\/td>\\r\\n                        <td>false<\\/td>\\r\\n                        <td>Allow multiple open items.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>transition<\\/code><\\/td>\\r\\n                        <td>String<\\/td>\\r\\n                        <td>ease<\\/td>\\r\\n                        <td>The transition to use.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>animation<\\/code><\\/td>\\r\\n                        <td>String<\\/td>\\r\\n                        <td>true<\\/td>\\r\\n                        <td>The space separated names of animations to use. (Comma separate for animation out)<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>duration<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>200<\\/td>\\r\\n                        <td>The animation duration.<\\/td>\\r\\n                    <\\/tr>\\r\\n                    <tr>\\r\\n                        <td><code>offset<\\/code><\\/td>\\r\\n                        <td>Number<\\/td>\\r\\n                        <td>0<\\/td>\\r\\n                        <td>Offset added to scroll top.<\\/td>\\r\\n                    <\\/tr>\\r\\n                <\\/tbody>\\r\\n            <\\/table>\\r\\n\\r\\n        <\\/div>\\r\\n\",\"fulltext\":\"\",\"state\":1,\"catid\":\"8\",\"created\":\"2020-09-20 14:10:47\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 15:20:26\",\"modified_by\":\"755\",\"checked_out\":\"755\",\"checked_out_time\":\"2020-09-20 15:19:56\",\"publish_up\":\"2020-09-20 14:10:47\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"0\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('9', 'com_content.article.4', '', '2021-11-03 11:23:37', '517', '3223', 'e7597ae719014c1260cd74aedc3970119204004a', '{\"id\":4,\"asset_id\":74,\"title\":\"Drg N Drop Layout Builder\",\"alias\":\"drg-n-drop-layout-builder\",\"introtext\":\"dsd\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2020-09-20 15:20:56\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 15:20:56\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2020-09-20 15:20:56\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('10', 'com_content.article.4', '', '2021-11-03 11:23:37', '517', '3243', 'b9bd5d95ee9d0a463fe690993f67342942f67c1a', '{\"id\":4,\"asset_id\":\"74\",\"title\":\"Drag N Drop Layout Builder\",\"alias\":\"drg-n-drop-layout-builder\",\"introtext\":\"dsd\",\"fulltext\":\"\",\"state\":1,\"catid\":\"8\",\"created\":\"2020-09-20 15:20:56\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 15:21:06\",\"modified_by\":\"755\",\"checked_out\":\"755\",\"checked_out_time\":\"2020-09-20 15:20:59\",\"publish_up\":\"2020-09-20 15:20:56\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"0\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('11', 'com_content.article.5', '', '2021-11-03 11:23:37', '517', '3208', '83886106c3059b4f0316eb57641c0ce7c2a5888d', '{\"id\":5,\"asset_id\":75,\"title\":\"Deutsches Backend\",\"alias\":\"deutsches-backend\",\"introtext\":\"ssss\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2020-09-20 15:21:55\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-20 15:21:55\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2020-09-20 15:21:55\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('12', 'com_content.category.9', '', '2021-11-03 11:23:37', '517', '840', '8366d67a4bc438c93ca338e2b0e6984c1aba19df', '{\"id\":9,\"asset_id\":76,\"parent_id\":\"1\",\"lft\":\"13\",\"rgt\":14,\"level\":1,\"path\":null,\"extension\":\"com_content\",\"title\":\"Blog\",\"alias\":\"blog\",\"note\":\"\",\"description\":\"\",\"published\":\"1\",\"checked_out\":null,\"checked_out_time\":null,\"access\":\"1\",\"params\":\"{\\\"category_layout\\\":\\\"\\\",\\\"image\\\":\\\"\\\",\\\"image_alt\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\"}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{\\\"author\\\":\\\"\\\",\\\"robots\\\":\\\"\\\"}\",\"created_user_id\":\"755\",\"created_time\":\"2020-09-20 15:41:58\",\"modified_user_id\":null,\"modified_time\":\"2020-09-20 15:41:58\",\"hits\":null,\"language\":\"*\",\"version\":null}', '0'),
('21', 'com_tags.tag.2', '', '2021-11-03 11:23:37', '517', '557', 'f757df0eb780b9af58a1c657417efe1860c2b2ee', '{\"id\":2,\"parent_id\":\"1\",\"lft\":\"1\",\"rgt\":2,\"level\":1,\"path\":\"politik\",\"title\":\"Politik\",\"alias\":\"politik\",\"note\":\"\",\"description\":null,\"published\":1,\"checked_out\":\"0\",\"checked_out_time\":\"2020-09-20 18:14:43\",\"access\":1,\"params\":\"{}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{}\",\"created_user_id\":\"755\",\"created_time\":\"2020-09-20 18:14:43\",\"created_by_alias\":\"\",\"modified_user_id\":\"0\",\"modified_time\":\"2020-09-20 18:14:43\",\"images\":\"{}\",\"urls\":\"{}\",\"hits\":\"0\",\"language\":\"*\",\"version\":\"1\",\"publish_up\":\"2020-09-20 18:14:43\",\"publish_down\":\"2020-09-20 18:14:43\"}', '0'),
('22', 'com_tags.tag.3', '', '2021-11-03 11:23:37', '517', '557', '376863a200a3ab9e191aaf180f950adcb2691e74', '{\"id\":3,\"parent_id\":\"1\",\"lft\":\"3\",\"rgt\":4,\"level\":1,\"path\":\"technik\",\"title\":\"Technik\",\"alias\":\"technik\",\"note\":\"\",\"description\":null,\"published\":1,\"checked_out\":\"0\",\"checked_out_time\":\"2020-09-20 18:14:43\",\"access\":1,\"params\":\"{}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{}\",\"created_user_id\":\"755\",\"created_time\":\"2020-09-20 18:14:43\",\"created_by_alias\":\"\",\"modified_user_id\":\"0\",\"modified_time\":\"2020-09-20 18:14:43\",\"images\":\"{}\",\"urls\":\"{}\",\"hits\":\"0\",\"language\":\"*\",\"version\":\"1\",\"publish_up\":\"2020-09-20 18:14:43\",\"publish_down\":\"2020-09-20 18:14:43\"}', '0'),
('23', 'com_tags.tag.4', '', '2021-11-03 11:23:37', '517', '548', '69b91f4e22c313ea9ca886e7841a3e714a08d647', '{\"id\":4,\"parent_id\":\"1\",\"lft\":\"5\",\"rgt\":6,\"level\":1,\"path\":\"mode\",\"title\":\"Mode\",\"alias\":\"mode\",\"note\":\"\",\"description\":null,\"published\":1,\"checked_out\":\"0\",\"checked_out_time\":\"2020-09-20 18:14:43\",\"access\":1,\"params\":\"{}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{}\",\"created_user_id\":\"755\",\"created_time\":\"2020-09-20 18:14:43\",\"created_by_alias\":\"\",\"modified_user_id\":\"0\",\"modified_time\":\"2020-09-20 18:14:43\",\"images\":\"{}\",\"urls\":\"{}\",\"hits\":\"0\",\"language\":\"*\",\"version\":\"1\",\"publish_up\":\"2020-09-20 18:14:43\",\"publish_down\":\"2020-09-20 18:14:43\"}', '0'),
('24', 'com_tags.tag.5', '', '2021-11-03 11:23:37', '517', '548', '3220845a96f8cbb1a85938e7e8f4a99085a0eb0b', '{\"id\":5,\"parent_id\":\"1\",\"lft\":\"7\",\"rgt\":8,\"level\":1,\"path\":\"auto\",\"title\":\"Auto\",\"alias\":\"auto\",\"note\":\"\",\"description\":null,\"published\":1,\"checked_out\":\"0\",\"checked_out_time\":\"2020-09-20 18:15:00\",\"access\":1,\"params\":\"{}\",\"metadesc\":\"\",\"metakey\":\"\",\"metadata\":\"{}\",\"created_user_id\":\"755\",\"created_time\":\"2020-09-20 18:15:00\",\"created_by_alias\":\"\",\"modified_user_id\":\"0\",\"modified_time\":\"2020-09-20 18:15:00\",\"images\":\"{}\",\"urls\":\"{}\",\"hits\":\"0\",\"language\":\"*\",\"version\":\"1\",\"publish_up\":\"2020-09-20 18:15:00\",\"publish_down\":\"2020-09-20 18:15:00\"}', '0'),
('31', 'com_content.article.11', '', '2021-11-03 11:23:37', '517', '3897', 'ff9fd83dc739db2d2dd1c3da3ece7fc5e025f347', '{\"id\":11,\"asset_id\":\"103\",\"title\":\"Theme Design #1 Sidebar Rechts\",\"alias\":\"theme-design-2\",\"introtext\":\"<h2>Ein Joomla Template<br>\\r\\nf\\u00fcr alle Bereiche, wie zum Beispiel:<\\/h2>\\r\\n<hr \\/>\\r\\n<h4>Vereine, Business, Onepage, Portfolio, Fotografie, Restaurants usw.<\\/h4>\\r\\n<div uk-lightbox>\\r\\n    <a href=\\\"images\\/joomlaplates\\/jp-ultimate.jpg\\\"><img style=\\\"margin:40px 0\\\" src=\\\"images\\/joomlaplates\\/jp-ultimate.jpg\\\" border=\\\"0\\\" alt=\\\"Ultimate\\\" \\/><\\/a>\\r\\n<\\/div>\\r\\n<hr \\/>\\r\\n<p>In Zukunft ben\\u00f6tigen sie nur noch ein einziges Template zu installieren! Einfach das Design ihrer Wahl importieren und fertig!\\r\\nDie unterschiedlichen Designs enthalten Farben, Modul-und Menu Positionen sowie unterschiedliche Logo Positionen und vieles mehr.. <\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2020-09-21 21:13:16\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-21 21:13:37\",\"modified_by\":\"755\",\"checked_out\":\"755\",\"checked_out_time\":\"2020-09-21 21:13:16\",\"publish_up\":\"2020-09-21 21:07:46\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":2,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"0\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('68', 'com_content.article.11', '', '2021-11-03 11:23:37', '517', '3896', '8893f654ff51a0e3dc20221d153615fcd6c14379', '{\"id\":11,\"asset_id\":\"103\",\"title\":\"Theme Design #1 Sidebar Links\",\"alias\":\"theme-design-3\",\"introtext\":\"<h2>Ein Joomla Template<br>\\r\\nf\\u00fcr alle Bereiche, wie zum Beispiel:<\\/h2>\\r\\n<hr \\/>\\r\\n<h4>Vereine, Business, Onepage, Portfolio, Fotografie, Restaurants usw.<\\/h4>\\r\\n<div uk-lightbox>\\r\\n    <a href=\\\"images\\/joomlaplates\\/jp-ultimate.jpg\\\"><img style=\\\"margin:40px 0\\\" src=\\\"images\\/joomlaplates\\/jp-ultimate.jpg\\\" border=\\\"0\\\" alt=\\\"Ultimate\\\" \\/><\\/a>\\r\\n<\\/div>\\r\\n<hr \\/>\\r\\n<p>In Zukunft ben\\u00f6tigen sie nur noch ein einziges Template zu installieren! Einfach das Design ihrer Wahl importieren und fertig!\\r\\nDie unterschiedlichen Designs enthalten Farben, Modul-und Menu Positionen sowie unterschiedliche Logo Positionen und vieles mehr.. <\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2020-09-21 21:13:16\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-22 18:11:00\",\"modified_by\":\"755\",\"checked_out\":\"755\",\"checked_out_time\":\"2020-09-22 18:10:36\",\"publish_up\":\"2020-09-21 21:07:46\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":3,\"ordering\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":\"6\",\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0'),
('69', 'com_content.article.13', '', '2021-11-03 11:23:37', '517', '3862', 'cbce321d020cd94f74d0ca7da8cf2502d8de9bb9', '{\"id\":13,\"asset_id\":106,\"title\":\"Theme Design #1 Sidebar Links (2)\",\"alias\":\"theme-design-4\",\"introtext\":\"<h2>Ein Joomla Template<br>\\r\\nf\\u00fcr alle Bereiche, wie zum Beispiel:<\\/h2>\\r\\n<hr \\/>\\r\\n<h4>Vereine, Business, Onepage, Portfolio, Fotografie, Restaurants usw.<\\/h4>\\r\\n<div uk-lightbox>\\r\\n    <a href=\\\"images\\/joomlaplates\\/jp-ultimate.jpg\\\"><img style=\\\"margin:40px 0\\\" src=\\\"images\\/joomlaplates\\/jp-ultimate.jpg\\\" border=\\\"0\\\" alt=\\\"Ultimate\\\" \\/><\\/a>\\r\\n<\\/div>\\r\\n<hr \\/>\\r\\n<p>In Zukunft ben\\u00f6tigen sie nur noch ein einziges Template zu installieren! Einfach das Design ihrer Wahl importieren und fertig!\\r\\nDie unterschiedlichen Designs enthalten Farben, Modul-und Menu Positionen sowie unterschiedliche Logo Positionen und vieles mehr.. <\\/p>\",\"fulltext\":\"\",\"state\":0,\"catid\":\"2\",\"created\":\"2020-09-21 21:13:16\",\"created_by\":\"755\",\"created_by_alias\":\"\",\"modified\":\"2020-09-22 18:11:39\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2020-09-21 21:07:46\",\"publish_down\":\"\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"article_layout\\\":\\\"\\\",\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"info_block_show_title\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_associations\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_page_title\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\",\\\"astroid_article_type\\\":\\\"regular\\\",\\\"astroid_article_video_type\\\":\\\"youtube\\\",\\\"astroid_article_video_url\\\":\\\"\\\",\\\"astroid_article_gallery_width\\\":\\\"\\\",\\\"astroid_article_gallery_bullets\\\":\\\"1\\\",\\\"astroid_article_gallery_navigation\\\":\\\"1\\\",\\\"astroid_article_thumbnail\\\":\\\"1\\\",\\\"astroid_article_gallery_items\\\":[],\\\"astroid_article_audio_source\\\":\\\"soundcloud\\\",\\\"astroid_article_audio_soundcloud\\\":\\\"\\\",\\\"astroid_article_audio_spotify\\\":\\\"\\\",\\\"astroid_article_review_heading\\\":\\\"\\\",\\\"astroid_article_review_summery\\\":\\\"\\\",\\\"astroid_article_review_good\\\":\\\"\\\",\\\"astroid_article_review_bad\\\":\\\"\\\",\\\"astroid_article_review_rating\\\":\\\"5\\\",\\\"astroid_article_button_action\\\":\\\"\\\",\\\"astroid_article_button_link\\\":\\\"\\\",\\\"astroid_article_review_criterias\\\":[],\\\"astroid_article_quote_text\\\":\\\"\\\",\\\"astroid_article_quote_author\\\":\\\"\\\",\\\"astroid_article_content_position\\\":\\\"above-title\\\",\\\"astroid_article_badge\\\":\\\"0\\\",\\\"astroid_article_badge_type\\\":\\\"2\\\",\\\"astroid_article_badge_text\\\":\\\"\\\",\\\"astroid_article_badge_color\\\":\\\"\\\",\\\"astroid_article_badge_text_color\\\":\\\"\\\",\\\"astroid_authorinfo\\\":\\\"\\\",\\\"astroid_relatedposts\\\":\\\"\\\",\\\"article_relatedposts_count\\\":\\\"\\\",\\\"article_relatedposts_count_custom\\\":\\\"4\\\",\\\"article_relatedposts_posttype\\\":\\\"\\\",\\\"article_relatedposts_badge\\\":\\\"\\\",\\\"astroid_readtime\\\":\\\"\\\",\\\"astroid_socialshare\\\":\\\"\\\",\\\"astroid_comments\\\":\\\"\\\",\\\"astroid_og_title\\\":\\\"\\\",\\\"astroid_og_desc\\\":\\\"\\\",\\\"astroid_og_image\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\",\"note\":\"\"}', '0');/**ABDB**/
